// { "framework": "Vue" }

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 72);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _tool = __webpack_require__(1);

var _tool2 = _interopRequireDefault(_tool);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var API = __webpack_require__(2);
var domain = _tool2.default.getBaseUrl();
var navigator = weex.requireModule('navigator');
var modal = weex.requireModule('ModalModule');
var stream = weex.requireModule('stream');
var suyunApp = weex.requireModule('AppInfoModule');

exports.default = {
    data: function data() {
        return {
            data: {}
        };
    },

    methods: {
        setMutations: function setMutations(key, value) {
            this.$store.commit(key, value);
        },
        parseParams: function parseParams(params) {
            var str = '';
            if (!params) return '';
            var len = Object.keys(params).length;
            for (var i in params) {
                try {
                    str += i + '=' + params[i] + '&';
                } catch (e) {
                    console.warn(e);
                }
            }
            return '?' + str.substr(0, str.length - 1);
        },
        getCookie: function getCookie(data) {
            var cookie = '';
            var djfrtuid = data['djSuyunUID'];
            var djfrttok = data['userToken'];
            var djfrtexp = data['djSuyunExpiryDate'];
            var dj_psuid = data['djPSUID'];
            var dj_pstoken = data['djPSToken'];
            var dj_pstokenexp = data['djPSTokenExp'];
            if (djfrtuid) {
                cookie += 'djfrtuid=' + djfrtuid + ";";
            }
            if (djfrttok) {
                cookie += 'djfrttok=' + djfrttok + ";";
            }
            if (djfrtexp) {
                cookie += 'djfrtexp=' + djfrtexp + ";";
            }
            if (dj_psuid) {
                cookie += 'dj_psuid=' + dj_psuid + ";";
            }
            if (dj_pstoken) {
                cookie += 'dj_pstoken=' + dj_pstoken + ";";
            }
            if (dj_pstokenexp) {
                cookie += 'dj_pstokenexp=' + dj_pstokenexp + ";";
            }
            return cookie;
        },
        getTerminal: function getTerminal() {
            if (weex.config.env['platform'] === 'iOS') {
                return '2';
            } else {
                return '1';
            }
        },
        getHost: function getHost(data) {
            if (data['host']) {
                return data['host'];
            }
        },
        fetchGet: function fetchGet(url, obj) {
            var this1 = this;

            return new Promise(function (resolve, reject) {
                var str = this1.parseParams(obj);

                var this2 = this1;
                suyunApp.getAppInfo(function (event) {
                    try {
                        var objEvent = event;
                        var data = objEvent.data;
                        var reqUrl = this2.getHost(data) + url;
                        reqUrl += str;
                        var cityid;
                        if (data['selectCityId']) {
                            cityid = data['selectCityId'];
                        } else {
                            cityid = data['cityId'];
                        }
                        stream.fetch({
                            method: 'GET',
                            url: reqUrl,
                            type: 'json',
                            timeout: 60000, //60s
                            headers: {
                                "Cookie": this2.getCookie(data),
                                "terminal": this2.getTerminal(),
                                "appVersion": data['version'],
                                "cityId": cityid
                            }
                        }, function (response) {
                            console.log(JSON.stringify(response) + "========response");
                            if (parseInt(response.status) == 200) {
                                resolve(response.data);
                            } else {
                                reject(response);
                            }
                        }, function () {});
                    } catch (error) {}
                });
            });
        },
        fetchPost: function fetchPost(domin, url, obj) {
            var this1 = this;
            var reqUrl = domin + url;

            return new Promise(function (resolve, reject) {
                var this2 = this1;
                suyunApp.getAppInfo(function (event) {
                    try {
                        var objEvent = event;
                        var data = objEvent.data;
                        stream.fetch({
                            method: 'POST',
                            url: reqUrl,
                            type: 'json',
                            timeout: 60000, //20s
                            headers: {
                                "Cookie": this2.getCookie(data)
                            },
                            body: JSON.stringify(obj)
                        }, function (response) {
                            if (response.status == 200) {
                                resolve(response.data);
                            } else {
                                reject(response);
                            }
                        }, function () {});
                    } catch (error) {}
                });
            });
        },
        getAdvertList: function getAdvertList(obj) {
            return this.fetchGet(API.getAdvertList, obj);
        },
        getHomeInfo: function getHomeInfo(obj) {
            return this.fetchGet(API.getHomeInfoNew, obj); //getHomeInfo=>getHomeInfoNew
        },
        getAnnouncementList: function getAnnouncementList(obj) {
            return this.fetchGet(API.getAnnouncementList, obj);
        },
        getRead: function getRead(obj) {
            return this.fetchGet(API.getRead, obj);
        },
        getMoreAnnmentlist: function getMoreAnnmentlist(obj) {
            return this.fetchGet(API.getmoreannmentlist, obj);
        },
        getHistoryOrderList: function getHistoryOrderList(obj) {
            return this.fetchGet(API.getHistoryOrderList, obj);
        },
        getAssignHistoryOrderList: function getAssignHistoryOrderList(obj) {
            return this.fetchGet(API.getAssignHistoryOrderList, obj);
        },
        getMyMenuList: function getMyMenuList(obj) {
            return this.fetchGet(API.getMyMenuList, obj);
        },
        getMyInfo: function getMyInfo(obj) {
            return this.fetchGet(API.getMyInfo, obj);
        },
        getNearbyCarsList: function getNearbyCarsList(obj) {
            return this.fetchGet(API.getNearbyCarsList, obj);
        },
        getMonthList: function getMonthList(obj) {
            return this.fetchGet(API.getMonthList, obj);
        },
        getFavoriteDriversList: function getFavoriteDriversList(obj) {
            return this.fetchGet(API.getFavoriteDriversList, obj);
        },
        getFictitiousphone: function getFictitiousphone(obj) {
            return this.fetchGet(API.getFictitiousphone, obj);
        },
        addFavoritedriver: function addFavoritedriver(obj) {
            return this.fetchGet(API.addFavoritedriver, obj);
        },
        getWxShare: function getWxShare(obj) {
            return this.fetchGet(API.getWxShare, obj);
        },
        getCarTypeList: function getCarTypeList(obj) {
            return this.fetchGet(API.getCarTypeList, obj);
        },
        getEstimatePrice: function getEstimatePrice(obj) {
            return this.fetchGet(API.getEstimatePrice, obj);
        },
        getCreaterOrder: function getCreaterOrder(obj) {
            return this.fetchGet(API.getCreaterOrder, obj);
        },
        getCreatebroadcastorder: function getCreatebroadcastorder(obj) {
            return this.fetchGet(API.getCreatebroadcastorder, obj);
        },
        getOrderStatus: function getOrderStatus(obj) {
            return this.fetchGet(API.getOrderStatus, obj);
        },
        getBroadcastInprogress: function getBroadcastInprogress(obj) {
            return this.fetchGet(API.getBroadcastInprogress, obj);
        },
        getBroadcastChoosedriverlist: function getBroadcastChoosedriverlist(obj) {
            return this.fetchGet(API.getBroadcastChoosedriverlist, obj);
        },
        getChoosedriver: function getChoosedriver(obj) {
            return this.fetchGet(API.getChoosedriver, obj);
        },
        getUsercancel: function getUsercancel(obj) {
            return this.fetchGet(API.getUsercancel, obj);
        },
        addInvitedriver: function addInvitedriver(obj) {
            return this.fetchGet(API.addInvitedriver, obj);
        },
        getDriverinfo: function getDriverinfo(obj) {
            return this.fetchGet(API.getDriverinfo, obj);
        },
        nav: function nav(url) {
            this.$router.push(url);
        },
        navNewWeb: function navNewWeb(url) {
            var tempUrl = '';
            if (_tool2.default.getEnvironment() === 'prod' || _tool2.default.getEnvironment() === 'test') {
                tempUrl = domain + '/' + url;
            }
            if (_tool2.default.getEnvironment() === 'local') {
                tempUrl = domain + '/dist/' + url;
            }

            navigator.push({
                url: tempUrl,
                animated: "true",
                type: 3
            }, function (event) {
                //  modal.toast({ message: 'callback: ' + domain+'/dist/'+url })
            });
        },
        jump: function jump(event, url, params) {
            if (params) {
                var obj = { url: encodeURIComponent(url) };
                Object.assign(obj, params);
                this.$router.push({ path: event, query: obj });
            } else {
                this.$router.push({ path: event, query: { url: encodeURIComponent(url) } });
            }
        },
        jumpNew: function jumpNew(params) {
            this.$router.push(params);
        },
        delFavoriteDriver: function delFavoriteDriver(obj) {
            return this.fetchGet(API.delFavoriteDriver, obj);
        },
        getLocationInfo: function getLocationInfo(obj) {
            return this.fetchGet(API.getLocationInfo, obj);
        },
        getMyPublishlist: function getMyPublishlist(obj) {
            return this.fetchGet(API.getMyPublishlist, obj);
        },
        deleteMyPublish: function deleteMyPublish(obj) {
            return this.fetchGet(API.deleteMyPublish, obj);
        },
        getMessageList: function getMessageList(obj) {
            return this.fetchGet(API.getMessageList, obj);
        },
        getCarList: function getCarList(obj) {
            return this.fetchGet(API.getCarList, obj);
        },
        getPublishLabelList: function getPublishLabelList(obj) {
            return this.fetchGet(API.getPublishLabelList, obj);
        },
        getDriverServiceLabelList: function getDriverServiceLabelList(obj) {
            return this.fetchGet(API.getDriverServiceLabelList, obj);
        },
        publishNeedsCreate: function publishNeedsCreate(obj) {
            return this.fetchGet(API.publishNeedsCreate, obj);
        },
        publishlabellist: function publishlabellist(obj) {
            return this.fetchGet(API.publishlabellist, obj);
        },
        neardriverlist: function neardriverlist(obj) {
            return this.fetchGet(API.neardriverlist, obj);
        },
        lookCarGetDriverInfo: function lookCarGetDriverInfo(obj) {
            return this.fetchGet(API.lookCarGetDriverInfo, obj);
        },
        userPhoneCallBack: function userPhoneCallBack(obj) {
            return this.fetchGet(API.userPhoneCallBack, obj);
        },
        getMyDriverList: function getMyDriverList(obj) {
            return this.fetchGet(API.getMyDriverList, obj);
        },
        addCollectionDriver: function addCollectionDriver(obj) {
            return this.fetchGet(API.addCollectionDriver, obj);
        },
        updatepublish: function updatepublish(obj) {
            return this.fetchGet(API.updatepublish, obj);
        },
        publishdetail: function publishdetail(obj) {
            return this.fetchGet(API.publishdetail, obj);
        },
        delmydriver: function delmydriver(obj) {
            return this.fetchGet(API.delmydriver, obj);
        },
        isallowchangemobile: function isallowchangemobile(obj) {
            return this.fetchGet(API.isallowchangemobile, obj);
        }
    },
    created: function created() {}
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var suyunApp = weex.requireModule('AppInfoModule');
exports.default = {
    getBaseUrl: function getBaseUrl() {
        return weex.config.bundleUrl.replace(/\/index\.html$/, '').replace(/\/weex\.html$/, '').replace(/\/dist\/app\.weex\.js$/, '').replace(/\/dist\/detail\.weex\.js$/, '').replace(/\/dist\/appDetail\.weex\.js$/, '').replace(/\/detail\.weex\.js$/, '').replace(/\/appDetail\.weex\.js$/, '').replace(/\/app\.weex\.js$/, '');
    },
    getPlatform: function getPlatform() {
        return weex.config['platform'];
    },
    getEnvironment: function getEnvironment() {
        var domain = weex.config.bundleUrl.replace(/\/index\.html$/, '').replace(/\/weex\.html$/, '').replace(/\/dist\/app\.weex\.js$/, '').replace(/\/dist\/detail\.weex\.js$/, '').replace(/\/dist\/appDetail\.weex\.js$/, '').replace(/\/detail\.weex\.js$/, '').replace(/\/appDetail\.weex\.js$/, '').replace(/\/app\.weex\.js$/, '');
        if (domain.indexOf('static.djtest.cn') > -1) {
            return 'test';
        } else if (domain.indexOf('static.daojia.com') > -1) {
            return 'prod';
        } else {
            return 'local';
        }
    },
    getServeDomain: function getServeDomain() {
        return 'http://wxapp-user-stable.djtest.cn';
        // return 'http://10.37.31.146:30163'
        // return 'http://10.37.33.143:30163'
    },
    formateData: function formateData(arr, obj) {
        var tempArr = [];
        var formateArr = Object.keys(obj);
        for (var i = 0; i < arr.length; i++) {
            var tempObj = {};
            for (var j = 0; j < formateArr.length; j++) {
                var tempStr = formateArr[j];
                tempObj[tempStr] = arr[i][obj[formateArr[j]]];
            }
            tempArr.push(tempObj);
        }
        return tempArr;
    },
    getCurrentBundleUrl: function getCurrentBundleUrl() {
        return weex.config.bundleUrl;
    },
    getCurrentHost: function getCurrentHost() {
        var bundleUrl = weex.config.bundleUrl;
        var array = bundleUrl.split('/');
        var lastObject = array[array.length - 1];
        var result = bundleUrl.substring(0, bundleUrl.length - lastObject.length);
        return result;
    },
    getCurrentPath: function getCurrentPath() {
        var path = 'https://static.daojia.com/sy/project/up-mobile-weex/';
        var isIOS = weex.config.env['platform'] === 'iOS';
        if (isIOS && weex.config.env['jshost']) {
            path = weex.config.env['jshost'];
        } else if (weex.config['jshost']) {
            path = weex.config['jshost'];
        }
        return path;
    }
};

/***/ }),

/***/ 10:
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {

var required = __webpack_require__(9)
  , qs = __webpack_require__(8)
  , slashes = /^[A-Za-z][A-Za-z0-9+-.]*:\/\//
  , protocolre = /^([a-z][a-z0-9.+-]*:)?(\/\/)?([\S\s]*)/i
  , whitespace = '[\\x09\\x0A\\x0B\\x0C\\x0D\\x20\\xA0\\u1680\\u180E\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200A\\u202F\\u205F\\u3000\\u2028\\u2029\\uFEFF]'
  , left = new RegExp('^'+ whitespace +'+');

/**
 * Trim a given string.
 *
 * @param {String} str String to trim.
 * @public
 */
function trimLeft(str) {
  return (str ? str : '').toString().replace(left, '');
}

/**
 * These are the parse rules for the URL parser, it informs the parser
 * about:
 *
 * 0. The char it Needs to parse, if it's a string it should be done using
 *    indexOf, RegExp using exec and NaN means set as current value.
 * 1. The property we should set when parsing this value.
 * 2. Indication if it's backwards or forward parsing, when set as number it's
 *    the value of extra chars that should be split off.
 * 3. Inherit from location if non existing in the parser.
 * 4. `toLowerCase` the resulting value.
 */
var rules = [
  ['#', 'hash'],                        // Extract from the back.
  ['?', 'query'],                       // Extract from the back.
  function sanitize(address) {          // Sanitize what is left of the address
    return address.replace('\\', '/');
  },
  ['/', 'pathname'],                    // Extract from the back.
  ['@', 'auth', 1],                     // Extract from the front.
  [NaN, 'host', undefined, 1, 1],       // Set left over value.
  [/:(\d+)$/, 'port', undefined, 1],    // RegExp the back.
  [NaN, 'hostname', undefined, 1, 1]    // Set left over.
];

/**
 * These properties should not be copied or inherited from. This is only needed
 * for all non blob URL's as a blob URL does not include a hash, only the
 * origin.
 *
 * @type {Object}
 * @private
 */
var ignore = { hash: 1, query: 1 };

/**
 * The location object differs when your code is loaded through a normal page,
 * Worker or through a worker using a blob. And with the blobble begins the
 * trouble as the location object will contain the URL of the blob, not the
 * location of the page where our code is loaded in. The actual origin is
 * encoded in the `pathname` so we can thankfully generate a good "default"
 * location from it so we can generate proper relative URL's again.
 *
 * @param {Object|String} loc Optional default location object.
 * @returns {Object} lolcation object.
 * @public
 */
function lolcation(loc) {
  var globalVar;

  if (typeof window !== 'undefined') globalVar = window;
  else if (typeof global !== 'undefined') globalVar = global;
  else if (typeof self !== 'undefined') globalVar = self;
  else globalVar = {};

  var location = globalVar.location || {};
  loc = loc || location;

  var finaldestination = {}
    , type = typeof loc
    , key;

  if ('blob:' === loc.protocol) {
    finaldestination = new Url(unescape(loc.pathname), {});
  } else if ('string' === type) {
    finaldestination = new Url(loc, {});
    for (key in ignore) delete finaldestination[key];
  } else if ('object' === type) {
    for (key in loc) {
      if (key in ignore) continue;
      finaldestination[key] = loc[key];
    }

    if (finaldestination.slashes === undefined) {
      finaldestination.slashes = slashes.test(loc.href);
    }
  }

  return finaldestination;
}

/**
 * @typedef ProtocolExtract
 * @type Object
 * @property {String} protocol Protocol matched in the URL, in lowercase.
 * @property {Boolean} slashes `true` if protocol is followed by "//", else `false`.
 * @property {String} rest Rest of the URL that is not part of the protocol.
 */

/**
 * Extract protocol information from a URL with/without double slash ("//").
 *
 * @param {String} address URL we want to extract from.
 * @return {ProtocolExtract} Extracted information.
 * @private
 */
function extractProtocol(address) {
  address = trimLeft(address);
  var match = protocolre.exec(address);

  return {
    protocol: match[1] ? match[1].toLowerCase() : '',
    slashes: !!match[2],
    rest: match[3]
  };
}

/**
 * Resolve a relative URL pathname against a base URL pathname.
 *
 * @param {String} relative Pathname of the relative URL.
 * @param {String} base Pathname of the base URL.
 * @return {String} Resolved pathname.
 * @private
 */
function resolve(relative, base) {
  if (relative === '') return base;

  var path = (base || '/').split('/').slice(0, -1).concat(relative.split('/'))
    , i = path.length
    , last = path[i - 1]
    , unshift = false
    , up = 0;

  while (i--) {
    if (path[i] === '.') {
      path.splice(i, 1);
    } else if (path[i] === '..') {
      path.splice(i, 1);
      up++;
    } else if (up) {
      if (i === 0) unshift = true;
      path.splice(i, 1);
      up--;
    }
  }

  if (unshift) path.unshift('');
  if (last === '.' || last === '..') path.push('');

  return path.join('/');
}

/**
 * The actual URL instance. Instead of returning an object we've opted-in to
 * create an actual constructor as it's much more memory efficient and
 * faster and it pleases my OCD.
 *
 * It is worth noting that we should not use `URL` as class name to prevent
 * clashes with the global URL instance that got introduced in browsers.
 *
 * @constructor
 * @param {String} address URL we want to parse.
 * @param {Object|String} [location] Location defaults for relative paths.
 * @param {Boolean|Function} [parser] Parser for the query string.
 * @private
 */
function Url(address, location, parser) {
  address = trimLeft(address);

  if (!(this instanceof Url)) {
    return new Url(address, location, parser);
  }

  var relative, extracted, parse, instruction, index, key
    , instructions = rules.slice()
    , type = typeof location
    , url = this
    , i = 0;

  //
  // The following if statements allows this module two have compatibility with
  // 2 different API:
  //
  // 1. Node.js's `url.parse` api which accepts a URL, boolean as arguments
  //    where the boolean indicates that the query string should also be parsed.
  //
  // 2. The `URL` interface of the browser which accepts a URL, object as
  //    arguments. The supplied object will be used as default values / fall-back
  //    for relative paths.
  //
  if ('object' !== type && 'string' !== type) {
    parser = location;
    location = null;
  }

  if (parser && 'function' !== typeof parser) parser = qs.parse;

  location = lolcation(location);

  //
  // Extract protocol information before running the instructions.
  //
  extracted = extractProtocol(address || '');
  relative = !extracted.protocol && !extracted.slashes;
  url.slashes = extracted.slashes || relative && location.slashes;
  url.protocol = extracted.protocol || location.protocol || '';
  address = extracted.rest;

  //
  // When the authority component is absent the URL starts with a path
  // component.
  //
  if (!extracted.slashes) instructions[3] = [/(.*)/, 'pathname'];

  for (; i < instructions.length; i++) {
    instruction = instructions[i];

    if (typeof instruction === 'function') {
      address = instruction(address);
      continue;
    }

    parse = instruction[0];
    key = instruction[1];

    if (parse !== parse) {
      url[key] = address;
    } else if ('string' === typeof parse) {
      if (~(index = address.indexOf(parse))) {
        if ('number' === typeof instruction[2]) {
          url[key] = address.slice(0, index);
          address = address.slice(index + instruction[2]);
        } else {
          url[key] = address.slice(index);
          address = address.slice(0, index);
        }
      }
    } else if ((index = parse.exec(address))) {
      url[key] = index[1];
      address = address.slice(0, index.index);
    }

    url[key] = url[key] || (
      relative && instruction[3] ? location[key] || '' : ''
    );

    //
    // Hostname, host and protocol should be lowercased so they can be used to
    // create a proper `origin`.
    //
    if (instruction[4]) url[key] = url[key].toLowerCase();
  }

  //
  // Also parse the supplied query string in to an object. If we're supplied
  // with a custom parser as function use that instead of the default build-in
  // parser.
  //
  if (parser) url.query = parser(url.query);

  //
  // If the URL is relative, resolve the pathname against the base URL.
  //
  if (
      relative
    && location.slashes
    && url.pathname.charAt(0) !== '/'
    && (url.pathname !== '' || location.pathname !== '')
  ) {
    url.pathname = resolve(url.pathname, location.pathname);
  }

  //
  // We should not add port numbers if they are already the default port number
  // for a given protocol. As the host also contains the port number we're going
  // override it with the hostname which contains no port number.
  //
  if (!required(url.port, url.protocol)) {
    url.host = url.hostname;
    url.port = '';
  }

  //
  // Parse down the `auth` for the username and password.
  //
  url.username = url.password = '';
  if (url.auth) {
    instruction = url.auth.split(':');
    url.username = instruction[0] || '';
    url.password = instruction[1] || '';
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  //
  // The href is just the compiled result.
  //
  url.href = url.toString();
}

/**
 * This is convenience method for changing properties in the URL instance to
 * insure that they all propagate correctly.
 *
 * @param {String} part          Property we need to adjust.
 * @param {Mixed} value          The newly assigned value.
 * @param {Boolean|Function} fn  When setting the query, it will be the function
 *                               used to parse the query.
 *                               When setting the protocol, double slash will be
 *                               removed from the final url if it is true.
 * @returns {URL} URL instance for chaining.
 * @public
 */
function set(part, value, fn) {
  var url = this;

  switch (part) {
    case 'query':
      if ('string' === typeof value && value.length) {
        value = (fn || qs.parse)(value);
      }

      url[part] = value;
      break;

    case 'port':
      url[part] = value;

      if (!required(value, url.protocol)) {
        url.host = url.hostname;
        url[part] = '';
      } else if (value) {
        url.host = url.hostname +':'+ value;
      }

      break;

    case 'hostname':
      url[part] = value;

      if (url.port) value += ':'+ url.port;
      url.host = value;
      break;

    case 'host':
      url[part] = value;

      if (/:\d+$/.test(value)) {
        value = value.split(':');
        url.port = value.pop();
        url.hostname = value.join(':');
      } else {
        url.hostname = value;
        url.port = '';
      }

      break;

    case 'protocol':
      url.protocol = value.toLowerCase();
      url.slashes = !fn;
      break;

    case 'pathname':
    case 'hash':
      if (value) {
        var char = part === 'pathname' ? '/' : '#';
        url[part] = value.charAt(0) !== char ? char + value : value;
      } else {
        url[part] = value;
      }
      break;

    default:
      url[part] = value;
  }

  for (var i = 0; i < rules.length; i++) {
    var ins = rules[i];

    if (ins[4]) url[ins[1]] = url[ins[1]].toLowerCase();
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  url.href = url.toString();

  return url;
}

/**
 * Transform the properties back in to a valid and full URL string.
 *
 * @param {Function} stringify Optional query stringify function.
 * @returns {String} Compiled version of the URL.
 * @public
 */
function toString(stringify) {
  if (!stringify || 'function' !== typeof stringify) stringify = qs.stringify;

  var query
    , url = this
    , protocol = url.protocol;

  if (protocol && protocol.charAt(protocol.length - 1) !== ':') protocol += ':';

  var result = protocol + (url.slashes ? '//' : '');

  if (url.username) {
    result += url.username;
    if (url.password) result += ':'+ url.password;
    result += '@';
  }

  result += url.host + url.pathname;

  query = 'object' === typeof url.query ? stringify(url.query) : url.query;
  if (query) result += '?' !== query.charAt(0) ? '?'+ query : query;

  if (url.hash) result += url.hash;

  return result;
}

Url.prototype = { set: set, toString: toString };

//
// Expose the URL parser and some additional properties that might be useful for
// others or testing.
//
Url.extractProtocol = extractProtocol;
Url.location = lolcation;
Url.trimLeft = trimLeft;
Url.qs = qs;

module.exports = Url;

/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(11)))

/***/ }),

/***/ 11:
/***/ (function(module, exports) {

var g;

// This works in non-strict mode
g = (function() {
	return this;
})();

try {
	// This works if eval is allowed (see CSP)
	g = g || Function("return this")() || (1,eval)("this");
} catch(e) {
	// This works if the window reference is available
	if(typeof window === "object")
		g = window;
}

// g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}

module.exports = g;


/***/ }),

/***/ 110:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _wxcPopup = __webpack_require__(21);

var _wxcPopup2 = _interopRequireDefault(_wxcPopup);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('ModalModule');
var suyunApp = weex.requireModule('AppInfoModule');

var logModule = weex.requireModule('LogModule');

exports.default = {
    components: {
        WxcPopup: _wxcPopup2.default
    },
    data: function data() {
        return {
            phone: "",
            smallScrollerHeight: {
                height: ''
            }
        };
    },

    methods: {
        submitButtonClicked: function submitButtonClicked() {
            var _this = this;

            if (!this.phone) {
                this.showToast("请输入完整的手机号码");
                return;
            }
            var that = this;
            this.showLoading(true);
            this.addCollectionDriver({ phone: this.phone }).then(function (data) {
                _this.showLoading(false);
                if (data && data.code == 0) {
                    that.showToast("我的熟车添加成功！");
                    that.addDirverSuccess();
                } else if (data.code == 1050) {
                    that.showToast("该司机未加盟乡镇车主，暂不能添加熟车");
                } else if (data.code == 1001) {
                    that.showToast("该司机已经是您的熟车司机，不需要重复添加");
                } else {
                    that.showToast("添加熟车失败，请稍后再次尝试添加！");
                }
            }).catch(function (event) {
                _this.showLoading(false);
                that.showToast("添加熟车失败，请稍后再次尝试添加！");
            });
        },
        addDirverSuccess: function addDirverSuccess() {
            this.$emit('addDirverSuccess');
        },
        closeButtonClicked: function closeButtonClicked() {
            var _this2 = this;

            this.clearFocuseClick();
            //延时100ms，否则键盘不能收起
            setTimeout(function () {
                _this2.$emit('closeButtonClicked');
            }, 100);
        },
        blackContentClick: function blackContentClick() {
            this.closeButtonClicked();
        },
        clearFocuseClick: function clearFocuseClick() {
            try {
                this.$refs.phone.blur();
            } catch (e) {}
        },
        middleBlockClick: function middleBlockClick() {},
        showToast: function showToast(msg) {
            modal.toast({
                'message': msg,
                'duration': 3
            });
        },
        showLoading: function showLoading(show) {
            modal.loading({ 'show': show }, function (event) {});
        }
    },
    computed: {},
    created: function created() {
        var screenHeight = weex.config.env['deviceHeight'] ? weex.config.env['deviceHeight'] : 0;
        var screenWidth = weex.config.env['deviceWidth'] ? weex.config.env['deviceWidth'] : 0;
        var scale = weex.config.env['scale'] ? weex.config.env['scale'] : 0;
        this.smallScrollerHeight.height = screenHeight / scale * 2 * (375 / (screenWidth / scale));
    }
};

/***/ }),

/***/ 111:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _nav = __webpack_require__(3);

var _nav2 = _interopRequireDefault(_nav);

var _tool = __webpack_require__(1);

var _tool2 = _interopRequireDefault(_tool);

var _AddCollectionDriver = __webpack_require__(89);

var _AddCollectionDriver2 = _interopRequireDefault(_AddCollectionDriver);

var _NoCollectionData = __webpack_require__(91);

var _NoCollectionData2 = _interopRequireDefault(_NoCollectionData);

var _CollectionNetErro = __webpack_require__(90);

var _CollectionNetErro2 = _interopRequireDefault(_CollectionNetErro);

var _LogUtil = __webpack_require__(7);

var _LogUtil2 = _interopRequireDefault(_LogUtil);

var _CommonUtil = __webpack_require__(13);

var _CommonUtil2 = _interopRequireDefault(_CommonUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var navigator = weex.requireModule('navigator'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var storage = weex.requireModule('storage');
var DialPhone = weex.requireModule('DialPhoneModule');
var modal = weex.requireModule('ModalModule');
var globalEvent = weex.requireModule('globalEvent');
var mapModule = weex.requireModule('MapModule');

exports.default = {
    components: {
        Nav: _nav2.default,
        AddCollectionDriver: _AddCollectionDriver2.default,
        NoCollectionData: _NoCollectionData2.default,
        CollectionNetErro: _CollectionNetErro2.default
    },
    data: function data() {
        return {
            title: '我的熟车',
            collectionList: [],
            isShowAddDriver: false,
            isNetWorkErro: false,
            showNoDataPage: false
        };
    },

    computed: {
        isIphoneX: function isIphoneX() {
            var isIOS = weex.config.env['platform'] === 'iOS';
            var height = weex.config.env['deviceHeight'] / weex.config.env['scale'] >= 812;
            return height && isIOS;
        },
        isIOS: function isIOS() {
            var isIOS = weex.config.env['platform'] === 'iOS';
            return isIOS;
        }
    },
    methods: {
        getCollectDriverList: function getCollectDriverList() {
            var that = this;
            this.showLoading(true);
            mapModule.getLocation(function (data) {
                if (data && data.result == 'success' && data.data) {
                    that.requestMyDriverList({ "longitude": data.data.lng, "latitude": data.data.lat });
                } else {
                    that.requestMyDriverList({});
                    that.showToast('获取定位失败，请检查手机定位是否开启！');
                }
            });
        },
        requestMyDriverList: function requestMyDriverList(data) {
            var that = this;
            this.getMyDriverList(data).then(function (data) {
                that.showLoading(false);
                that.showNoDataPage = true;
                if (data && data.code == 0 && data.data) {
                    that.collectionList = _CommonUtil2.default.driverListElementMergeUtil(data.data);
                } else {
                    that.isNetWorkErro = true;
                }
            }).catch(function (event) {
                that.showLoading(false);
                that.showNoDataPage = true;
                that.isNetWorkErro = true;
            });
        },
        refrshButtonClick: function refrshButtonClick() {
            this.getCollectDriverList();
        },
        addCollectionClick: function addCollectionClick() {
            this.showAddColletionDialog();
        },
        showAddColletionDialog: function showAddColletionDialog() {
            this.isShowAddDriver = true;
        },
        hideAddColletionDialog: function hideAddColletionDialog() {
            this.isShowAddDriver = false;
        },
        addDirverSuccess: function addDirverSuccess() {
            this.hideAddColletionDialog();
            this.getCollectDriverList();
        },
        closeButtonClicked: function closeButtonClicked() {
            this.hideAddColletionDialog();
        },
        openDriverInformation: function openDriverInformation(item) {
            storage.setItem('openSidDriverInformation', item.driverId, function (event) {});
            storage.setItem('openPhoneDriverInformation', item.phone, function (event) {});
            navigator.push({
                url: _tool2.default.getCurrentPath() + 'driverInformationLookCar.weex.js',
                animated: 'true',
                type: 2,
                key: 'driverInformationLookCar'
            }, function (event) {});
        },
        viewappear: function viewappear() {
            this.getCollectDriverList();
        },
        phoneClick: function phoneClick(item) {
            DialPhone.dialPhone(item.phone);
            this.userPhoneCallBack({ 'publishId': item.id });

            _LogUtil2.default.clickEvent('contact_driver', {
                page_name: 'my_familiar_car',
                page_type: 'finding_car_page'
            });
        },
        showToast: function showToast(msg) {
            modal.toast({
                'message': msg,
                'duration': 3
            });
        },
        showLoading: function showLoading(show) {
            modal.loading({ 'show': show }, function (event) {});
        }
    },
    created: function created() {
        if (this.isIOS) {
            this.getCollectDriverList();
        }
        _LogUtil2.default.nativeLoad('familiar_car_page', {
            page_name: 'my_familiar_car',
            page_type: 'finding_car_page'
        });
    }
};

/***/ }),

/***/ 112:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//

exports.default = {
    data: function data() {
        return {};
    },

    methods: {
        refreshClick: function refreshClick() {
            this.$emit('refrshButtonClick');
        }
    },
    created: function created() {}
};

/***/ }),

/***/ 113:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//

exports.default = {
    data: function data() {
        return {};
    },

    methods: {},
    created: function created() {}
};

/***/ }),

/***/ 12:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_url_parse__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_url_parse___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_url_parse__);
/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 17/11/01
 */



const Utils = {
  UrlParser: __WEBPACK_IMPORTED_MODULE_0_url_parse___default.a,
  _typeof (obj) {
    return Object.prototype.toString.call(obj).slice(8, -1).toLowerCase();
  },
  isPlainObject (obj) {
    return Utils._typeof(obj) === 'object';
  },
  isString (obj) {
    return typeof (obj) === 'string';
  },
  isNonEmptyArray (obj = []) {
    return obj && obj.length > 0 && Array.isArray(obj) && typeof obj !== 'undefined';
  },
  isObject (item) {
    return (item && typeof item === 'object' && !Array.isArray(item));
  },
  isEmptyObject (obj) {
    return Object.keys(obj).length === 0 && obj.constructor === Object;
  },
  decodeIconFont (text) {
    // 正则匹配 图标和文字混排 eg: 我去上学校&#xe600;,天天不&#xe600;迟到
    const regExp = /&#x[a-z|0-9]{4,5};?/g;
    if (regExp.test(text)) {
      return text.replace(new RegExp(regExp, 'g'), function (iconText) {
        const replace = iconText.replace(/&#x/, '0x').replace(/;$/, '');
        return String.fromCharCode(replace);
      });
    } else {
      return text;
    }
  },
  mergeDeep (target, ...sources) {
    if (!sources.length) return target;
    const source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (const key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, {
              [key]: {}
            });
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, { [key]: source[key] });
        }
      }
    }
    return Utils.mergeDeep(target, ...sources);
  },
  appendProtocol (url) {
    if (/^\/\//.test(url)) {
      const {
        bundleUrl
      } = weex.config;
      return `http${/^https:/.test(bundleUrl) ? 's' : ''}:${url}`;
    }
    return url;
  },
  encodeURLParams (url) {
    const parsedUrl = new __WEBPACK_IMPORTED_MODULE_0_url_parse___default.a(url, true);
    return parsedUrl.toString();
  },
  goToH5Page (jumpUrl, animated = false, callback = null) {
    const Navigator = weex.requireModule('navigator');
    const jumpUrlObj = new Utils.UrlParser(jumpUrl, true);
    const url = Utils.appendProtocol(jumpUrlObj.toString());
    Navigator.push({
      url: Utils.encodeURLParams(url),
      animated: animated.toString()
    }, callback);
  },
  env: {
    isTaobao () {
      const { appName } = weex.config.env;
      return /(tb|taobao|淘宝)/i.test(appName);
    },
    isTrip () {
      const { appName } = weex.config.env;
      return appName === 'LX';
    },
    isBoat () {
      const { appName } = weex.config.env;
      return appName === 'Boat' || appName === 'BoatPlayground';
    },
    isWeb () {
      const { platform } = weex.config.env;
      return typeof (window) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS () {
      const { platform } = weex.config.env;
      return platform.toLowerCase() === 'ios';
    },
    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX () {
      const { deviceHeight } = weex.config.env;
      if (Utils.env.isWeb()) {
        return typeof window !== undefined && window.screen && window.screen.width && window.screen.height 
        && ((parseInt(window.screen.width, 10) === 375) && (parseInt(window.screen.height, 10) === 812)
        || (parseInt(window.screen.width, 10) === 414) && (parseInt(window.screen.height, 10) === 896));
      }
      return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight === 1792 || deviceHeight === 1624);
    },
    isAndroid () {
      const { platform } = weex.config.env;
      return platform.toLowerCase() === 'android';
    },
    isAlipay () {
      const { appName } = weex.config.env;
      return appName === 'AP';
    },
    isTmall () {
      const { appName } = weex.config.env;
      return /(tm|tmall|天猫)/i.test(appName);
    },
    isAliWeex () {
      return Utils.env.isTmall() || Utils.env.isTrip() || Utils.env.isTaobao();
    },
    /**
     * 获取weex屏幕真实的设置高度，需要减去导航栏高度
     * @returns {Number}
     */
    getPageHeight () {
      const { env } = weex.config;
      const navHeight = Utils.env.isWeb() ? 0 : (Utils.env.isIPhoneX() ? 176 : 132);
      return env.deviceHeight / env.deviceWidth * 750 - navHeight;
    },
    /**
     * 获取weex屏幕真实的设置高度
     * @returns {Number}
     */
    getScreenHeight () {
      const { env } = weex.config;
      return env.deviceHeight / env.deviceWidth * 750;
    }
  },

  /**
   * 版本号比较
   * @memberOf Utils
   * @param currVer {string}
   * @param promoteVer {string}
   * @returns {boolean}
   * @example
   *
   * const { Utils } = require('@ali/wx-bridge');
   * const { compareVersion } = Utils;
   * console.log(compareVersion('0.1.100', '0.1.11')); // 'true'
   */
  compareVersion (currVer = '0.0.0', promoteVer = '0.0.0') {
    if (currVer === promoteVer) return true;
    const currVerArr = currVer.split('.');
    const promoteVerArr = promoteVer.split('.');
    const len = Math.max(currVerArr.length, promoteVerArr.length);
    for (let i = 0; i < len; i++) {
      const proVal = ~~promoteVerArr[i];
      const curVal = ~~currVerArr[i];
      if (proVal < curVal) {
        return true;
      } else if (proVal > curVal) {
        return false;
      }
    }
    return false;
  },
  /**
   * 分割数组
   * @param arr 被分割数组
   * @param size 分割数组的长度
   * @returns {Array}
   */
  arrayChunk (arr = [], size = 4) {
    let groups = [];
    if (arr && arr.length > 0) {
      groups = arr.map((e, i) => {
        return i % size === 0 ? arr.slice(i, i + size) : null;
      }).filter(e => {
        return e;
      });
    }
    return groups;
  },
  /*
   * 截断字符串
   * @param str 传入字符串
   * @param len 截断长度
   * @param hasDot 末尾是否...
   * @returns {String}
   */
  truncateString (str, len, hasDot = true) {
    let newLength = 0;
    let newStr = '';
    let singleChar = '';
    const chineseRegex = /[^\x00-\xff]/g;
    const strLength = str.replace(chineseRegex, '**').length;
    for (let i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  },
  /*
   * 转换 obj 为 url params参数
   * @param obj 传入字符串
   * @returns {String}
   */
  objToParams (obj) {
    let str = "";
    for (let key in obj) {
      if (str !== "") {
        str += "&";
      }
      str += key + "=" + encodeURIComponent(obj[key]);
    }
    return str;
  },
  /*
   * 转换 url params参数为obj
   * @param str 传入url参数字符串
   * @returns {Object}
   */
  paramsToObj (str) {
    let obj = {};
    try {
      obj = JSON.parse('{"' + decodeURI(str).replace(/"/g, '\\"').replace(/&/g, '","').replace(/=/g, '":"') + '"}')
    } catch (e) {
      console.log(e);
    }
    return obj;
  },
  animation: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param ref
     * @param transform 运动类型
     * @param status
     * @param callback 回调函数
     */
    pageTransitionAnimation (ref, transform, status, callback) {
      const animation = weex.requireModule('animation');
      animation.transition(ref, {
        styles: {
          transform: transform
        },
        duration: status ? 250 : 300, // ms
        timingFunction: status ? 'ease-in' : 'ease-out',
        delay: 0 // ms
      }, function () {
        callback && callback();
      });
    }
  },
  uiStyle: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param animationType 页面转场动画的类型 push，model
     * @param size 分割数组的长度
     * @returns {}
     */
    pageTransitionAnimationStyle (animationType) {
      if (animationType === 'push') {
        return {
          left: '750px',
          top: '0px',
          height: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px'
        }
      } else if (animationType === 'model') {
        return {
          top: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px',
          left: '0px',
          height: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px'
        }
      }
      return {}
    }
  }
};

/* harmony default export */ __webpack_exports__["default"] = (Utils);


/***/ }),

/***/ 13:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _tool = __webpack_require__(1);

var _tool2 = _interopRequireDefault(_tool);

var _API = __webpack_require__(0);

var _API2 = _interopRequireDefault(_API);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 公共工具方法集合
 */
var navigator = weex.requireModule('navigator');
var storage = weex.requireModule('storage');
var modal = weex.requireModule('ModalModule');
var DialPhone = weex.requireModule('DialPhoneModule');
exports.default = {
    /**
     * 合并司机列表其他标签
     */
    driverListElementMergeUtil: function driverListElementMergeUtil(messageList) {
        var tempList = messageList;
        if (tempList && tempList.length > 0) {
            for (var i = 0; i < tempList.length; i++) {
                tempList[i].driverLabelList = this.mergeListUtil(tempList[i].driverLabelList, tempList[i].otherLabelList);
            }
        }
        return tempList;
    },

    /**
     * 合并司机列表其他标签
     */
    listElementMergeUtil: function listElementMergeUtil(messageList) {
        var tempList = messageList;
        if (tempList && tempList.length > 0) {
            for (var i = 0; i < tempList.length; i++) {
                tempList[i].labelList = this.mergeListUtil(tempList[i].labelList, tempList[i].otherLabelList);
            }
        }
        return tempList;
    },

    /**
     * 合并列表
     */
    mergeListUtil: function mergeListUtil(listFirst, listSecond) {
        var result = new Array();
        if (listFirst && listFirst.length > 0) {
            for (var i = 0; i < listFirst.length; i++) {
                result.push(listFirst[i]);
            }
        }
        if (listSecond && listSecond.length > 0) {
            for (var _i = 0; _i < listSecond.length; _i++) {
                result.push(listSecond[_i]);
            }
        }
        return result;
    },

    /**
     * 跳转发布引导页
     */
    goToPublishServicePage: function goToPublishServicePage() {
        //发布服务
        navigator.push({
            url: _tool2.default.getCurrentPath() + "publishNeeds.weex.js",
            animated: 'true',
            type: 2,
            key: 'publishNeeds'
        }, function (event) {});
        //跳转发布页，不弹出发布引导弹窗
        storage.setItem('weex_isClickConnnectDriver', -1, function (event) {});
    },

    /**
     * 打电话（从司机主页接口获取）
     */
    dialPhoneNumber: function dialPhoneNumber(driverId) {
        if (!driverId) {
            this.showToast("拨打电话失败");
            return;
        }
        var that = this;
        this.showLoading(true);
        _API2.default.methods.lookCarGetDriverInfo({ driverId: driverId }).then(function (data) {
            // that.showToast(data.data.phone)
            if (data.data.phone) {
                DialPhone.dialPhone(data.data.phone);
            } else {
                that.showToast("拨打电话失败");
            }
            that.showLoading(false);
        }).catch(function (error) {
            that.showToast("拨打电话失败");
            that.showLoading(false);
        });
    },
    showToast: function showToast(msg) {
        modal.toast({
            'message': msg,
            'duration': 10
        });
    },
    showLoading: function showLoading(show) {
        modal.loading({ 'show': show }, function (event) {});
    }
};

/***/ }),

/***/ 147:
/***/ (function(module, exports) {

module.exports = {
  "rootDiv": {
    "flexDirection": "column"
  },
  "dataDiv": {
    "flexDirection": "column",
    "flex": 1
  },
  "list": {
    "flex": 1,
    "backgroundColor": "#ffffff"
  },
  "cell": {
    "backgroundColor": "#ffffff"
  },
  "wrapper": {
    "flexDirection": "column"
  },
  "wrapperContent": {
    "flexDirection": "row",
    "borderBottomWidth": 1,
    "borderBottomStyle": "solid",
    "borderBottomColor": "#EBEBEB",
    "marginLeft": 32,
    "marginRight": 32,
    "marginTop": 35
  },
  "portrait": {
    "width": 120,
    "height": 120,
    "borderRadius": 120,
    "WebkitBorderRadius": 50,
    "MozBorderRadius": 50
  },
  "detailed_information_layout": {
    "marginLeft": 24,
    "flexDirection": "column"
  },
  "car_type": {
    "fontSize": 36,
    "color": "#333333",
    "fontWeight": "bold"
  },
  "car_content": {
    "flexDirection": "row",
    "marginTop": 6
  },
  "driverName": {
    "fontSize": 28,
    "color": "#555555"
  },
  "car_license": {
    "fontSize": 28,
    "color": "#555555",
    "marginLeft": 20
  },
  "distanceContent": {
    "flexDirection": "row",
    "marginTop": 8
  },
  "locationTip": {
    "width": 14,
    "height": 19,
    "marginTop": 4
  },
  "car_distance": {
    "fontSize": 22,
    "color": "#666666",
    "marginLeft": 6
  },
  "tipCategorys": {
    "flexDirection": "row",
    "flexWrap": "wrap",
    "marginBottom": 28,
    "marginTop": 14
  },
  "itemTipCategorys": {
    "backgroundColor": "#FEEEEE",
    "borderRadius": 6,
    "fontSize": 22,
    "color": "#FF5257",
    "marginRight": 8,
    "paddingLeft": 10,
    "paddingRight": 10,
    "paddingTop": 3,
    "paddingBottom": 3,
    "marginBottom": 10
  },
  "operating_layout": {
    "right": 0,
    "top": 54,
    "position": "absolute",
    "flexDirection": "row",
    "justifyContent": "center"
  },
  "make_phone_call": {
    "width": 180,
    "height": 60
  },
  "addCollection": {
    "width": 216,
    "height": 80,
    "flexDirection": "row",
    "position": "absolute",
    "bottom": 163,
    "right": 0,
    "borderBottomLeftRadius": 40,
    "borderTopLeftRadius": 40,
    "backgroundColor": "#E6454A",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "addCollectionText": {
    "marginLeft": 12,
    "fontSize": 28,
    "color": "#FFFFFF",
    "fontWeight": "bold"
  },
  "addDriverDiv": {
    "position": "fixed",
    "left": 0,
    "right": 0,
    "top": 0,
    "bottom": 0
  },
  "bottomLayout": {
    "width": 750,
    "position": "absolute",
    "bottom": 0,
    "alignItems": "center",
    "justifyContent": "center"
  },
  "safeArea": {
    "width": 750,
    "height": 160,
    "alignItems": "center",
    "justifyContent": "center"
  },
  "bottomBackground": {
    "height": 160,
    "position": "absolute",
    "bottom": 0,
    "left": 0,
    "right": 0
  },
  "addMyDriver": {
    "width": 280,
    "height": 88,
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "borderRadius": 54,
    "backgroundColor": "#ff6762",
    "opacity": 1
  },
  "textAdd": {
    "fontSize": 36,
    "marginLeft": 12,
    "color": "#ffffff",
    "fontWeight": "bold"
  }
}

/***/ }),

/***/ 15:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(30)
)

/* script */
__vue_exports__ = __webpack_require__(24)

/* template */
var __vue_template__ = __webpack_require__(35)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-0e081618"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 16:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(31)
)

/* script */
__vue_exports__ = __webpack_require__(25)

/* template */
var __vue_template__ = __webpack_require__(36)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-4e61a6e0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 167:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "bodyDiv": {
    "backgroundColor": "rgba(0,0,0,0.5)"
  },
  "scroller": {
    "width": 750,
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "wrapperDiv": {
    "width": 750,
    "alignItems": "center",
    "justifyContent": "center"
  },
  "allBlock": {
    "width": 580,
    "backgroundColor": "#FFFFFF",
    "borderRadius": 8
  },
  "contentDiv": {
    "flexDirection": "column"
  },
  "topBlock": {
    "height": 110,
    "width": 580,
    "flexDirection": "row",
    "backgroundColor": "#FFFFFF",
    "justifyContent": "center"
  },
  "buttonDiv": {
    "height": 88,
    "alignItems": "center",
    "justifyContent": "center",
    "flexDirection": "row"
  },
  "button": {
    "flex": 1,
    "height": 88,
    "alignItems": "center",
    "justifyContent": "center"
  },
  "buttonCancle": {
    "fontSize": 34,
    "fontWeight": "bold",
    "color": "#666666"
  },
  "columLine": {
    "width": 1,
    "height": 88,
    "backgroundColor": "#ebebeb"
  },
  "buttonConfirm": {
    "fontSize": 34,
    "fontWeight": "bold",
    "color": "#fa5856"
  },
  "topLeftImage": {
    "width": 26,
    "height": 26,
    "backgroundColor": "#FFFFFF"
  },
  "titleText": {
    "alignItems": "center",
    "paddingTop": 32,
    "color": "#333333",
    "fontSize": 34,
    "textAlign": "center",
    "fontWeight": "bold"
  },
  "rightPlaceHolder": {
    "width": 26,
    "height": 26,
    "alignItems": "center",
    "marginRight": 40,
    "top": 40
  },
  "line": {
    "width": 580,
    "height": 1,
    "backgroundColor": "#ebebeb",
    "marginTop": 46
  },
  "middleBlock": {
    "display": "flex",
    "position": "relative",
    "backgroundColor": "#FFFFFF",
    "flexDirection": "column",
    "marginTop": 16
  },
  "phoneInput": {
    "color": "#333333",
    "fontSize": 28,
    "height": 88,
    "width": 500,
    "textAlign": "left",
    "marginLeft": 40,
    "marginRight": 40,
    "borderWidth": 1,
    "borderStyle": "solid",
    "borderRadius": 4,
    "paddingLeft": 14,
    "paddingRight": 14,
    "borderColor": "#ebebeb",
    "backgroundColor": "#F5F5F5"
  },
  "nameInput": {
    "marginTop": 26,
    "color": "#333333",
    "fontSize": 28,
    "height": 88,
    "textAlign": "left",
    "marginLeft": 36,
    "marginRight": 36,
    "borderWidth": 1,
    "borderStyle": "solid",
    "borderRadius": 4,
    "paddingLeft": 14,
    "paddingRight": 14,
    "borderColor": "#ebebeb"
  },
  "tipBlock": {
    "display": "flex",
    "backgroundColor": "#FFFFFF",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start",
    "marginLeft": 36,
    "marginTop": 30
  },
  "tipImage": {
    "backgroundColor": "#FFFFFF",
    "width": 26,
    "height": 26
  },
  "beizhuText": {
    "color": "#E84345",
    "fontSize": 22,
    "textAlign": "center",
    "lineHeight": 30,
    "marginLeft": 8
  },
  "bottomBlock": {
    "display": "flex",
    "marginTop": 60,
    "flexDirection": "column",
    "marginBottom": 50,
    "backgroundColor": "#FFFFFF",
    "width": 750
  },
  "submitText": {
    "alignItems": "center",
    "color": "#FFFFFF",
    "fontSize": 34,
    "textAlign": "center",
    "lineHeight": 100,
    "marginLeft": 120,
    "marginRight": 120,
    "backgroundColor": "#FA5856",
    "borderWidth": 1,
    "borderStyle": "solid",
    "borderRadius": 5,
    "borderColor": "#FA5856"
  },
  "andriod-nav": {
    "backgroundColor": "#FFFFFF"
  }
}

/***/ }),

/***/ 174:
/***/ (function(module, exports) {

module.exports = {
  "wrapperDiv": {
    "flex": 1,
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "noDataClass": {
    "fontSize": 28,
    "color": "#666666",
    "marginTop": 64
  }
}

/***/ }),

/***/ 178:
/***/ (function(module, exports) {

module.exports = {
  "wrapperDiv": {
    "flex": 1,
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "noDataClass": {
    "fontSize": 28,
    "color": "#666666",
    "marginTop": 64
  },
  "joinDiv": {
    "width": 280,
    "height": 88,
    "marginTop": 29,
    "justifyContent": "center",
    "alignItems": "center",
    "borderColor": "#fa5856",
    "borderWidth": 1,
    "borderRadius": 44
  },
  "joinButton": {
    "fontSize": 36,
    "color": "#fa5856",
    "fontWeight": "bold"
  }
}

/***/ }),

/***/ 184:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["rootDiv"],
    on: {
      "viewappear": _vm.viewappear
    }
  }, [_c('Nav', {
    attrs: {
      "showBack": true,
      "showLine": false,
      "title": _vm.title
    }
  }), _c('div', {
    staticStyle: {
      width: "750px",
      height: "1px",
      backgroundColor: "#ebebeb"
    }
  }), (!_vm.isNetWorkErro) ? _c('div', {
    staticClass: ["dataDiv"]
  }, [(_vm.collectionList && _vm.collectionList.length > 0) ? _c('list', {
    ref: "mylist",
    staticClass: ["list"],
    attrs: {
      "offset": _vm.offset,
      "loadmoreoffset": 100
    }
  }, _vm._l((_vm.collectionList), function(item, index) {
    return _c('cell', {
      staticClass: ["cell"],
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('div', {
      staticClass: ["wrapper"],
      on: {
        "click": function($event) {
          _vm.openDriverInformation(item)
        }
      }
    }, [_c('div', {
      staticClass: ["wrapperContent"]
    }, [_c('div', {
      staticStyle: {
        borderRadius: "120px",
        overflow: "hidden"
      }
    }, [_c('image', {
      staticClass: ["portrait"],
      attrs: {
        "resize": "cover",
        "placeholder": "http://syWeex/weex_nearbycars_photo",
        "src": item.headImage
      }
    })]), _c('div', {
      staticClass: ["detailed_information_layout"]
    }, [_c('text', {
      staticClass: ["car_type"]
    }, [_vm._v(_vm._s(item.carTypeName))]), _c('div', {
      staticClass: ["car_content"]
    }, [_c('text', {
      staticClass: ["driverName"]
    }, [_vm._v(_vm._s(item.realName.length > 10 ? item.realName.slice(0, 10) : item.realName))]), _c('text', {
      staticClass: ["car_license"]
    }, [_vm._v(_vm._s(item.carNumber))])]), _c('div', {
      staticClass: ["distanceContent"]
    }, [_c('image', {
      staticClass: ["locationTip"],
      attrs: {
        "resize": "cover",
        "src": "https://static.daojia.com/assets/project/tosimple-pic/didian@3x_1562335228322.png"
      }
    }), (item.realDistance && item.realDistance > 0) ? _c('text', {
      staticClass: ["car_distance"]
    }, [_vm._v("距您" + _vm._s(parseInt(item.realDistance) < 1000 ? parseInt(item.realDistance) + "米" : parseFloat(item.realDistance / 1000).toFixed(1) + "公里"))]) : _c('text', {
      staticClass: ["car_distance"]
    }, [_vm._v("距您0米")])]), _c('div', {
      staticClass: ["tipCategorys"]
    }, _vm._l((item.driverLabelList), function(driveritem) {
      return _c('div', [_c('text', {
        staticClass: ["itemTipCategorys"]
      }, [_vm._v(_vm._s(driveritem.name))])])
    }))]), _c('div', {
      staticClass: ["operating_layout"]
    }, [_c('image', {
      staticClass: ["make_phone_call"],
      attrs: {
        "resize": "cover",
        "src": "https://static.daojia.com/assets/project/tosimple-pic/lianxisiji@3x_1562335250204.png"
      },
      on: {
        "click": function($event) {
          _vm.phoneClick(item)
        }
      }
    })])]), (index >= (_vm.collectionList.length - 1)) ? _c('div', {
      staticStyle: {
        width: "750px",
        height: "180px",
        backgroundColor: "#FFFFFF"
      }
    }) : _vm._e()])])
  })) : _vm._e(), (_vm.collectionList.length <= 0 && _vm.showNoDataPage) ? _c('NoCollectionData') : _vm._e(), _c('div', {
    staticClass: ["bottomLayout"]
  }, [_c('div', {
    staticClass: ["safeArea"]
  }, [_c('image', {
    staticClass: ["bottomBackground"],
    attrs: {
      "src": "https://static.daojia.com/assets/project/tosimple-pic/dibutouming@3x_1562763379637.png"
    }
  }), _c('div', {
    staticClass: ["addMyDriver"],
    on: {
      "click": _vm.addCollectionClick
    }
  }, [_c('image', {
    staticStyle: {
      width: "32px",
      height: "32px"
    },
    attrs: {
      "src": "https://static.daojia.com/assets/project/tosimple-pic/fabu@3x_1562328327970.png"
    }
  }), _c('text', {
    staticClass: ["textAdd"]
  }, [_vm._v("添加熟车")])])]), (_vm.isIphoneX) ? _c('div', {
    staticStyle: {
      height: "68px",
      backgroundColor: "#FFFFFF"
    }
  }) : _vm._e()]), (_vm.isIphoneX) ? _c('div', {
    staticStyle: {
      height: "68px",
      backgroundColor: "#FFFFFF"
    }
  }) : _vm._e()], 1) : _c('CollectionNetErro', {
    on: {
      "refrshButtonClick": _vm.refrshButtonClick
    }
  }), (_vm.isShowAddDriver) ? _c('AddCollectionDriver', {
    staticClass: ["addDriverDiv"],
    on: {
      "closeButtonClicked": _vm.closeButtonClicked,
      "addDirverSuccess": _vm.addDirverSuccess
    }
  }) : _vm._e()], 1)
},staticRenderFns: []}

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * 接口配置
 */
module.exports = {
  //getAdvertList: '/api/suyun/driver/advertising/listbycity', // 广告Banner查询接口
  getAdvertList: '/api/driver/annment/advertising/listbycity', // 广告Banner查询接口
  getTypelist: '/api/announcement/typelist', // 获取系统公告类别列表
  getAnnouncementList: '/api/announcement/listbytype', // 获取二级页面列表
  getUnreadcount: '/api/announcement/unreadcount', // 获取司机未读消息数量
  // getRead: '/api/announcement/read', // 读取公告
  getRead: '/api/driver/annment/updatereadstatus', // 读取公告
  getAddsendcount: '/api/announcement/addsendcount', // 修改公告送达数量
  getUnreadrecent: '/api/announcement/unreadrecent', // 根据参数获取未读的最新的一条公告或者未读的24小时之内的最新的一条公告
  getHomeInfo: '/api/announcement/home', // 获得首页所有信息
  getHomeInfoNew: '/api/driver/annment/gethomeannment', // 获得首页所有信息 公告升级
  getmoreannmentlist: '/api/driver/annment/getmoreannmentlist', // 获得更多信息 公告升级
  getHistoryOrderList: '/api/suyun/driver/graborderlist', // 抢单
  getAssignHistoryOrderList: '/api/suyun/driver/assignedorderlist', // 派单
  getMyMenuList: '/driverCenter/kuaigou/my/menuList', //我的页面列表
  getMyInfo: '/api/suyun/driver/getdriverinfo', //我的页面列表
  getNearbyCarsList: '/wxuser/nearbydriver/list', // 附近车辆
  getOrderStatus: '/wxuser/order/detail', //订单状态
  getFavoriteDriversList: '/wxuser/favoritedriver/list', // 我收藏的司机
  getCarTypeList: '/wxuser/favoritedriver/availablecartypelist', //我收藏的车库车型列表
  getEstimatePrice: '/wxuser/order/price/estimate', //预估价格
  getCreatebroadcastorder: '/wxuser/order/createbroadcastorder', //下广播单
  getCreaterOrder: '/wxuser/order/createrOrder', //下私人订单
  getBroadcastInprogress: '/wxuser/order/broadcast/inprogress', //获取正在进行中的广播订单
  getBroadcastChoosedriverlist: '/wxuser/order/broadcast/choosedriverlist', //反选司机列表
  getChoosedriver: '/wxuser/user/choosedriver', //反选司机
  getUsercancel: '/wxuser/order/usercancel', //用户取消订单
  getMonthList: '/wxuser/order/monthlist', //订单列表
  getFictitiousphone: '/wxuser/fictitiousphone/get', //获取虚拟号
  addFavoritedriver: '/wxuser/favoritedriver/add', //邀请司机
  addInvitedriver: '/wxuser/favoritedriver/invitedriver', //再次邀请司机
  getWxShare: '/wxuser/config/wxshare', //获取微信分享内容

  getDriverinfo: '/wxuser/driver/getdriverinfo', //司机主页
  delFavoriteDriver: '/wxuser/favoritedriver/remove', //删除收藏司机
  publishNeedsCreate: '/wxuser/villages/publish/create', //发布消息
  publishlabellist: '/wxuser/villages/publishlabellist', //查询信息标签
  neardriverlist: '/wxuser/villages/neardriverlist', //查询附近司机(找车)
  getLocationInfo: '/wxuser/localInfo/locate', //通过经纬度查询具体地址信息

  //获取我的发布列表
  getMyPublishlist: '/wxuser/villages/publish/mypublishlist',
  //删除我的发布
  deleteMyPublish: '/wxuser/villages/publish/delete',
  //获取找信息列表

  //获取车型列表
  getCarList: '/wxuser/villages/cartypelist',
  //获取分类标签列表
  getPublishLabelList: '/wxuser/villages/publishlabellist',
  //获取司机服务项标签
  getDriverServiceLabelList: '/wxuser/villages/getdriverservicelabel',

  getMessageList: '/wxuser/villages/publish/publishlist',
  lookCarGetDriverInfo: '/wxuser/villages/getdriverinfo',
  updatepublish: '/wxuser/villages/publish/updatepublish',
  publishdetail: '/wxuser/villages/publish/publishdetail',
  delmydriver: '/wxuser/villages/familiar/delmydriver',

  userPhoneCallBack: '/wxuser/villages/publish/addcallcount', //打电话回调
  getMyDriverList: '/wxuser/villages/familiar/mydriverlist', //获取我的熟车列表
  addCollectionDriver: '/wxuser/villages/familiar/adddriver', //添加我的熟车
  isallowchangemobile: '/wxuser/villages/publish/isallowchangemobile' //校验是否有权限修改手机号
};

/***/ }),

/***/ 20:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__index_vue__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__index_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__index_vue__);
/* harmony reexport (default from non-hamory) */ __webpack_require__.d(__webpack_exports__, "default", function() { return __WEBPACK_IMPORTED_MODULE_0__index_vue___default.a; });


/***/ }),

/***/ 204:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["bodyDiv"]
  }, [_c('scroller', {
    staticClass: ["scroller"],
    style: _vm.smallScrollerHeight,
    attrs: {
      "scrollable": "true",
      "scrollDirection": "horizontal",
      "showScrollbar": "false"
    },
    on: {
      "click": _vm.blackContentClick
    }
  }, [_c('div', {
    staticClass: ["wrapperDiv"]
  }, [_c('div', {
    staticClass: ["allBlock"],
    on: {
      "click": _vm.clearFocuseClick
    }
  }, [_c('text', {
    staticClass: ["titleText"]
  }, [_vm._v("添加我的熟车")]), _c('div', {
    staticClass: ["middleBlock"],
    on: {
      "click": _vm.middleBlockClick
    }
  }, [_c('input', {
    ref: "phone",
    staticClass: ["phoneInput"],
    attrs: {
      "autofocus": "false",
      "maxlength": "11",
      "type": "number",
      "placeholder": "请输入司机手机号",
      "value": (_vm.phone)
    },
    on: {
      "input": function($event) {
        _vm.phone = $event.target.attr.value
      }
    }
  })]), _c('div', {
    staticClass: ["line"]
  }), _c('div', {
    staticClass: ["buttonDiv"]
  }, [_c('div', {
    staticClass: ["button"],
    on: {
      "click": _vm.closeButtonClicked
    }
  }, [_c('text', {
    staticClass: ["buttonCancle"]
  }, [_vm._v("取消")])]), _c('div', {
    staticClass: ["columLine"]
  }), _c('div', {
    staticClass: ["button"],
    on: {
      "click": _vm.submitButtonClicked
    }
  }, [_c('text', {
    staticClass: ["buttonConfirm"]
  }, [_vm._v("确定")])])])])])])])
},staticRenderFns: []}

/***/ }),

/***/ 21:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__index_vue__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__index_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__index_vue__);
/* harmony reexport (default from non-hamory) */ __webpack_require__.d(__webpack_exports__, "default", function() { return __WEBPACK_IMPORTED_MODULE_0__index_vue___default.a; });



/***/ }),

/***/ 211:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _vm._m(0)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrapperDiv"]
  }, [_c('image', {
    staticStyle: {
      width: "420px",
      height: "300px"
    },
    attrs: {
      "resize": "cover",
      "src": "https://static.daojia.com/assets/project/tosimple-pic/image_no_convoy_1564122104686.png"
    }
  }), _c('text', {
    staticClass: ["noDataClass"]
  }, [_vm._v("还没有熟悉的车！快来添加司机吧！")])])
}]}

/***/ }),

/***/ 215:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrapperDiv"]
  }, [_c('image', {
    staticStyle: {
      width: "420px",
      height: "300px"
    },
    attrs: {
      "resize": "cover",
      "src": "https://static.daojia.com/assets/project/tosimple-pic/image_network_interruption_1564122104686.png"
    }
  }), _c('text', {
    staticClass: ["noDataClass"]
  }, [_vm._v("网络请求错误，请点击重试")]), _c('div', {
    staticClass: ["joinDiv"],
    on: {
      "click": _vm.refreshClick
    }
  }, [_c('text', {
    staticClass: ["joinButton"]
  }, [_vm._v("点击重试")])])])
},staticRenderFns: []}

/***/ }),

/***/ 24:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = __webpack_require__(12);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    top: {
      type: Number,
      default: 0
    },
    left: _defineProperty({
      default: Number
    }, 'default', 0),
    hasAnimation: {
      type: Boolean,
      default: true
    },
    duration: {
      type: [Number, String],
      default: 300
    },
    timingFunction: {
      type: Array,
      default: function _default() {
        return ['ease-in', 'ease-out'];
      }
    },
    opacity: {
      type: [Number, String],
      default: 0.6
    },
    canAutoClose: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    overlayStyle: function overlayStyle() {
      return {
        opacity: this.hasAnimation ? 0 : 1,
        backgroundColor: 'rgba(0, 0, 0,' + this.opacity + ')',
        left: _utils2.default.env.isWeb() ? this.left + 'px' : 0,
        top: this.top
      };
    },
    shouldShow: function shouldShow() {
      var _this = this;

      var show = this.show,
          hasAnimation = this.hasAnimation;

      hasAnimation && setTimeout(function () {
        _this.appearOverlay(show);
      }, 50);
      return show;
    }
  },
  methods: {
    overlayClicked: function overlayClicked(e) {
      this.canAutoClose ? this.appearOverlay(false) : this.$emit('wxcOverlayBodyClicked', {});
    },
    appearOverlay: function appearOverlay(bool) {
      var _this2 = this;

      var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.duration;
      var hasAnimation = this.hasAnimation,
          timingFunction = this.timingFunction,
          canAutoClose = this.canAutoClose;

      var needEmit = !bool && canAutoClose;
      needEmit && this.$emit('wxcOverlayBodyClicking', {});
      var overlayEl = this.$refs['wxc-overlay'];
      if (hasAnimation && overlayEl) {
        animation.transition(overlayEl, {
          styles: {
            opacity: bool ? 1 : 0
          },
          duration: duration,
          timingFunction: timingFunction[bool ? 0 : 1],
          delay: 0
        }, function () {
          needEmit && _this2.$emit('wxcOverlayBodyClicked', {});
        });
      } else {
        needEmit && this.$emit('wxcOverlayBodyClicked', {});
      }
    }
  }
};

/***/ }),

/***/ 25:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _wxcOverlay = __webpack_require__(20);

var _wxcOverlay2 = _interopRequireDefault(_wxcOverlay);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
  components: { WxcOverlay: _wxcOverlay2.default },
  props: {
    show: {
      type: Boolean,
      default: false
    },
    pos: {
      type: String,
      default: 'bottom'
    },
    popupColor: {
      type: String,
      default: '#FFFFFF'
    },
    overlayCfg: {
      type: Object,
      default: function _default() {
        return {
          hasAnimation: true,
          timingFunction: ['ease-in', 'ease-out'],
          duration: 300,
          opacity: 0.6
        };
      }
    },
    height: {
      type: [Number, String],
      default: 840
    },
    standOut: {
      type: [Number, String],
      default: 0
    },
    width: {
      type: [Number, String],
      default: 750
    },
    animation: {
      type: Object,
      default: function _default() {
        return {
          timingFunction: 'ease-in'
        };
      }
    }
  },
  data: function data() {
    return {
      haveOverlay: true,
      isOverShow: true
    };
  },
  computed: {
    isNeedShow: function isNeedShow() {
      var _this = this;

      setTimeout(function () {
        _this.appearPopup(_this.show);
      }, 50);
      return this.show;
    },
    _height: function _height() {
      this.appearPopup(this.show, 150);
      return this.height;
    },
    padStyle: function padStyle() {
      var pos = this.pos,
          width = this.width,
          height = this.height,
          popupColor = this.popupColor,
          standOut = this.standOut;

      var stand = parseInt(standOut, 10);
      var style = {
        width: width + 'px',
        backgroundColor: popupColor
      };
      pos === 'top' && (style = _extends({}, style, {
        top: -height + stand + 'px',
        height: height + 'px'
      }));
      pos === 'bottom' && (style = _extends({}, style, {
        bottom: -height + stand + 'px',
        height: height + 'px'
      }));
      pos === 'left' && (style = _extends({}, style, {
        left: -width + stand + 'px'
      }));
      pos === 'right' && (style = _extends({}, style, {
        right: -width + stand + 'px'
      }));
      return style;
    }
  },
  methods: {
    handleTouchEnd: function handleTouchEnd(e) {
      // 在支付宝上面有点击穿透问题
      var platform = weex.config.env.platform;

      platform === 'Web' && e.preventDefault && e.preventDefault();
    },
    hide: function hide() {
      this.appearPopup(false);
      this.$refs.overlay.appearOverlay(false);
    },
    wxcOverlayBodyClicking: function wxcOverlayBodyClicking() {
      this.isShow && this.appearPopup(false);
    },
    appearPopup: function appearPopup(bool) {
      var _this2 = this;

      var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 300;

      this.isShow = bool;
      var popupEl = this.$refs['wxc-popup'];
      if (!popupEl) {
        return;
      }
      animation.transition(popupEl, _extends({
        styles: {
          transform: this.getTransform(this.pos, this.width, this.height, !bool)
        },
        duration: duration,
        delay: 0
      }, this.animation), function () {
        if (!bool) {
          _this2.$emit('wxcPopupOverlayClicked', { pos: _this2.pos });
        }
      });
    },
    getTransform: function getTransform(pos, width, height, bool) {
      var _size = pos === 'top' || pos === 'bottom' ? height : width;
      bool && (_size = 0);
      var _transform = void 0;
      switch (pos) {
        case 'top':
          _transform = 'translateY(' + _size + 'px)';
          break;
        case 'bottom':
          _transform = 'translateY(-' + _size + 'px)';
          break;
        case 'left':
          _transform = 'translateX(' + _size + 'px)';
          break;
        case 'right':
          _transform = 'translateX(-' + _size + 'px)';
          break;
      }
      return _transform;
    }
  }
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(5)
)

/* script */
__vue_exports__ = __webpack_require__(4)

/* template */
var __vue_template__ = __webpack_require__(6)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-74c3cca7"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 30:
/***/ (function(module, exports) {

module.exports = {
  "wxc-overlay": {
    "width": 750,
    "position": "fixed",
    "bottom": 0,
    "right": 0
  }
}

/***/ }),

/***/ 31:
/***/ (function(module, exports) {

module.exports = {
  "wxc-popup": {
    "position": "fixed",
    "width": 750
  },
  "top": {
    "left": 0,
    "right": 0
  },
  "bottom": {
    "left": 0,
    "right": 0
  },
  "left": {
    "bottom": 0,
    "top": 0
  },
  "right": {
    "bottom": 0,
    "top": 0
  }
}

/***/ }),

/***/ 35:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.show) ? _c('div', {
    ref: "wxc-overlay",
    staticClass: ["wxc-overlay"],
    style: _vm.overlayStyle,
    attrs: {
      "hack": _vm.shouldShow
    },
    on: {
      "click": _vm.overlayClicked
    }
  }) : _vm._e()])
},staticRenderFns: []}

/***/ }),

/***/ 36:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('div', {
    on: {
      "touchend": _vm.handleTouchEnd
    }
  }, [(_vm.show) ? _c('wxc-overlay', _vm._b({
    ref: "overlay",
    attrs: {
      "show": _vm.haveOverlay && _vm.isOverShow
    },
    on: {
      "wxcOverlayBodyClicking": _vm.wxcOverlayBodyClicking
    }
  }, 'wxc-overlay', _vm.overlayCfg)) : _vm._e()], 1), (_vm.show) ? _c('div', {
    ref: "wxc-popup",
    class: ['wxc-popup', _vm.pos],
    style: _vm.padStyle,
    attrs: {
      "height": _vm._height,
      "hack": _vm.isNeedShow
    },
    on: {
      "click": function () {}
    }
  }, [_vm._t("default")], 2) : _vm._e()])
},staticRenderFns: []}

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var navigator = weex.requireModule('navigator');
// const webview = weex.requireModule('webview')
var modal = weex.requireModule('ModalModule');
exports.default = {
    data: function data() {
        return {
            height: {
                height: ''
            },
            height1: {
                height: ''
            },
            aaaa: true,
            bbb: 1,
            cccc: 'ssss'
        };
    },

    props: {
        showBack: {
            type: Boolean,
            default: false
        },
        showLine: {
            type: Boolean,
            default: false
        },
        onBack: {
            type: Function,
            default: function _default() {},
            required: false
        },
        title: {
            type: String,
            default: ''
        },
        showRightBtn: {
            type: Boolean,
            default: false
        },
        rightBtnText: {
            type: String,
            default: ''
        },
        rightBtnClick: {
            type: Function,
            default: function _default() {},
            required: false
        }
    },
    computed: {
        isiOS: function isiOS() {
            return weex.config.env['platform'] === 'iOS';
        }
    },
    methods: {
        handleBack: function handleBack(e) {
            this.back();
            this.$emit('onBack', { title: this.title });
            var back = new BroadcastChannel('back');
            back.postMessage({ title: this.title });
        },

        back: function back() {
            //modal.toast({ message: 'back',duration:2 })
            if (this.$router) {
                if (this.$router.history.index === 0) {
                    navigator.pop();
                } else {
                    this.$router.back();
                }
            } else {
                navigator.pop();
            }
        }

    },
    created: function created() {
        var screenWidth = weex.config.env['deviceWidth'] ? weex.config.env['deviceWidth'] : 0;
        var scale = weex.config.env['scale'] ? weex.config.env['scale'] : 0;
        this.height.height = weex.config.env['stateBarHeight'] * (375 / (screenWidth / scale));
        this.height1.height = 88 * (375 / (screenWidth / scale));
    }
};

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#ffffff"
  },
  "nav": {
    "width": 750,
    "height": 88,
    "flexDirection": "row",
    "justifyContent": "center",
    "color": "#525a66"
  },
  "nav-ios": {
    "backgroundColor": "#ffffff",
    "width": 750,
    "height": 40
  },
  "text-row": {
    "flex": 1
  },
  "line": {
    "position": "absolute",
    "height": 1,
    "left": 0,
    "right": 0,
    "bottom": 0,
    "backgroundColor": "#ff0000"
  },
  "text-row-back": {
    "position": "absolute",
    "left": 0,
    "top": 0,
    "height": 88,
    "width": 180
  },
  "text-row-title": {
    "height": 88,
    "lineHeight": 88,
    "textAlign": "center",
    "fontSize": 36
  },
  "text-row-btn": {
    "position": "absolute",
    "height": 88,
    "lineHeight": 88,
    "right": 20,
    "top": 0
  },
  "text-row-arrow": {
    "margin": 30,
    "position": "absolute",
    "height": 26,
    "width": 26,
    "borderTopStyle": "solid",
    "borderTopWidth": 4,
    "borderTopColor": "#525a66",
    "borderLeftStyle": "solid",
    "borderLeftWidth": 4,
    "borderLeftColor": "#525a66",
    "transform": "rotate(-45deg)"
  },
  "text-row-back-title": {
    "position": "absolute",
    "height": 88,
    "lineHeight": 88,
    "left": 40,
    "top": 0,
    "fontSize": 32
  },
  "text-row-right": {
    "position": "absolute",
    "height": 88,
    "lineHeight": 88,
    "textAlign": "center",
    "right": 40,
    "top": 0,
    "fontSize": 28
  }
}

/***/ }),

/***/ 56:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(147)
)

/* script */
__vue_exports__ = __webpack_require__(111)

/* template */
var __vue_template__ = __webpack_require__(184)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-009e1cd2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["bg"]
  }, [_c('div', {
    class: [_vm.isiOS ? "nav-ios" : ""],
    style: _vm.height
  }), _c('div', {
    staticClass: ["nav"],
    style: _vm.height1
  }, [_c('text', {
    staticClass: ["text-row", "text-row-title"]
  }, [_vm._v(_vm._s(_vm.title))]), _c('text', {
    staticClass: ["text-row", "text-row-btn"]
  }), (_vm.showBack) ? _c('div', {
    staticClass: ["text-row", "text-row-back"],
    on: {
      "click": _vm.handleBack
    }
  }, [_c('span', {
    staticClass: ["text-row-arrow"]
  })], 1) : _vm._e(), (_vm.showLine) ? _c('div', {
    staticClass: ["line"]
  }) : _vm._e(), (_vm.showRightBtn) ? _c('text', {
    staticClass: ["text-row", "text-row-right"],
    on: {
      "click": _vm.rightBtnClick
    }
  }, [_vm._v(_vm._s(_vm.rightBtnText))]) : _vm._e()])])
},staticRenderFns: []}

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _API = __webpack_require__(0);

var _API2 = _interopRequireDefault(_API);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var storage = weex.requireModule('storage'); /**
                                              * 埋点相关工具类
                                              */

var logModule = weex.requireModule('LogModule');
exports.default = {
    /**
     * 点击事件埋点
     * @param eventId
     * @param dataMap
     */
    clickEvent: function clickEvent(eventId, dataMap) {
        this.logContenUpload(eventId, dataMap, 1);
    },

    /**
     * 页面埋点
     * @param eventId
     * @param dataMap
     */
    nativeLoad: function nativeLoad(eventId, dataMap) {
        this.logContenUpload(eventId, dataMap, 2);
    },

    /**
     * 点击埋点（速运自埋点）
     * @param eventId
     * @param dataMap
     */
    suYunClick: function suYunClick(eventId, dataMap) {
        this.logContenUpload(eventId, dataMap, 3);
    },

    /**
     * 根据经纬度查询乡镇信息
     * @param locationMap
     */
    getVillageInfoByLocation: function getVillageInfoByLocation(locationMap) {
        _API2.default.methods.getLocationInfo(locationMap).then(function (data) {
            if (data.code == 0 && data.data) {
                storage.setItem('weex_village_location_info', JSON.stringify(data.data), function (event) {});
            }
        });
    },

    /**
     * 添加公共参数然后上报
     * @param eventId
     * @param dataMap
     * @param logType
     */
    logContenUpload: function logContenUpload(eventId, dataMap, logType) {
        var tempData = dataMap;
        var that = this;
        try {
            storage.getItem('weex_village_location_info', function (event) {
                if (event && event.result == 'success' && event.data) {
                    var locationData = JSON.parse(event.data);
                    if (locationData) {
                        //没有乡镇id则上报区县id
                        tempData['villageLocalId'] = locationData.townId ? locationData.townId : locationData.areaId;
                    }
                    that.logTypeUpload(eventId, tempData, logType);
                } else {
                    that.logTypeUpload(eventId, tempData, logType);
                }
            });
        } catch (e) {
            that.logTypeUpload(eventId, tempData, logType);
        }
    },

    /**
     * 埋点上报
     * @param logType
     * @param dataMap
     */
    logTypeUpload: function logTypeUpload(eventId, dataMap, logType) {
        var type = logType;
        switch (type) {
            case 1:
                logModule.clickEvent(eventId, dataMap, function (resp) {});
                break;
            case 2:
                logModule.nativeLoad(eventId, dataMap, function (resp) {});
                break;
            case 3:
                logModule.suYunClick(eventId, dataMap, function (resp) {});
                break;
            default:
                break;
        }
    }
};

/***/ }),

/***/ 72:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _CollectionDriver = __webpack_require__(56);

var _CollectionDriver2 = _interopRequireDefault(_CollectionDriver);

var _API = __webpack_require__(0);

var _API2 = _interopRequireDefault(_API);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.mixin(_API2.default);
new Vue(Vue.util.extend({ el: '#root' }, _CollectionDriver2.default));

/***/ }),

/***/ 8:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var has = Object.prototype.hasOwnProperty
  , undef;

/**
 * Decode a URI encoded string.
 *
 * @param {String} input The URI encoded string.
 * @returns {String|Null} The decoded string.
 * @api private
 */
function decode(input) {
  try {
    return decodeURIComponent(input.replace(/\+/g, ' '));
  } catch (e) {
    return null;
  }
}

/**
 * Attempts to encode a given input.
 *
 * @param {String} input The string that needs to be encoded.
 * @returns {String|Null} The encoded string.
 * @api private
 */
function encode(input) {
  try {
    return encodeURIComponent(input);
  } catch (e) {
    return null;
  }
}

/**
 * Simple query string parser.
 *
 * @param {String} query The query string that needs to be parsed.
 * @returns {Object}
 * @api public
 */
function querystring(query) {
  var parser = /([^=?&]+)=?([^&]*)/g
    , result = {}
    , part;

  while (part = parser.exec(query)) {
    var key = decode(part[1])
      , value = decode(part[2]);

    //
    // Prevent overriding of existing properties. This ensures that build-in
    // methods like `toString` or __proto__ are not overriden by malicious
    // querystrings.
    //
    // In the case if failed decoding, we want to omit the key/value pairs
    // from the result.
    //
    if (key === null || value === null || key in result) continue;
    result[key] = value;
  }

  return result;
}

/**
 * Transform a query string to an object.
 *
 * @param {Object} obj Object that should be transformed.
 * @param {String} prefix Optional prefix.
 * @returns {String}
 * @api public
 */
function querystringify(obj, prefix) {
  prefix = prefix || '';

  var pairs = []
    , value
    , key;

  //
  // Optionally prefix with a '?' if needed
  //
  if ('string' !== typeof prefix) prefix = '?';

  for (key in obj) {
    if (has.call(obj, key)) {
      value = obj[key];

      //
      // Edge cases where we actually want to encode the value to an empty
      // string instead of the stringified value.
      //
      if (!value && (value === null || value === undef || isNaN(value))) {
        value = '';
      }

      key = encodeURIComponent(key);
      value = encodeURIComponent(value);

      //
      // If we failed to encode the strings, we should bail out as we don't
      // want to add invalid strings to the query.
      //
      if (key === null || value === null) continue;
      pairs.push(key +'='+ value);
    }
  }

  return pairs.length ? prefix + pairs.join('&') : '';
}

//
// Expose the module.
//
exports.stringify = querystringify;
exports.parse = querystring;


/***/ }),

/***/ 89:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(167)
)

/* script */
__vue_exports__ = __webpack_require__(110)

/* template */
var __vue_template__ = __webpack_require__(204)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-696f3606"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Check if we're required to add a port number.
 *
 * @see https://url.spec.whatwg.org/#default-port
 * @param {Number|String} port Port number we need to check
 * @param {String} protocol Protocol we need to check against.
 * @returns {Boolean} Is it a default port for the given protocol
 * @api private
 */
module.exports = function required(port, protocol) {
  protocol = protocol.split(':')[0];
  port = +port;

  if (!port) return false;

  switch (protocol) {
    case 'http':
    case 'ws':
    return port !== 80;

    case 'https':
    case 'wss':
    return port !== 443;

    case 'ftp':
    return port !== 21;

    case 'gopher':
    return port !== 70;

    case 'file':
    return false;
  }

  return port !== 0;
};


/***/ }),

/***/ 90:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(178)
)

/* script */
__vue_exports__ = __webpack_require__(112)

/* template */
var __vue_template__ = __webpack_require__(215)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-e0c61bf0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 91:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(174)
)

/* script */
__vue_exports__ = __webpack_require__(113)

/* template */
var __vue_template__ = __webpack_require__(211)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-c32fa98c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ })

/******/ });