// { "framework": "Vue" }

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 80);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _tool = __webpack_require__(1);

var _tool2 = _interopRequireDefault(_tool);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var API = __webpack_require__(2);
var domain = _tool2.default.getBaseUrl();
var navigator = weex.requireModule('navigator');
var modal = weex.requireModule('ModalModule');
var stream = weex.requireModule('stream');
var suyunApp = weex.requireModule('AppInfoModule');

exports.default = {
    data: function data() {
        return {
            data: {}
        };
    },

    methods: {
        setMutations: function setMutations(key, value) {
            this.$store.commit(key, value);
        },
        parseParams: function parseParams(params) {
            var str = '';
            if (!params) return '';
            var len = Object.keys(params).length;
            for (var i in params) {
                try {
                    str += i + '=' + params[i] + '&';
                } catch (e) {
                    console.warn(e);
                }
            }
            return '?' + str.substr(0, str.length - 1);
        },
        getCookie: function getCookie(data) {
            var cookie = '';
            var djfrtuid = data['djSuyunUID'];
            var djfrttok = data['userToken'];
            var djfrtexp = data['djSuyunExpiryDate'];
            var dj_psuid = data['djPSUID'];
            var dj_pstoken = data['djPSToken'];
            var dj_pstokenexp = data['djPSTokenExp'];
            if (djfrtuid) {
                cookie += 'djfrtuid=' + djfrtuid + ";";
            }
            if (djfrttok) {
                cookie += 'djfrttok=' + djfrttok + ";";
            }
            if (djfrtexp) {
                cookie += 'djfrtexp=' + djfrtexp + ";";
            }
            if (dj_psuid) {
                cookie += 'dj_psuid=' + dj_psuid + ";";
            }
            if (dj_pstoken) {
                cookie += 'dj_pstoken=' + dj_pstoken + ";";
            }
            if (dj_pstokenexp) {
                cookie += 'dj_pstokenexp=' + dj_pstokenexp + ";";
            }
            return cookie;
        },
        getTerminal: function getTerminal() {
            if (weex.config.env['platform'] === 'iOS') {
                return '2';
            } else {
                return '1';
            }
        },
        getHost: function getHost(data) {
            if (data['host']) {
                return data['host'];
            }
        },
        fetchGet: function fetchGet(url, obj) {
            var this1 = this;

            return new Promise(function (resolve, reject) {
                var str = this1.parseParams(obj);

                var this2 = this1;
                suyunApp.getAppInfo(function (event) {
                    try {
                        var objEvent = event;
                        var data = objEvent.data;
                        var reqUrl = this2.getHost(data) + url;
                        reqUrl += str;
                        var cityid;
                        if (data['selectCityId']) {
                            cityid = data['selectCityId'];
                        } else {
                            cityid = data['cityId'];
                        }
                        stream.fetch({
                            method: 'GET',
                            url: reqUrl,
                            type: 'json',
                            timeout: 60000, //60s
                            headers: {
                                "Cookie": this2.getCookie(data),
                                "terminal": this2.getTerminal(),
                                "appVersion": data['version'],
                                "cityId": cityid
                            }
                        }, function (response) {
                            console.log(JSON.stringify(response) + "========response");
                            if (parseInt(response.status) == 200) {
                                resolve(response.data);
                            } else {
                                reject(response);
                            }
                        }, function () {});
                    } catch (error) {}
                });
            });
        },
        fetchPost: function fetchPost(domin, url, obj) {
            var this1 = this;
            var reqUrl = domin + url;

            return new Promise(function (resolve, reject) {
                var this2 = this1;
                suyunApp.getAppInfo(function (event) {
                    try {
                        var objEvent = event;
                        var data = objEvent.data;
                        stream.fetch({
                            method: 'POST',
                            url: reqUrl,
                            type: 'json',
                            timeout: 60000, //20s
                            headers: {
                                "Cookie": this2.getCookie(data)
                            },
                            body: JSON.stringify(obj)
                        }, function (response) {
                            if (response.status == 200) {
                                resolve(response.data);
                            } else {
                                reject(response);
                            }
                        }, function () {});
                    } catch (error) {}
                });
            });
        },
        getAdvertList: function getAdvertList(obj) {
            return this.fetchGet(API.getAdvertList, obj);
        },
        getHomeInfo: function getHomeInfo(obj) {
            return this.fetchGet(API.getHomeInfoNew, obj); //getHomeInfo=>getHomeInfoNew
        },
        getAnnouncementList: function getAnnouncementList(obj) {
            return this.fetchGet(API.getAnnouncementList, obj);
        },
        getRead: function getRead(obj) {
            return this.fetchGet(API.getRead, obj);
        },
        getMoreAnnmentlist: function getMoreAnnmentlist(obj) {
            return this.fetchGet(API.getmoreannmentlist, obj);
        },
        getHistoryOrderList: function getHistoryOrderList(obj) {
            return this.fetchGet(API.getHistoryOrderList, obj);
        },
        getAssignHistoryOrderList: function getAssignHistoryOrderList(obj) {
            return this.fetchGet(API.getAssignHistoryOrderList, obj);
        },
        getMyMenuList: function getMyMenuList(obj) {
            return this.fetchGet(API.getMyMenuList, obj);
        },
        getMyInfo: function getMyInfo(obj) {
            return this.fetchGet(API.getMyInfo, obj);
        },
        getNearbyCarsList: function getNearbyCarsList(obj) {
            return this.fetchGet(API.getNearbyCarsList, obj);
        },
        getMonthList: function getMonthList(obj) {
            return this.fetchGet(API.getMonthList, obj);
        },
        getFavoriteDriversList: function getFavoriteDriversList(obj) {
            return this.fetchGet(API.getFavoriteDriversList, obj);
        },
        getFictitiousphone: function getFictitiousphone(obj) {
            return this.fetchGet(API.getFictitiousphone, obj);
        },
        addFavoritedriver: function addFavoritedriver(obj) {
            return this.fetchGet(API.addFavoritedriver, obj);
        },
        getWxShare: function getWxShare(obj) {
            return this.fetchGet(API.getWxShare, obj);
        },
        getCarTypeList: function getCarTypeList(obj) {
            return this.fetchGet(API.getCarTypeList, obj);
        },
        getEstimatePrice: function getEstimatePrice(obj) {
            return this.fetchGet(API.getEstimatePrice, obj);
        },
        getCreaterOrder: function getCreaterOrder(obj) {
            return this.fetchGet(API.getCreaterOrder, obj);
        },
        getCreatebroadcastorder: function getCreatebroadcastorder(obj) {
            return this.fetchGet(API.getCreatebroadcastorder, obj);
        },
        getOrderStatus: function getOrderStatus(obj) {
            return this.fetchGet(API.getOrderStatus, obj);
        },
        getBroadcastInprogress: function getBroadcastInprogress(obj) {
            return this.fetchGet(API.getBroadcastInprogress, obj);
        },
        getBroadcastChoosedriverlist: function getBroadcastChoosedriverlist(obj) {
            return this.fetchGet(API.getBroadcastChoosedriverlist, obj);
        },
        getChoosedriver: function getChoosedriver(obj) {
            return this.fetchGet(API.getChoosedriver, obj);
        },
        getUsercancel: function getUsercancel(obj) {
            return this.fetchGet(API.getUsercancel, obj);
        },
        addInvitedriver: function addInvitedriver(obj) {
            return this.fetchGet(API.addInvitedriver, obj);
        },
        getDriverinfo: function getDriverinfo(obj) {
            return this.fetchGet(API.getDriverinfo, obj);
        },
        nav: function nav(url) {
            this.$router.push(url);
        },
        navNewWeb: function navNewWeb(url) {
            var tempUrl = '';
            if (_tool2.default.getEnvironment() === 'prod' || _tool2.default.getEnvironment() === 'test') {
                tempUrl = domain + '/' + url;
            }
            if (_tool2.default.getEnvironment() === 'local') {
                tempUrl = domain + '/dist/' + url;
            }

            navigator.push({
                url: tempUrl,
                animated: "true",
                type: 3
            }, function (event) {
                //  modal.toast({ message: 'callback: ' + domain+'/dist/'+url })
            });
        },
        jump: function jump(event, url, params) {
            if (params) {
                var obj = { url: encodeURIComponent(url) };
                Object.assign(obj, params);
                this.$router.push({ path: event, query: obj });
            } else {
                this.$router.push({ path: event, query: { url: encodeURIComponent(url) } });
            }
        },
        jumpNew: function jumpNew(params) {
            this.$router.push(params);
        },
        delFavoriteDriver: function delFavoriteDriver(obj) {
            return this.fetchGet(API.delFavoriteDriver, obj);
        },
        getLocationInfo: function getLocationInfo(obj) {
            return this.fetchGet(API.getLocationInfo, obj);
        },
        getMyPublishlist: function getMyPublishlist(obj) {
            return this.fetchGet(API.getMyPublishlist, obj);
        },
        deleteMyPublish: function deleteMyPublish(obj) {
            return this.fetchGet(API.deleteMyPublish, obj);
        },
        getMessageList: function getMessageList(obj) {
            return this.fetchGet(API.getMessageList, obj);
        },
        getCarList: function getCarList(obj) {
            return this.fetchGet(API.getCarList, obj);
        },
        getPublishLabelList: function getPublishLabelList(obj) {
            return this.fetchGet(API.getPublishLabelList, obj);
        },
        getDriverServiceLabelList: function getDriverServiceLabelList(obj) {
            return this.fetchGet(API.getDriverServiceLabelList, obj);
        },
        publishNeedsCreate: function publishNeedsCreate(obj) {
            return this.fetchGet(API.publishNeedsCreate, obj);
        },
        publishlabellist: function publishlabellist(obj) {
            return this.fetchGet(API.publishlabellist, obj);
        },
        neardriverlist: function neardriverlist(obj) {
            return this.fetchGet(API.neardriverlist, obj);
        },
        lookCarGetDriverInfo: function lookCarGetDriverInfo(obj) {
            return this.fetchGet(API.lookCarGetDriverInfo, obj);
        },
        userPhoneCallBack: function userPhoneCallBack(obj) {
            return this.fetchGet(API.userPhoneCallBack, obj);
        },
        getMyDriverList: function getMyDriverList(obj) {
            return this.fetchGet(API.getMyDriverList, obj);
        },
        addCollectionDriver: function addCollectionDriver(obj) {
            return this.fetchGet(API.addCollectionDriver, obj);
        },
        updatepublish: function updatepublish(obj) {
            return this.fetchGet(API.updatepublish, obj);
        },
        publishdetail: function publishdetail(obj) {
            return this.fetchGet(API.publishdetail, obj);
        },
        delmydriver: function delmydriver(obj) {
            return this.fetchGet(API.delmydriver, obj);
        },
        isallowchangemobile: function isallowchangemobile(obj) {
            return this.fetchGet(API.isallowchangemobile, obj);
        }
    },
    created: function created() {}
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var suyunApp = weex.requireModule('AppInfoModule');
exports.default = {
    getBaseUrl: function getBaseUrl() {
        return weex.config.bundleUrl.replace(/\/index\.html$/, '').replace(/\/weex\.html$/, '').replace(/\/dist\/app\.weex\.js$/, '').replace(/\/dist\/detail\.weex\.js$/, '').replace(/\/dist\/appDetail\.weex\.js$/, '').replace(/\/detail\.weex\.js$/, '').replace(/\/appDetail\.weex\.js$/, '').replace(/\/app\.weex\.js$/, '');
    },
    getPlatform: function getPlatform() {
        return weex.config['platform'];
    },
    getEnvironment: function getEnvironment() {
        var domain = weex.config.bundleUrl.replace(/\/index\.html$/, '').replace(/\/weex\.html$/, '').replace(/\/dist\/app\.weex\.js$/, '').replace(/\/dist\/detail\.weex\.js$/, '').replace(/\/dist\/appDetail\.weex\.js$/, '').replace(/\/detail\.weex\.js$/, '').replace(/\/appDetail\.weex\.js$/, '').replace(/\/app\.weex\.js$/, '');
        if (domain.indexOf('static.djtest.cn') > -1) {
            return 'test';
        } else if (domain.indexOf('static.daojia.com') > -1) {
            return 'prod';
        } else {
            return 'local';
        }
    },
    getServeDomain: function getServeDomain() {
        return 'http://wxapp-user-stable.djtest.cn';
        // return 'http://10.37.31.146:30163'
        // return 'http://10.37.33.143:30163'
    },
    formateData: function formateData(arr, obj) {
        var tempArr = [];
        var formateArr = Object.keys(obj);
        for (var i = 0; i < arr.length; i++) {
            var tempObj = {};
            for (var j = 0; j < formateArr.length; j++) {
                var tempStr = formateArr[j];
                tempObj[tempStr] = arr[i][obj[formateArr[j]]];
            }
            tempArr.push(tempObj);
        }
        return tempArr;
    },
    getCurrentBundleUrl: function getCurrentBundleUrl() {
        return weex.config.bundleUrl;
    },
    getCurrentHost: function getCurrentHost() {
        var bundleUrl = weex.config.bundleUrl;
        var array = bundleUrl.split('/');
        var lastObject = array[array.length - 1];
        var result = bundleUrl.substring(0, bundleUrl.length - lastObject.length);
        return result;
    },
    getCurrentPath: function getCurrentPath() {
        var path = 'https://static.daojia.com/sy/project/up-mobile-weex/';
        var isIOS = weex.config.env['platform'] === 'iOS';
        if (isIOS && weex.config.env['jshost']) {
            path = weex.config.env['jshost'];
        } else if (weex.config['jshost']) {
            path = weex.config['jshost'];
        }
        return path;
    }
};

/***/ }),

/***/ 10:
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {

var required = __webpack_require__(9)
  , qs = __webpack_require__(8)
  , slashes = /^[A-Za-z][A-Za-z0-9+-.]*:\/\//
  , protocolre = /^([a-z][a-z0-9.+-]*:)?(\/\/)?([\S\s]*)/i
  , whitespace = '[\\x09\\x0A\\x0B\\x0C\\x0D\\x20\\xA0\\u1680\\u180E\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200A\\u202F\\u205F\\u3000\\u2028\\u2029\\uFEFF]'
  , left = new RegExp('^'+ whitespace +'+');

/**
 * Trim a given string.
 *
 * @param {String} str String to trim.
 * @public
 */
function trimLeft(str) {
  return (str ? str : '').toString().replace(left, '');
}

/**
 * These are the parse rules for the URL parser, it informs the parser
 * about:
 *
 * 0. The char it Needs to parse, if it's a string it should be done using
 *    indexOf, RegExp using exec and NaN means set as current value.
 * 1. The property we should set when parsing this value.
 * 2. Indication if it's backwards or forward parsing, when set as number it's
 *    the value of extra chars that should be split off.
 * 3. Inherit from location if non existing in the parser.
 * 4. `toLowerCase` the resulting value.
 */
var rules = [
  ['#', 'hash'],                        // Extract from the back.
  ['?', 'query'],                       // Extract from the back.
  function sanitize(address) {          // Sanitize what is left of the address
    return address.replace('\\', '/');
  },
  ['/', 'pathname'],                    // Extract from the back.
  ['@', 'auth', 1],                     // Extract from the front.
  [NaN, 'host', undefined, 1, 1],       // Set left over value.
  [/:(\d+)$/, 'port', undefined, 1],    // RegExp the back.
  [NaN, 'hostname', undefined, 1, 1]    // Set left over.
];

/**
 * These properties should not be copied or inherited from. This is only needed
 * for all non blob URL's as a blob URL does not include a hash, only the
 * origin.
 *
 * @type {Object}
 * @private
 */
var ignore = { hash: 1, query: 1 };

/**
 * The location object differs when your code is loaded through a normal page,
 * Worker or through a worker using a blob. And with the blobble begins the
 * trouble as the location object will contain the URL of the blob, not the
 * location of the page where our code is loaded in. The actual origin is
 * encoded in the `pathname` so we can thankfully generate a good "default"
 * location from it so we can generate proper relative URL's again.
 *
 * @param {Object|String} loc Optional default location object.
 * @returns {Object} lolcation object.
 * @public
 */
function lolcation(loc) {
  var globalVar;

  if (typeof window !== 'undefined') globalVar = window;
  else if (typeof global !== 'undefined') globalVar = global;
  else if (typeof self !== 'undefined') globalVar = self;
  else globalVar = {};

  var location = globalVar.location || {};
  loc = loc || location;

  var finaldestination = {}
    , type = typeof loc
    , key;

  if ('blob:' === loc.protocol) {
    finaldestination = new Url(unescape(loc.pathname), {});
  } else if ('string' === type) {
    finaldestination = new Url(loc, {});
    for (key in ignore) delete finaldestination[key];
  } else if ('object' === type) {
    for (key in loc) {
      if (key in ignore) continue;
      finaldestination[key] = loc[key];
    }

    if (finaldestination.slashes === undefined) {
      finaldestination.slashes = slashes.test(loc.href);
    }
  }

  return finaldestination;
}

/**
 * @typedef ProtocolExtract
 * @type Object
 * @property {String} protocol Protocol matched in the URL, in lowercase.
 * @property {Boolean} slashes `true` if protocol is followed by "//", else `false`.
 * @property {String} rest Rest of the URL that is not part of the protocol.
 */

/**
 * Extract protocol information from a URL with/without double slash ("//").
 *
 * @param {String} address URL we want to extract from.
 * @return {ProtocolExtract} Extracted information.
 * @private
 */
function extractProtocol(address) {
  address = trimLeft(address);
  var match = protocolre.exec(address);

  return {
    protocol: match[1] ? match[1].toLowerCase() : '',
    slashes: !!match[2],
    rest: match[3]
  };
}

/**
 * Resolve a relative URL pathname against a base URL pathname.
 *
 * @param {String} relative Pathname of the relative URL.
 * @param {String} base Pathname of the base URL.
 * @return {String} Resolved pathname.
 * @private
 */
function resolve(relative, base) {
  if (relative === '') return base;

  var path = (base || '/').split('/').slice(0, -1).concat(relative.split('/'))
    , i = path.length
    , last = path[i - 1]
    , unshift = false
    , up = 0;

  while (i--) {
    if (path[i] === '.') {
      path.splice(i, 1);
    } else if (path[i] === '..') {
      path.splice(i, 1);
      up++;
    } else if (up) {
      if (i === 0) unshift = true;
      path.splice(i, 1);
      up--;
    }
  }

  if (unshift) path.unshift('');
  if (last === '.' || last === '..') path.push('');

  return path.join('/');
}

/**
 * The actual URL instance. Instead of returning an object we've opted-in to
 * create an actual constructor as it's much more memory efficient and
 * faster and it pleases my OCD.
 *
 * It is worth noting that we should not use `URL` as class name to prevent
 * clashes with the global URL instance that got introduced in browsers.
 *
 * @constructor
 * @param {String} address URL we want to parse.
 * @param {Object|String} [location] Location defaults for relative paths.
 * @param {Boolean|Function} [parser] Parser for the query string.
 * @private
 */
function Url(address, location, parser) {
  address = trimLeft(address);

  if (!(this instanceof Url)) {
    return new Url(address, location, parser);
  }

  var relative, extracted, parse, instruction, index, key
    , instructions = rules.slice()
    , type = typeof location
    , url = this
    , i = 0;

  //
  // The following if statements allows this module two have compatibility with
  // 2 different API:
  //
  // 1. Node.js's `url.parse` api which accepts a URL, boolean as arguments
  //    where the boolean indicates that the query string should also be parsed.
  //
  // 2. The `URL` interface of the browser which accepts a URL, object as
  //    arguments. The supplied object will be used as default values / fall-back
  //    for relative paths.
  //
  if ('object' !== type && 'string' !== type) {
    parser = location;
    location = null;
  }

  if (parser && 'function' !== typeof parser) parser = qs.parse;

  location = lolcation(location);

  //
  // Extract protocol information before running the instructions.
  //
  extracted = extractProtocol(address || '');
  relative = !extracted.protocol && !extracted.slashes;
  url.slashes = extracted.slashes || relative && location.slashes;
  url.protocol = extracted.protocol || location.protocol || '';
  address = extracted.rest;

  //
  // When the authority component is absent the URL starts with a path
  // component.
  //
  if (!extracted.slashes) instructions[3] = [/(.*)/, 'pathname'];

  for (; i < instructions.length; i++) {
    instruction = instructions[i];

    if (typeof instruction === 'function') {
      address = instruction(address);
      continue;
    }

    parse = instruction[0];
    key = instruction[1];

    if (parse !== parse) {
      url[key] = address;
    } else if ('string' === typeof parse) {
      if (~(index = address.indexOf(parse))) {
        if ('number' === typeof instruction[2]) {
          url[key] = address.slice(0, index);
          address = address.slice(index + instruction[2]);
        } else {
          url[key] = address.slice(index);
          address = address.slice(0, index);
        }
      }
    } else if ((index = parse.exec(address))) {
      url[key] = index[1];
      address = address.slice(0, index.index);
    }

    url[key] = url[key] || (
      relative && instruction[3] ? location[key] || '' : ''
    );

    //
    // Hostname, host and protocol should be lowercased so they can be used to
    // create a proper `origin`.
    //
    if (instruction[4]) url[key] = url[key].toLowerCase();
  }

  //
  // Also parse the supplied query string in to an object. If we're supplied
  // with a custom parser as function use that instead of the default build-in
  // parser.
  //
  if (parser) url.query = parser(url.query);

  //
  // If the URL is relative, resolve the pathname against the base URL.
  //
  if (
      relative
    && location.slashes
    && url.pathname.charAt(0) !== '/'
    && (url.pathname !== '' || location.pathname !== '')
  ) {
    url.pathname = resolve(url.pathname, location.pathname);
  }

  //
  // We should not add port numbers if they are already the default port number
  // for a given protocol. As the host also contains the port number we're going
  // override it with the hostname which contains no port number.
  //
  if (!required(url.port, url.protocol)) {
    url.host = url.hostname;
    url.port = '';
  }

  //
  // Parse down the `auth` for the username and password.
  //
  url.username = url.password = '';
  if (url.auth) {
    instruction = url.auth.split(':');
    url.username = instruction[0] || '';
    url.password = instruction[1] || '';
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  //
  // The href is just the compiled result.
  //
  url.href = url.toString();
}

/**
 * This is convenience method for changing properties in the URL instance to
 * insure that they all propagate correctly.
 *
 * @param {String} part          Property we need to adjust.
 * @param {Mixed} value          The newly assigned value.
 * @param {Boolean|Function} fn  When setting the query, it will be the function
 *                               used to parse the query.
 *                               When setting the protocol, double slash will be
 *                               removed from the final url if it is true.
 * @returns {URL} URL instance for chaining.
 * @public
 */
function set(part, value, fn) {
  var url = this;

  switch (part) {
    case 'query':
      if ('string' === typeof value && value.length) {
        value = (fn || qs.parse)(value);
      }

      url[part] = value;
      break;

    case 'port':
      url[part] = value;

      if (!required(value, url.protocol)) {
        url.host = url.hostname;
        url[part] = '';
      } else if (value) {
        url.host = url.hostname +':'+ value;
      }

      break;

    case 'hostname':
      url[part] = value;

      if (url.port) value += ':'+ url.port;
      url.host = value;
      break;

    case 'host':
      url[part] = value;

      if (/:\d+$/.test(value)) {
        value = value.split(':');
        url.port = value.pop();
        url.hostname = value.join(':');
      } else {
        url.hostname = value;
        url.port = '';
      }

      break;

    case 'protocol':
      url.protocol = value.toLowerCase();
      url.slashes = !fn;
      break;

    case 'pathname':
    case 'hash':
      if (value) {
        var char = part === 'pathname' ? '/' : '#';
        url[part] = value.charAt(0) !== char ? char + value : value;
      } else {
        url[part] = value;
      }
      break;

    default:
      url[part] = value;
  }

  for (var i = 0; i < rules.length; i++) {
    var ins = rules[i];

    if (ins[4]) url[ins[1]] = url[ins[1]].toLowerCase();
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  url.href = url.toString();

  return url;
}

/**
 * Transform the properties back in to a valid and full URL string.
 *
 * @param {Function} stringify Optional query stringify function.
 * @returns {String} Compiled version of the URL.
 * @public
 */
function toString(stringify) {
  if (!stringify || 'function' !== typeof stringify) stringify = qs.stringify;

  var query
    , url = this
    , protocol = url.protocol;

  if (protocol && protocol.charAt(protocol.length - 1) !== ':') protocol += ':';

  var result = protocol + (url.slashes ? '//' : '');

  if (url.username) {
    result += url.username;
    if (url.password) result += ':'+ url.password;
    result += '@';
  }

  result += url.host + url.pathname;

  query = 'object' === typeof url.query ? stringify(url.query) : url.query;
  if (query) result += '?' !== query.charAt(0) ? '?'+ query : query;

  if (url.hash) result += url.hash;

  return result;
}

Url.prototype = { set: set, toString: toString };

//
// Expose the URL parser and some additional properties that might be useful for
// others or testing.
//
Url.extractProtocol = extractProtocol;
Url.location = lolcation;
Url.trimLeft = trimLeft;
Url.qs = qs;

module.exports = Url;

/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(11)))

/***/ }),

/***/ 11:
/***/ (function(module, exports) {

var g;

// This works in non-strict mode
g = (function() {
	return this;
})();

try {
	// This works if eval is allowed (see CSP)
	g = g || Function("return this")() || (1,eval)("this");
} catch(e) {
	// This works if the window reference is available
	if(typeof window === "object")
		g = window;
}

// g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}

module.exports = g;


/***/ }),

/***/ 117:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _wxcResult = __webpack_require__(22);

var _wxcResult2 = _interopRequireDefault(_wxcResult);

var _tool = __webpack_require__(1);

var _tool2 = _interopRequireDefault(_tool);

var _LogUtil = __webpack_require__(7);

var _LogUtil2 = _interopRequireDefault(_LogUtil);

var _locationFailed = __webpack_require__(18);

var _locationFailed2 = _interopRequireDefault(_locationFailed);

var _noLocation = __webpack_require__(19);

var _noLocation2 = _interopRequireDefault(_noLocation);

var _findCarOptions = __webpack_require__(42);

var _findCarOptions2 = _interopRequireDefault(_findCarOptions);

var _CommonUtil = __webpack_require__(13);

var _CommonUtil2 = _interopRequireDefault(_CommonUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('ModalModule');
var suyunApp = weex.requireModule('AppInfoModule');
var globalEvent = weex.requireModule('globalEvent');
var navigator = weex.requireModule('navigator');
var storage = weex.requireModule('storage');
var showAlert = weex.requireModule('InteractiveModule');
var DialPhone = weex.requireModule('DialPhoneModule');
var MapModule = weex.requireModule('MapModule');
var changeCityModule = weex.requireModule("ChangeCityModule");
var dom = weex.requireModule('dom');
exports.default = {
    components: {
        LocationFailed: _locationFailed2.default,
        NoLocation: _noLocation2.default,
        WxcResult: _wxcResult2.default,
        findCarOptions: _findCarOptions2.default
    },
    data: function data() {
        return {
            labelIdList: '',
            carTypeId: '',
            orderby: '',
            page: 1,
            show: false,
            lookCarData: [],
            timeOut: '',
            isLoading: false,
            hasCars: true,
            offset: 0,
            isNetWorkOK: 0, //0 有网络   1 无网络  2 未登录。  = 0 的时候控制页面不显示
            refreshing: false,
            refreshState: '下拉刷新...',
            // loadmoreoffset: 0,
            currentLocation: {
                lat: '',
                lng: ''
            },
            isLocationLienseOpen: true,
            isShowDriverDistance: true
        };
    },

    methods: {
        onpullingdown: function onpullingdown(e) {

            if (this.refreshing) {
                return;
            }
            var pullingDistance = e.pullingDistance;
            //下拉距离大于刷新控件的高度
            if (pullingDistance > 0) {
                return;
            }
            if (0 - pullingDistance > 100) {
                this.refreshState = '松开更新...';
            } else if (0 - pullingDistance < 90) {
                this.refreshState = '下拉刷新...';
            }
        },
        refresh: function refresh() {
            this.page = 1;
            this.getLocation();
        },

        // list滑到底部
        goToListTop: function goToListTop() {
            try {
                if (!this.messageList || this.messageList.length <= 0) {
                    return;
                }
                if (weex.config.env['platform'] === 'iOS') {
                    this.offset = 0;
                } else {
                    var el = this.$refs.listItem0[0];
                    dom.scrollToElement(el, { offset: 0 });
                }
            } catch (e) {}
        },
        reuqestSortData: function reuqestSortData(optionList) {
            this.labelIdList = optionList[1];
            this.carTypeId = optionList[0];
            this.orderby = optionList[2];
            this.refresh();
        },
        reqLookCarListData: function reqLookCarListData() {
            var that = this;
            //手动切换城市时，经纬度置零，以选择城市中心经纬度定位
            suyunApp.getAppInfo(function (event) {
                var objEvent = event;
                var user = objEvent.data;
                var selectCityId = user['selectCityId'];
                var currentCityId = user['cityId'];
                if (parseInt(selectCityId) === parseInt(currentCityId)) {
                    //没有切换城市
                    if (parseInt(that.currentLocation.lat) === 0 || parseInt(that.currentLocation.lng) === 0) {
                        that.isShowDriverDistance = false;
                    } else {
                        that.isShowDriverDistance = true;
                    }
                } else {
                    //切换城市
                    that.isShowDriverDistance = false;
                    that.currentLocation.lat = '0';
                    that.currentLocation.lng = '0';
                }
                that.carListNetRequest();
            });
        },
        carListNetRequest: function carListNetRequest() {
            var _this = this;

            var that = this;
            try {
                this.isNetWorkOK = 0;
                this.refreshState = '努力加载中...';
                this.refreshing = true;
                this.page = 1;
                // that.showLoading(false);
                this.neardriverlist({
                    page: 1,
                    pageSize: 10,
                    longitude: this.currentLocation.lng,
                    latitude: this.currentLocation.lat,
                    labelIdList: this.labelIdList,
                    carTypeId: this.carTypeId,
                    orderby: this.orderby
                }).then(function (data) {
                    that.showLoading(false);
                    setTimeout(function () {
                        that.refreshState = '下拉刷新...';
                        that.refreshing = false;
                    }, 300);
                    _this.handleResult(data);
                    if (parseInt(data.code) === 0) {
                        that.isNetWorkOK = 0;
                    } else if (parseInt(data.code) === 8) {
                        modal.toast({ message: '登录信息已过期，请重新登录', duration: 3 });
                        that.isNetWorkOK = 1;
                    } else {
                        that.isNetWorkOK = 1;
                    }
                }).catch(function (res) {
                    that.showLoading(false);
                    if (that.lookCarData.length > 0) {} else {
                        that.isNetWorkOK = 1;
                    }

                    that.refreshState = '下拉刷新...';
                    that.refreshing = false;
                });
            } catch (error) {
                that.showLoading(false);
                that.refreshing = false;
                that.refreshState = '下拉刷新...';
                modal.toast({
                    message: "出错了",
                    'duration': 3
                });
            }
        },
        phoneClick: function phoneClick(item) {
            var that = this;
            _LogUtil2.default.clickEvent('contact_driver', {
                page_name: 'finding_car_page',
                page_type: 'finding_car_page',
                id: item.id
            });
            suyunApp.getAppInfo(function (event) {
                try {
                    var objEvent = event;
                    var user = objEvent.data;
                    var isLogin = user['isLogin'];
                    if (isLogin) {
                        _CommonUtil2.default.dialPhoneNumber(item.driverId);
                        var isIOS = weex.config.env['platform'] === 'iOS';
                        var this1 = that;
                        storage.getItem('weex_isClickConnnectDriver', function (event) {
                            if (event.data && event.data != 1 && event.data != -1 || event.result == 'failed' || event.data == '' || event.data == undefined) {
                                storage.setItem('weex_isClickConnnectDriver', 1, function (event) {});
                                // if(isIOS){
                                //     this1.showdialog();
                                // }
                            }
                        });
                    } else {
                        that.goToLoginPage();
                    }
                } catch (e) {}
            });
            //拨打电话
        },
        goToLoginPage: function goToLoginPage() {
            navigator.push({
                url: 'syUser://route/login/loginPage',
                animated: 'true',
                type: 4,
                key: ''
            }, function (event) {});
        },
        aginButtonClicked: function aginButtonClicked(isNetWorkstate) {
            if (isNetWorkstate === 2) {
                // 登录
                this.gotoLogin();
            } else {
                // 请求接口
                this.getLocation();
            }
        },
        refreshButtonClick: function refreshButtonClick() {
            this.showLoading(true);
            this.getLocation();
        },
        gotoLogin: function gotoLogin() {
            navigator.push({
                url: 'syUser://route/login/loginPage',
                animated: 'true',
                type: 4,
                key: ''
            }, function (event) {});
        },
        getLocation: function getLocation() {
            var this1 = this;
            MapModule.getLocation(function (event) {
                try {
                    var objEvent = event;
                    var location = objEvent.data;
                    var lat = '';
                    var lng = '';
                    if (location) {
                        lat = location['lat'];
                        lng = location['lng'];
                    } else {
                        lat = '0';
                        lng = '0';
                    }
                    //通过经纬度查询乡镇信息，埋点使用
                    _LogUtil2.default.getVillageInfoByLocation(objEvent.data);
                    this1.currentLocation.lat = lat;
                    this1.currentLocation.lng = lng;
                    this1.reqLookCarListData();
                } catch (error) {
                    //定位异常，不显司机距离
                    this1.isShowDriverDistance = false;
                    //定位异常，经纬度置零，请求
                    this1.currentLocation.lat = '0';
                    this1.currentLocation.lng = '0';
                    this1.reqLookCarListData();
                }
            });
        },
        handleResult: function handleResult(data) {
            if (data.code === 0) {
                var resData = data.data;
                if (resData && resData.length > 0) {
                    this.lookCarData = _CommonUtil2.default.driverListElementMergeUtil(resData);
                    this.hasCars = true;
                } else {
                    this.hasCars = false;
                }
                this.goToListTop();
                // if (resData.length < 30) {
                //     //消息小于10条 隐藏加载更多视图
                //     this.loadmoreoffset = 0
                // } else {
                //     //消息小于10条 隐藏加载更多视图
                //     this.loadmoreoffset = 0

                // //成功回调数据 page + 1
                // this.page++;
                // this.loadmoreoffset = 30;
                // try {
                //     this.$refs.mylist.resetLoadmore()
                // } catch (e) {
                //
                // }
                // }
            } else {}
        },

        // handleLoadMoreResult(data) {
        //     if (data.code === 0) {
        //         let resData = data.data
        //         if (resData && resData.length > 0) {
        //             for (var i = 0; i < resData.length; i++) {
        //                 this.lookCarData.push(resData[i]);
        //             }
        //
        //             this.hasCars = true;
        //         } else {
        //             // this.hasDrivers = false;
        //             // modal.toast({ message: resData, 'duration': 3})
        //         }
        //
        //         if (resData.length < 30) {
        //             //消息小于10条 隐藏加载更多视图
        //             this.loadmoreoffset = 0
        //         } else {
        //             //消息小于10条 隐藏加载更多视图
        //             this.loadmoreoffset = 0
        //             //成功回调数据 page + 1
        //             // this.page++;
        //             // this.loadmoreoffset = 30;
        //             // try {
        //             //     this.$refs.mylist.resetLoadmore()
        //             // } catch (e) {
        //             // }
        //         }
        //     } else {
        //
        //     }
        // },
        // loading() {
        //     if (this.loadmoreoffset <= 0) {
        //         return
        //     }
        //     let that = this
        //     suyunApp.getAppInfo(event => {
        //         try {
        //             let user = event.data
        //             let isLogin = user['isLogin']
        //
        //             if (isLogin) {
        //                 let this1 = that
        //                 this.neardriverlist({
        //                     page: this1.page,
        //                     pageSize: 10,
        //                     longitude: this1.currentLocation.lng,
        //                     latitude: this1.currentLocation.lat,
        //                     labelIdList: this1.labelIdList,
        //                     carTypeId: this1.carTypeId,
        //                     orderby: this1.orderby
        //                 }).then(data => {
        //                     this1.handleLoadMoreResult(data);
        //                     if (parseInt(data.code) === 0) {
        //                         this1.isNetWorkOK = 0;
        //                     } else {
        //                         this1.isNetWorkOK = 1;
        //                     }
        //                 }).catch(function (res) {
        //                     this1.isNetWorkOK = 1;
        //                 });
        //             } else {
        //                 //没有uid
        //                 modal.toast({
        //                     message: "未登录",
        //                     'duration': 3
        //                 })
        //             }
        //         } catch (error) {
        //             modal.toast({
        //                 message: "出错了",
        //                 'duration': 3
        //             })
        //         }
        //     })
        // },
        showLoading: function showLoading(show) {
            modal.loading({ 'show': show }, function (event) {});
        },
        showToast: function showToast(msg) {
            modal.toast({
                message: msg,
                'duration': 3
            });
        },
        myDriverClick: function myDriverClick() {
            var that = this;
            suyunApp.getAppInfo(function (event) {
                try {
                    var objEvent = event;
                    var user = objEvent.data;
                    var isLogin = user['isLogin'];
                    if (isLogin) {
                        navigator.push({
                            url: _tool2.default.getCurrentPath() + 'CollectionDriver.weex.js',
                            animated: 'true',
                            type: 2,
                            key: 'CollectionDriver'
                        }, function (event) {});
                    } else {
                        that.goToLoginPage();
                    }
                } catch (error) {}
            });

            _LogUtil2.default.clickEvent('my_familiar_car', {
                page_name: 'finding_car_page',
                page_type: 'finding_car_page'
            });
        },
        openDriverInformation: function openDriverInformation(item) {
            _LogUtil2.default.clickEvent('driver_head', {
                page_name: 'finding_car_page',
                page_type: 'finding_car_page',
                id: item.id
            });
            storage.setItem('openSidDriverInformation', item.driverId, function (event) {});
            storage.setItem('openPhoneDriverInformation', item.phone, function (event) {});
            navigator.push({
                url: _tool2.default.getCurrentPath() + 'driverInformationLookCar.weex.js',
                animated: 'true',
                type: 2,
                key: 'driverInformationLookCar'
            }, function (event) {});
        },
        getLocationLiensce: function getLocationLiensce() {
            MapModule.getLocationLiensce(function (dic) {
                var objDic = dic;
                var isOpen = objDic['result'];
                if (isOpen == 'success') {} else {
                    modal.confirm({
                        title: '定位权限未开启',
                        message: '未开启定位权限，将无法准确获取周边信息。',
                        okTitle: '确定',
                        cancelTitle: '取消'
                    }, function (resp) {
                        try {
                            var objEvent = resp;
                            var value = objEvent.data;
                            if (value == 'ok') {
                                mapModule.callOutAlert(function (resp) {});
                            }
                        } catch (error) {}
                    });
                }
            });
        },
        showdialog: function showdialog() {
            storage.getItem('weex_isClickConnnectDriver', function (event) {
                if (event.data == 1) {
                    storage.setItem('weex_isClickConnnectDriver', -1, function (event) {});
                    var isIOS = weex.config.env['platform'] === 'iOS';

                    modal.confirm({
                        title: isIOS ? '' : '发布信息，让更多司机了解您的需求',
                        message: isIOS ? '发布信息，让更多司机了解您的需求' : '',
                        okTitle: '去发布',
                        cancelTitle: '忽略'
                    }, function (resp) {
                        try {
                            var objEvent = resp;
                            var value = objEvent.data;
                            if (value == 'ok') {
                                //跳转发布
                                _CommonUtil2.default.goToPublishServicePage();
                                _LogUtil2.default.clickEvent('pub_tips_confirm', {
                                    page_name: 'finding_car_page',
                                    page_type: 'finding_car_page'
                                });
                            } else {
                                _LogUtil2.default.clickEvent('pub_tips_ignore', {
                                    page_name: 'finding_car_page',
                                    page_type: 'finding_car_page'
                                });
                            }
                        } catch (error) {}
                    });
                }
            });
        }
    },
    created: function created() {
        _LogUtil2.default.nativeLoad('car_page', {
            page_name: 'finding_car_page',
            page_type: 'finding_car_page'
        });
        var that = this;
        globalEvent.addEventListener("viewWillAppear", function (e) {
            if (e.page === 'driverList') {
                // this.refreshing = true
                // this.getLocation()
                // that.isUserLogin();
                if (that.lookCarData.length <= 0) {
                    // that.getLocation();
                }
                var isIOS = weex.config.env['platform'] === 'iOS';
                if (!isIOS) {
                    that.showdialog();
                }
            }
        });
        this.getLocation();
    }
};

/***/ }),

/***/ 12:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_url_parse__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_url_parse___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_url_parse__);
/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 17/11/01
 */



const Utils = {
  UrlParser: __WEBPACK_IMPORTED_MODULE_0_url_parse___default.a,
  _typeof (obj) {
    return Object.prototype.toString.call(obj).slice(8, -1).toLowerCase();
  },
  isPlainObject (obj) {
    return Utils._typeof(obj) === 'object';
  },
  isString (obj) {
    return typeof (obj) === 'string';
  },
  isNonEmptyArray (obj = []) {
    return obj && obj.length > 0 && Array.isArray(obj) && typeof obj !== 'undefined';
  },
  isObject (item) {
    return (item && typeof item === 'object' && !Array.isArray(item));
  },
  isEmptyObject (obj) {
    return Object.keys(obj).length === 0 && obj.constructor === Object;
  },
  decodeIconFont (text) {
    // 正则匹配 图标和文字混排 eg: 我去上学校&#xe600;,天天不&#xe600;迟到
    const regExp = /&#x[a-z|0-9]{4,5};?/g;
    if (regExp.test(text)) {
      return text.replace(new RegExp(regExp, 'g'), function (iconText) {
        const replace = iconText.replace(/&#x/, '0x').replace(/;$/, '');
        return String.fromCharCode(replace);
      });
    } else {
      return text;
    }
  },
  mergeDeep (target, ...sources) {
    if (!sources.length) return target;
    const source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (const key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, {
              [key]: {}
            });
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, { [key]: source[key] });
        }
      }
    }
    return Utils.mergeDeep(target, ...sources);
  },
  appendProtocol (url) {
    if (/^\/\//.test(url)) {
      const {
        bundleUrl
      } = weex.config;
      return `http${/^https:/.test(bundleUrl) ? 's' : ''}:${url}`;
    }
    return url;
  },
  encodeURLParams (url) {
    const parsedUrl = new __WEBPACK_IMPORTED_MODULE_0_url_parse___default.a(url, true);
    return parsedUrl.toString();
  },
  goToH5Page (jumpUrl, animated = false, callback = null) {
    const Navigator = weex.requireModule('navigator');
    const jumpUrlObj = new Utils.UrlParser(jumpUrl, true);
    const url = Utils.appendProtocol(jumpUrlObj.toString());
    Navigator.push({
      url: Utils.encodeURLParams(url),
      animated: animated.toString()
    }, callback);
  },
  env: {
    isTaobao () {
      const { appName } = weex.config.env;
      return /(tb|taobao|淘宝)/i.test(appName);
    },
    isTrip () {
      const { appName } = weex.config.env;
      return appName === 'LX';
    },
    isBoat () {
      const { appName } = weex.config.env;
      return appName === 'Boat' || appName === 'BoatPlayground';
    },
    isWeb () {
      const { platform } = weex.config.env;
      return typeof (window) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS () {
      const { platform } = weex.config.env;
      return platform.toLowerCase() === 'ios';
    },
    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX () {
      const { deviceHeight } = weex.config.env;
      if (Utils.env.isWeb()) {
        return typeof window !== undefined && window.screen && window.screen.width && window.screen.height 
        && ((parseInt(window.screen.width, 10) === 375) && (parseInt(window.screen.height, 10) === 812)
        || (parseInt(window.screen.width, 10) === 414) && (parseInt(window.screen.height, 10) === 896));
      }
      return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight === 1792 || deviceHeight === 1624);
    },
    isAndroid () {
      const { platform } = weex.config.env;
      return platform.toLowerCase() === 'android';
    },
    isAlipay () {
      const { appName } = weex.config.env;
      return appName === 'AP';
    },
    isTmall () {
      const { appName } = weex.config.env;
      return /(tm|tmall|天猫)/i.test(appName);
    },
    isAliWeex () {
      return Utils.env.isTmall() || Utils.env.isTrip() || Utils.env.isTaobao();
    },
    /**
     * 获取weex屏幕真实的设置高度，需要减去导航栏高度
     * @returns {Number}
     */
    getPageHeight () {
      const { env } = weex.config;
      const navHeight = Utils.env.isWeb() ? 0 : (Utils.env.isIPhoneX() ? 176 : 132);
      return env.deviceHeight / env.deviceWidth * 750 - navHeight;
    },
    /**
     * 获取weex屏幕真实的设置高度
     * @returns {Number}
     */
    getScreenHeight () {
      const { env } = weex.config;
      return env.deviceHeight / env.deviceWidth * 750;
    }
  },

  /**
   * 版本号比较
   * @memberOf Utils
   * @param currVer {string}
   * @param promoteVer {string}
   * @returns {boolean}
   * @example
   *
   * const { Utils } = require('@ali/wx-bridge');
   * const { compareVersion } = Utils;
   * console.log(compareVersion('0.1.100', '0.1.11')); // 'true'
   */
  compareVersion (currVer = '0.0.0', promoteVer = '0.0.0') {
    if (currVer === promoteVer) return true;
    const currVerArr = currVer.split('.');
    const promoteVerArr = promoteVer.split('.');
    const len = Math.max(currVerArr.length, promoteVerArr.length);
    for (let i = 0; i < len; i++) {
      const proVal = ~~promoteVerArr[i];
      const curVal = ~~currVerArr[i];
      if (proVal < curVal) {
        return true;
      } else if (proVal > curVal) {
        return false;
      }
    }
    return false;
  },
  /**
   * 分割数组
   * @param arr 被分割数组
   * @param size 分割数组的长度
   * @returns {Array}
   */
  arrayChunk (arr = [], size = 4) {
    let groups = [];
    if (arr && arr.length > 0) {
      groups = arr.map((e, i) => {
        return i % size === 0 ? arr.slice(i, i + size) : null;
      }).filter(e => {
        return e;
      });
    }
    return groups;
  },
  /*
   * 截断字符串
   * @param str 传入字符串
   * @param len 截断长度
   * @param hasDot 末尾是否...
   * @returns {String}
   */
  truncateString (str, len, hasDot = true) {
    let newLength = 0;
    let newStr = '';
    let singleChar = '';
    const chineseRegex = /[^\x00-\xff]/g;
    const strLength = str.replace(chineseRegex, '**').length;
    for (let i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  },
  /*
   * 转换 obj 为 url params参数
   * @param obj 传入字符串
   * @returns {String}
   */
  objToParams (obj) {
    let str = "";
    for (let key in obj) {
      if (str !== "") {
        str += "&";
      }
      str += key + "=" + encodeURIComponent(obj[key]);
    }
    return str;
  },
  /*
   * 转换 url params参数为obj
   * @param str 传入url参数字符串
   * @returns {Object}
   */
  paramsToObj (str) {
    let obj = {};
    try {
      obj = JSON.parse('{"' + decodeURI(str).replace(/"/g, '\\"').replace(/&/g, '","').replace(/=/g, '":"') + '"}')
    } catch (e) {
      console.log(e);
    }
    return obj;
  },
  animation: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param ref
     * @param transform 运动类型
     * @param status
     * @param callback 回调函数
     */
    pageTransitionAnimation (ref, transform, status, callback) {
      const animation = weex.requireModule('animation');
      animation.transition(ref, {
        styles: {
          transform: transform
        },
        duration: status ? 250 : 300, // ms
        timingFunction: status ? 'ease-in' : 'ease-out',
        delay: 0 // ms
      }, function () {
        callback && callback();
      });
    }
  },
  uiStyle: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param animationType 页面转场动画的类型 push，model
     * @param size 分割数组的长度
     * @returns {}
     */
    pageTransitionAnimationStyle (animationType) {
      if (animationType === 'push') {
        return {
          left: '750px',
          top: '0px',
          height: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px'
        }
      } else if (animationType === 'model') {
        return {
          top: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px',
          left: '0px',
          height: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px'
        }
      }
      return {}
    }
  }
};

/* harmony default export */ __webpack_exports__["default"] = (Utils);


/***/ }),

/***/ 13:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _tool = __webpack_require__(1);

var _tool2 = _interopRequireDefault(_tool);

var _API = __webpack_require__(0);

var _API2 = _interopRequireDefault(_API);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 公共工具方法集合
 */
var navigator = weex.requireModule('navigator');
var storage = weex.requireModule('storage');
var modal = weex.requireModule('ModalModule');
var DialPhone = weex.requireModule('DialPhoneModule');
exports.default = {
    /**
     * 合并司机列表其他标签
     */
    driverListElementMergeUtil: function driverListElementMergeUtil(messageList) {
        var tempList = messageList;
        if (tempList && tempList.length > 0) {
            for (var i = 0; i < tempList.length; i++) {
                tempList[i].driverLabelList = this.mergeListUtil(tempList[i].driverLabelList, tempList[i].otherLabelList);
            }
        }
        return tempList;
    },

    /**
     * 合并司机列表其他标签
     */
    listElementMergeUtil: function listElementMergeUtil(messageList) {
        var tempList = messageList;
        if (tempList && tempList.length > 0) {
            for (var i = 0; i < tempList.length; i++) {
                tempList[i].labelList = this.mergeListUtil(tempList[i].labelList, tempList[i].otherLabelList);
            }
        }
        return tempList;
    },

    /**
     * 合并列表
     */
    mergeListUtil: function mergeListUtil(listFirst, listSecond) {
        var result = new Array();
        if (listFirst && listFirst.length > 0) {
            for (var i = 0; i < listFirst.length; i++) {
                result.push(listFirst[i]);
            }
        }
        if (listSecond && listSecond.length > 0) {
            for (var _i = 0; _i < listSecond.length; _i++) {
                result.push(listSecond[_i]);
            }
        }
        return result;
    },

    /**
     * 跳转发布引导页
     */
    goToPublishServicePage: function goToPublishServicePage() {
        //发布服务
        navigator.push({
            url: _tool2.default.getCurrentPath() + "publishNeeds.weex.js",
            animated: 'true',
            type: 2,
            key: 'publishNeeds'
        }, function (event) {});
        //跳转发布页，不弹出发布引导弹窗
        storage.setItem('weex_isClickConnnectDriver', -1, function (event) {});
    },

    /**
     * 打电话（从司机主页接口获取）
     */
    dialPhoneNumber: function dialPhoneNumber(driverId) {
        if (!driverId) {
            this.showToast("拨打电话失败");
            return;
        }
        var that = this;
        this.showLoading(true);
        _API2.default.methods.lookCarGetDriverInfo({ driverId: driverId }).then(function (data) {
            // that.showToast(data.data.phone)
            if (data.data.phone) {
                DialPhone.dialPhone(data.data.phone);
            } else {
                that.showToast("拨打电话失败");
            }
            that.showLoading(false);
        }).catch(function (error) {
            that.showToast("拨打电话失败");
            that.showLoading(false);
        });
    },
    showToast: function showToast(msg) {
        modal.toast({
            'message': msg,
            'duration': 10
        });
    },
    showLoading: function showLoading(show) {
        modal.loading({ 'show': show }, function (event) {});
    }
};

/***/ }),

/***/ 157:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "bodyDiv": {
    "display": "flex",
    "flexDirection": "column",
    "position": "relative"
  },
  "refresh-view": {
    "width": 750,
    "height": 100,
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "list": {
    "backgroundColor": "#ffffff",
    "width": 750,
    "marginTop": 80
  },
  "cell": {
    "backgroundColor": "#ffffff"
  },
  "line": {
    "height": 1,
    "backgroundColor": "#e0e0e0",
    "marginLeft": 30,
    "marginRight": 30
  },
  "fixedImage": {
    "position": "fixed",
    "width": 205,
    "height": 84,
    "backgroundColor": "#ffffff",
    "bottom": 100,
    "right": 0,
    "zIndex": 100
  },
  "nodataDiv": {
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center",
    "flex": 1
  },
  "nodataimage": {
    "width": 420,
    "height": 300
  },
  "nodataDetail": {
    "color": "#999999",
    "fontSize": 28,
    "textAlign": "center",
    "marginTop": 64
  },
  "refreshDiv": {
    "width": 280,
    "height": 88,
    "marginTop": 47,
    "justifyContent": "center",
    "alignItems": "center",
    "borderColor": "#fa5856",
    "borderWidth": 1,
    "borderRadius": 44
  },
  "refreshButton": {
    "fontSize": 36,
    "color": "#fa5856",
    "fontWeight": "bold"
  },
  "cookedCar": {
    "position": "absolute",
    "right": 0,
    "bottom": 240,
    "alignItems": "center",
    "justifyContent": "center"
  },
  "driverImage": {
    "width": 224,
    "height": 88
  },
  "cookedCarText": {
    "fontSize": 30,
    "color": "#FFFFFF",
    "fontWeight": "bold"
  },
  "hasData": {
    "flex": 1,
    "width": 750,
    "flexDirection": "column"
  },
  "wrapper": {
    "flexDirection": "row",
    "borderBottomWidth": 1,
    "borderBottomStyle": "solid",
    "borderBottomColor": "#EBEBEB",
    "marginLeft": 32,
    "marginRight": 32,
    "marginTop": 32
  },
  "portrait": {
    "width": 120,
    "height": 120,
    "borderRadius": 120,
    "WebkitBorderRadius": 50,
    "MozBorderRadius": 50
  },
  "car_content": {
    "flexDirection": "row",
    "marginTop": 6
  },
  "detailed_information_layout": {
    "marginLeft": 24,
    "flexDirection": "column"
  },
  "driverName": {
    "fontSize": 28,
    "color": "#555555"
  },
  "car_type": {
    "fontSize": 36,
    "color": "#333333",
    "fontWeight": "bold"
  },
  "car_license": {
    "fontSize": 28,
    "color": "#555555",
    "marginLeft": 20
  },
  "distanceContent": {
    "flexDirection": "row",
    "marginTop": 8
  },
  "locationTip": {
    "width": 14,
    "height": 19,
    "marginTop": 4
  },
  "car_distance": {
    "fontSize": 22,
    "color": "#666666",
    "marginLeft": 6
  },
  "operating_layou": {
    "right": 0,
    "top": 26,
    "position": "absolute",
    "flexDirection": "row",
    "justifyContent": "center"
  },
  "make_phone_call": {
    "width": 180,
    "height": 60
  },
  "tipCategorys": {
    "width": 550,
    "flexDirection": "row",
    "flexWrap": "wrap",
    "marginBottom": 28,
    "marginTop": 14
  },
  "itemTipCategorys": {
    "backgroundColor": "#FEEEEE",
    "borderRadius": 6,
    "fontSize": 22,
    "color": "#FF5257",
    "marginRight": 8,
    "paddingLeft": 10,
    "paddingRight": 10,
    "paddingTop": 3,
    "paddingBottom": 3,
    "marginBottom": 10
  }
}

/***/ }),

/***/ 17:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(33)
)

/* script */
__vue_exports__ = __webpack_require__(26)

/* template */
var __vue_template__ = __webpack_require__(38)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-acdea762"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 18:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(29)
)

/* script */
__vue_exports__ = __webpack_require__(27)

/* template */
var __vue_template__ = __webpack_require__(34)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-069ef56a"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 19:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(32)
)

/* script */
__vue_exports__ = __webpack_require__(28)

/* template */
var __vue_template__ = __webpack_require__(37)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-66ba980f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 194:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["bodyDiv"]
  }, [(!_vm.isLocationLienseOpen) ? _c('NoLocation') : (_vm.isNetWorkOK > 0) ? _c('LocationFailed', {
    attrs: {
      "isNetWorkOK": _vm.isNetWorkOK
    },
    on: {
      "aginButtonClicked": _vm.aginButtonClicked
    }
  }) : (_vm.hasCars) ? _c('div', {
    staticClass: ["hasData"]
  }, [_c('list', {
    ref: "mylist",
    staticClass: ["list"],
    attrs: {
      "offset": _vm.offset
    }
  }, [_c('refresh', {
    staticClass: ["refresh-view"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": function($event) {
        _vm.refresh()
      },
      "pullingdown": _vm.onpullingdown
    }
  }, [_c('text', {
    staticStyle: {
      color: "#848d99",
      fontSize: "30px"
    }
  }, [_vm._v(_vm._s(_vm.refreshState))])]), _vm._l((_vm.lookCarData), function(item, index) {
    return _c('cell', {
      ref: 'listItem' + index,
      refInFor: true,
      staticClass: ["cell"],
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('div', {
      staticClass: ["wrapper"],
      on: {
        "click": function($event) {
          _vm.openDriverInformation(item)
        }
      }
    }, [_c('div', {
      staticStyle: {
        borderRadius: "120px",
        overflow: "hidden"
      }
    }, [_c('image', {
      staticClass: ["portrait"],
      attrs: {
        "resize": "cover",
        "placeholder": "http://syWeex/weex_nearbycars_photo",
        "src": item.headImage
      }
    })]), _c('div', {
      staticClass: ["detailed_information_layout"]
    }, [_c('text', {
      staticClass: ["car_type"]
    }, [_vm._v(_vm._s(item.carTypeName))]), _c('div', {
      staticClass: ["car_content"]
    }, [_c('text', {
      staticClass: ["driverName"]
    }, [_vm._v(_vm._s(item.realName.length > 10 ? item.realName.slice(0, 10) : item.realName))]), _c('text', {
      staticClass: ["car_license"]
    }, [_vm._v(_vm._s(item.carNumber))])]), (_vm.isShowDriverDistance) ? _c('div', {
      staticClass: ["distanceContent"]
    }, [_c('image', {
      staticClass: ["locationTip"],
      attrs: {
        "resize": "cover",
        "src": "https://static.daojia.com/assets/project/tosimple-pic/didian@3x_1562335228322.png"
      }
    }), (item.realDistance && item.realDistance > 0) ? _c('text', {
      staticClass: ["car_distance"]
    }, [_vm._v("距您" + _vm._s(parseInt(item.realDistance) < 1000 ? parseInt(item.realDistance) + "米" : parseFloat(item.realDistance / 1000).toFixed(1) + "公里"))]) : _c('text', {
      staticClass: ["car_distance"]
    }, [_vm._v("距您0米")])]) : _vm._e(), _c('div', {
      staticClass: ["tipCategorys"]
    }, _vm._l((item.driverLabelList), function(driveritem) {
      return _c('div', [_c('text', {
        staticClass: ["itemTipCategorys"]
      }, [_vm._v(_vm._s(driveritem.name))])])
    }))]), _c('div', {
      staticClass: ["operating_layou"]
    }, [_c('image', {
      staticClass: ["make_phone_call"],
      attrs: {
        "resize": "cover",
        "src": "https://static.daojia.com/assets/project/tosimple-pic/lianxisiji@3x_1562335250204.png"
      },
      on: {
        "click": function($event) {
          _vm.phoneClick(item)
        }
      }
    })])])])
  })], 2)]) : (!_vm.hasCars) ? _c('div', {
    staticClass: ["nodataDiv"]
  }, [_c('image', {
    staticClass: ["nodataimage"],
    attrs: {
      "resize": "cover",
      "src": "https://static.daojia.com/assets/project/tosimple-pic/zwsj@3x_1562335291517.png"
    }
  }), _c('text', {
    staticClass: ["nodataDetail"]
  }, [_vm._v("您的位置附近暂时没有司机哦~")]), _c('div', {
    staticClass: ["refreshDiv"],
    on: {
      "click": _vm.refreshButtonClick
    }
  }, [_c('text', {
    staticClass: ["refreshButton"]
  }, [_vm._v("刷新试试")])])]) : _vm._e(), _c('div', {
    staticClass: ["cookedCar"],
    on: {
      "click": _vm.myDriverClick
    }
  }, [_c('image', {
    staticClass: ["driverImage"],
    attrs: {
      "resize": "cover",
      "src": "https://static.daojia.com/assets/project/tosimple-pic/my_collection_driver_1565229395827.png"
    }
  })]), _c('findCarOptions', {
    attrs: {
      "type": 0
    },
    on: {
      "optionsChanged": _vm.reuqestSortData
    }
  })], 1)
},staticRenderFns: []}

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * 接口配置
 */
module.exports = {
  //getAdvertList: '/api/suyun/driver/advertising/listbycity', // 广告Banner查询接口
  getAdvertList: '/api/driver/annment/advertising/listbycity', // 广告Banner查询接口
  getTypelist: '/api/announcement/typelist', // 获取系统公告类别列表
  getAnnouncementList: '/api/announcement/listbytype', // 获取二级页面列表
  getUnreadcount: '/api/announcement/unreadcount', // 获取司机未读消息数量
  // getRead: '/api/announcement/read', // 读取公告
  getRead: '/api/driver/annment/updatereadstatus', // 读取公告
  getAddsendcount: '/api/announcement/addsendcount', // 修改公告送达数量
  getUnreadrecent: '/api/announcement/unreadrecent', // 根据参数获取未读的最新的一条公告或者未读的24小时之内的最新的一条公告
  getHomeInfo: '/api/announcement/home', // 获得首页所有信息
  getHomeInfoNew: '/api/driver/annment/gethomeannment', // 获得首页所有信息 公告升级
  getmoreannmentlist: '/api/driver/annment/getmoreannmentlist', // 获得更多信息 公告升级
  getHistoryOrderList: '/api/suyun/driver/graborderlist', // 抢单
  getAssignHistoryOrderList: '/api/suyun/driver/assignedorderlist', // 派单
  getMyMenuList: '/driverCenter/kuaigou/my/menuList', //我的页面列表
  getMyInfo: '/api/suyun/driver/getdriverinfo', //我的页面列表
  getNearbyCarsList: '/wxuser/nearbydriver/list', // 附近车辆
  getOrderStatus: '/wxuser/order/detail', //订单状态
  getFavoriteDriversList: '/wxuser/favoritedriver/list', // 我收藏的司机
  getCarTypeList: '/wxuser/favoritedriver/availablecartypelist', //我收藏的车库车型列表
  getEstimatePrice: '/wxuser/order/price/estimate', //预估价格
  getCreatebroadcastorder: '/wxuser/order/createbroadcastorder', //下广播单
  getCreaterOrder: '/wxuser/order/createrOrder', //下私人订单
  getBroadcastInprogress: '/wxuser/order/broadcast/inprogress', //获取正在进行中的广播订单
  getBroadcastChoosedriverlist: '/wxuser/order/broadcast/choosedriverlist', //反选司机列表
  getChoosedriver: '/wxuser/user/choosedriver', //反选司机
  getUsercancel: '/wxuser/order/usercancel', //用户取消订单
  getMonthList: '/wxuser/order/monthlist', //订单列表
  getFictitiousphone: '/wxuser/fictitiousphone/get', //获取虚拟号
  addFavoritedriver: '/wxuser/favoritedriver/add', //邀请司机
  addInvitedriver: '/wxuser/favoritedriver/invitedriver', //再次邀请司机
  getWxShare: '/wxuser/config/wxshare', //获取微信分享内容

  getDriverinfo: '/wxuser/driver/getdriverinfo', //司机主页
  delFavoriteDriver: '/wxuser/favoritedriver/remove', //删除收藏司机
  publishNeedsCreate: '/wxuser/villages/publish/create', //发布消息
  publishlabellist: '/wxuser/villages/publishlabellist', //查询信息标签
  neardriverlist: '/wxuser/villages/neardriverlist', //查询附近司机(找车)
  getLocationInfo: '/wxuser/localInfo/locate', //通过经纬度查询具体地址信息

  //获取我的发布列表
  getMyPublishlist: '/wxuser/villages/publish/mypublishlist',
  //删除我的发布
  deleteMyPublish: '/wxuser/villages/publish/delete',
  //获取找信息列表

  //获取车型列表
  getCarList: '/wxuser/villages/cartypelist',
  //获取分类标签列表
  getPublishLabelList: '/wxuser/villages/publishlabellist',
  //获取司机服务项标签
  getDriverServiceLabelList: '/wxuser/villages/getdriverservicelabel',

  getMessageList: '/wxuser/villages/publish/publishlist',
  lookCarGetDriverInfo: '/wxuser/villages/getdriverinfo',
  updatepublish: '/wxuser/villages/publish/updatepublish',
  publishdetail: '/wxuser/villages/publish/publishdetail',
  delmydriver: '/wxuser/villages/familiar/delmydriver',

  userPhoneCallBack: '/wxuser/villages/publish/addcallcount', //打电话回调
  getMyDriverList: '/wxuser/villages/familiar/mydriverlist', //获取我的熟车列表
  addCollectionDriver: '/wxuser/villages/familiar/adddriver', //添加我的熟车
  isallowchangemobile: '/wxuser/villages/publish/isallowchangemobile' //校验是否有权限修改手机号
};

/***/ }),

/***/ 22:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__index_vue__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__index_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__index_vue__);
/* harmony reexport (default from non-hamory) */ __webpack_require__.d(__webpack_exports__, "default", function() { return __WEBPACK_IMPORTED_MODULE_0__index_vue___default.a; });



/***/ }),

/***/ 23:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 2016/11/4.
 */

/* harmony default export */ __webpack_exports__["default"] = ({
  errorPage: {
    pic: 'https://img.alicdn.com/tfs/TB17blphfDH8KJjy1XcXXcpdXXa-320-320.png',
    content: '抱歉出错了，我们正在全力解决中',
    button: '再试一次',
    title: '出错啦'
  },
  noGoods: {
    pic: 'https://img.alicdn.com/tfs/TB1mPWEeOqAXuNjy1XdXXaYcVXa-320-320.png',
    content: '主人，这里什么都没有找到',
    button: '再试一次',
    title: '暂无商品'
  },
  noNetwork: {
    pic: 'https://img.alicdn.com/tfs/TB1jkA5g9_I8KJjy0FoXXaFnVXa-320-320.png',
    content: '哎呀，没有网络了......',
    button: '刷新一下',
    title: '无网络'
  },
  errorLocation: {
    pic: 'https://img.alicdn.com/tfs/TB1zXXahhrI8KJjy0FpXXb5hVXa-320-320.png',
    content: '哎呀，定位失败了......',
    button: '刷新一下',
    title: '定位失败'
  }
});


/***/ }),

/***/ 26:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _type = __webpack_require__(23);

var _type2 = _interopRequireDefault(_type);

var _utils = __webpack_require__(12);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    type: {
      type: String,
      default: 'errorPage'
    },
    show: {
      type: Boolean,
      default: true
    },
    wrapStyle: Object,
    paddingTop: {
      type: [Number, String],
      default: 232
    },
    customSet: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  computed: {
    resultType: function resultType() {
      var type = this.type,
          customSet = this.customSet;

      var allTypes = _utils2.default.isEmptyObject(customSet) ? _type2.default : _utils2.default.mergeDeep(_type2.default, customSet);
      var types = allTypes['errorPage'];
      if (Object.keys(allTypes).indexOf(type) > -1) {
        types = allTypes[type];
      }
      return types;
    },
    setPaddingTop: function setPaddingTop() {
      var paddingTop = this.paddingTop;
      return paddingTop + 'px';
    }
  },
  methods: {
    handleTouchEnd: function handleTouchEnd(e) {
      // web上面有点击穿透问题
      var platform = weex.config.env.platform;

      platform === 'Web' && e.preventDefault && e.preventDefault();
    },
    onClick: function onClick() {
      var type = this.type;
      this.$emit('wxcResultButtonClicked', { type: type });
    }
  }
};

/***/ }),

/***/ 27:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//

exports.default = {
    data: function data() {
        return {};
    },

    props: {
        isNetWorkOK: {}
    },
    methods: {
        aginButtonClick: function aginButtonClick() {
            this.$emit('aginButtonClicked', this.isNetWorkOK);
        }
    },
    computed: {},
    created: function created() {}
};

/***/ }),

/***/ 28:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//

var MapModule = weex.requireModule('MapModule');
exports.default = {
    data: function data() {
        return {};
    },

    methods: {
        openLocationLienseClicked: function openLocationLienseClicked() {
            MapModule.callOutAlert();
        }
    },
    computed: {},
    created: function created() {}
};

/***/ }),

/***/ 29:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "locationFailed": {
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center",
    "marginTop": 369
  },
  "locationFailedImage": {
    "width": 420,
    "height": 300
  },
  "locationFailedDetail": {
    "color": "#999999",
    "fontSize": 28,
    "textAlign": "center",
    "marginTop": 45
  },
  "locationFailedButton": {
    "color": "#FA5856",
    "fontSize": 34,
    "textAlign": "center",
    "lineHeight": 80,
    "marginTop": 40,
    "borderWidth": 1,
    "borderStyle": "solid",
    "borderRadius": 40,
    "paddingLeft": 82,
    "paddingRight": 82,
    "borderColor": "#FA5856"
  }
}

/***/ }),

/***/ 32:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "noLocation": {
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center",
    "marginTop": 369
  },
  "noLocationImage": {
    "width": 420,
    "height": 300
  },
  "noLocationTitle": {
    "color": "#666666",
    "fontSize": 32,
    "textAlign": "center",
    "marginTop": 45
  },
  "noLocationDetail": {
    "color": "#999999",
    "fontSize": 28,
    "textAlign": "center",
    "marginTop": 18
  },
  "noLocationButton": {
    "color": "#FA5856",
    "fontSize": 34,
    "textAlign": "center",
    "lineHeight": 80,
    "marginTop": 45,
    "borderWidth": 1,
    "borderStyle": "solid",
    "borderRadius": 40,
    "paddingLeft": 20,
    "paddingRight": 20,
    "borderColor": "#FA5856"
  }
}

/***/ }),

/***/ 33:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "right": 0,
    "bottom": 0
  },
  "wxc-result": {
    "width": 750,
    "flex": 1,
    "alignItems": "center",
    "backgroundColor": "#f2f3f4"
  },
  "result-image": {
    "width": 320,
    "height": 320
  },
  "result-content": {
    "marginTop": 36,
    "alignItems": "center"
  },
  "content-text": {
    "fontSize": 30,
    "color": "#A5A5A5",
    "height": 42,
    "lineHeight": 42,
    "textAlign": "center"
  },
  "content-desc": {
    "marginTop": 10
  },
  "result-button": {
    "marginTop": 60,
    "borderWidth": 1,
    "borderColor": "#979797",
    "backgroundColor": "#FFFFFF",
    "borderRadius": 6,
    "width": 240,
    "height": 72,
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "button-text": {
    "color": "#666666",
    "fontSize": 30
  }
}

/***/ }),

/***/ 34:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["locationFailed"]
  }, [_c('image', {
    staticClass: ["locationFailedImage"],
    attrs: {
      "resize": "cover",
      "src": _vm.isNetWorkOK === 1 ? 'http://syWeex/weex_nearbycars_networkerror' : 'http://syWeex/weex_mydrivers__login'
    }
  }), _c('text', {
    staticClass: ["locationFailedDetail"]
  }, [_vm._v(_vm._s(_vm.isNetWorkOK === 1 ? '网络错误' : '您还没有登录，无法看到我的车库的司机'))]), _c('text', {
    staticClass: ["locationFailedButton"],
    on: {
      "click": _vm.aginButtonClick
    }
  }, [_vm._v(_vm._s(_vm.isNetWorkOK === 1 ? '重新加载' : '马上登录'))])])
},staticRenderFns: []}

/***/ }),

/***/ 37:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["noLocation"]
  }, [_c('image', {
    staticClass: ["noLocationImage"],
    attrs: {
      "resize": "cover",
      "src": "http://syWeex/weex_nearbycars_locaionfailed"
    }
  }), _c('text', {
    staticClass: ["noLocationTitle"]
  }, [_vm._v("定位失败")]), _c('text', {
    staticClass: ["noLocationDetail"]
  }, [_vm._v("请检查您的网络或定位服务")]), _c('text', {
    staticClass: ["noLocationButton"],
    on: {
      "click": _vm.openLocationLienseClicked
    }
  }, [_vm._v("开启定位服务")])])
},staticRenderFns: []}

/***/ }),

/***/ 38:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["wrap"],
    style: _vm.wrapStyle
  }, [_c('div', {
    staticClass: ["wxc-result"],
    style: {
      paddingTop: _vm.setPaddingTop
    }
  }, [_c('image', {
    staticClass: ["result-image"],
    attrs: {
      "ariaHidden": true,
      "src": _vm.resultType.pic
    }
  }), (_vm.resultType.content) ? _c('div', {
    staticClass: ["result-content"]
  }, [_c('text', {
    staticClass: ["content-text"]
  }, [_vm._v(_vm._s(_vm.resultType.content))]), (_vm.resultType.desc) ? _c('text', {
    staticClass: ["content-text", "content-desc"]
  }, [_vm._v(_vm._s(_vm.resultType.desc))]) : _vm._e()]) : _vm._e(), (_vm.resultType.button) ? _c('div', {
    staticClass: ["result-button"],
    on: {
      "touchend": _vm.handleTouchEnd,
      "click": _vm.onClick
    }
  }, [_c('text', {
    staticClass: ["button-text"]
  }, [_vm._v(_vm._s(_vm.resultType.button))])]) : _vm._e()])]) : _vm._e()
},staticRenderFns: []}

/***/ }),

/***/ 42:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(48)
)

/* script */
__vue_exports__ = __webpack_require__(46)

/* template */
var __vue_template__ = __webpack_require__(52)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-2a9b064e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 43:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(49)
)

/* script */
__vue_exports__ = __webpack_require__(47)

/* template */
var __vue_template__ = __webpack_require__(53)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-2f37ff93"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 46:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _findCarOptionsView = __webpack_require__(43);

var _findCarOptionsView2 = _interopRequireDefault(_findCarOptionsView);

var _LogUtil = __webpack_require__(7);

var _LogUtil2 = _interopRequireDefault(_LogUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('ModalModule');
var suyunApp = weex.requireModule('AppInfoModule');
var globalEvent = weex.requireModule('globalEvent');
var storage = weex.requireModule('storage');
exports.default = {
    components: {
        findCarOptionsView: _findCarOptionsView2.default
    },
    props: {
        type: {
            type: Number,
            default: 0 //0找车  1找信息
        }
    },
    data: function data() {
        return {
            showTag: 0,
            options: [{
                name: '车型',
                value: '',
                selected: false,
                tag: 0
            }, {
                name: '服务',
                value: '',
                selected: false,
                tag: 1
            }, {
                name: '智能排序',
                value: '',
                selected: false,
                tag: 2
            }],
            lastItem: {},
            carTypeList: [{
                id: -5,
                name: '全部',
                selected: false
            }],
            classtifityList: [{
                id: -5,
                name: '全部',
                selected: false
            }],
            sortList: [{
                id: 1,
                name: '最近活跃',
                selected: false
            }, {
                id: 2,
                name: '离我最近',
                selected: false
            }],
            carSelectList: [],
            classtifitySelectList: [],
            sortSelectList: []
        };
    },

    methods: {
        showView: function showView() {
            var show = false;
            for (var i = 0; i < this.options.length; i++) {
                var item = this.options[i];
                if (item.selected === true) {
                    show = true;
                    break;
                }
            }
            return show;
        },
        itemClick: function itemClick(item) {
            if (this.lastItem !== item) {
                this.lastItem.selected = false;
            }
            item.selected = !item.selected;
            this.lastItem = item;

            //选中
            if (item.selected === true) {
                this.showTag = item.tag;

                var event = '';
                if (this.lastItem.tag === 0) {
                    event = 'model_select';
                } else if (this.lastItem.tag === 1) {
                    event = this.type === 0 ? 'service_select' : 'category_select';
                } else {
                    event = 'sort_select';
                }
                _LogUtil2.default.clickEvent(event, {
                    page_name: this.type === 0 ? 'finding_car_page' : 'finding_info_page',
                    page_type: this.type === 0 ? 'finding_car_page' : 'finding_info_page'
                });
            }
            this.cleanAllSelected();
        },
        getList: function getList() {
            if (this.showTag === 0) {
                return this.carTypeList;
            } else if (this.showTag === 1) {
                return this.classtifityList;
            } else {
                return this.sortList;
            }
        },
        getSelectList: function getSelectList() {
            if (this.showTag === 0) {
                return this.carSelectList;
            } else if (this.showTag === 1) {
                return this.classtifitySelectList;
            } else {
                return this.sortSelectList;
            }
        },
        getImageSrc: function getImageSrc(item) {
            if (item.selected) {
                return 'https://static.daojia.com/assets/project/tosimple-pic/shaixuan-sel@3x_1562335263124.png';
            } else {
                return 'https://static.daojia.com/assets/project/tosimple-pic/shaixuan@3x_1562335268306.png';
            }
        },

        didSelectItem: function didSelectItem(list, tag) {
            var list = this.getList();
            var optionsItem = this.options[tag];
            var text = '';
            if (tag === 0) {
                this.carSelectList = new Array();
            } else if (tag === 1) {
                this.classtifitySelectList = new Array();
            } else {
                this.sortSelectList = new Array();
            }

            // console.log('123456789' + '/' + optionsItem.name);
            if (tag === 0 || tag === 1) {
                for (var i = 0; i < list.length; i++) {
                    var item = list[i];
                    if (item.selected) {
                        if (tag === 0) {
                            this.carSelectList.push(item.id);
                        } else {
                            this.classtifitySelectList.push(item.id);
                        }
                        if (text.length <= 0) {
                            text += item.name;
                        } else {
                            text += ',' + item.name;
                        }
                    }
                }
            } else if (tag === 2) {
                for (var _i = 0; _i < list.length; _i++) {
                    var item = list[_i];
                    if (item.selected) {
                        this.sortSelectList.push(item.id);
                        text = item.name;
                        break;
                    }
                }
            }
            optionsItem.value = text;
        },
        dismissOptionsView: function dismissOptionsView(tag) {
            var optionsItem = this.options[tag];
            optionsItem.selected = false;
            this.cleanAllSelected();
        },
        cleanAllSelected: function cleanAllSelected() {
            var list = this.getList();
            var getSelectList = this.getSelectList();

            // console.log('1234123412341234' + '/' + getSelectList)
            for (var i = 0; i < list.length; i++) {
                var item = list[i];

                if (getSelectList.indexOf(item.id) === -1) {
                    item.selected = false;
                } else {
                    item.selected = true;
                }
            }
        },


        startRequest: function startRequest() {
            var array = new Array();

            for (var i = 0; i < this.options.length; i++) {
                var text = '';
                if (i === 0) {
                    //车型
                    text = this.carSelectList.join(',');
                } else if (i === 1) {
                    //类别
                    text = this.classtifitySelectList.join(',');
                } else {
                    //排序
                    text = this.sortSelectList.join(',');
                }
                if (-5 === parseInt(text)) {
                    text = '';
                }
                array.push(text);
            }
            //拼接条件，
            this.$emit('optionsChanged', array);
        },
        getCarListRequest: function getCarListRequest() {
            var that = this;
            this.getCarList({}).then(function (data) {
                if (data.code === 0) {
                    var list = data['data'];
                    that.didGetCarListRequest(list);
                    //存储
                    var objStr = JSON.stringify(data['data']);
                    storage.setItem('getCarList_carlist', objStr, function (event) {});
                } else {
                    storage.getItem('getCarList_carlist', function (event) {
                        var list = JSON.parse(event.data);
                        that.didGetCarListRequest(list);
                    });
                }
            }).catch(function (err) {
                storage.getItem('getCarList_carlist', function (event) {
                    var list = JSON.parse(event.data);
                    that.didGetCarListRequest(list);
                });
            });
        },
        didGetCarListRequest: function didGetCarListRequest(list) {
            for (var i = 0; i < list.length; i++) {
                var item = list[i];
                item.selected = false;
                this.carTypeList.push(item);
            }
            // console.log('11111111' + '/' + JSON.stringify(this.carTypeList))
        },
        getLabelListRequest: function getLabelListRequest() {
            var that = this;
            this.getPublishLabelList({
                'source': 1
            }).then(function (data) {
                if (data.code === 0) {
                    var list = data['data'];
                    that.didGetLabelListRequest(list);
                    //存储
                    var objStr = JSON.stringify(data['data']);
                    storage.setItem('getLabelListRequest_list', objStr, function (event) {});
                } else {
                    storage.getItem('getLabelListRequest_list', function (event) {
                        var list = JSON.parse(event.data);
                        that.didGetLabelListRequest(list);
                    });
                }
            }).catch(function (err) {
                storage.getItem('getLabelListRequest_list', function (event) {
                    var list = JSON.parse(event.data);
                    that.didGetLabelListRequest(list);
                });
            });
        },
        didGetLabelListRequest: function didGetLabelListRequest(list) {
            for (var i = 0; i < list.length; i++) {
                var item = list[i];
                item.selected = false;
                this.classtifityList.push(item);
            }
        },
        getServiceListRequest: function getServiceListRequest() {
            var that = this;
            this.getDriverServiceLabelList({}).then(function (data) {
                if (data.code === 0) {
                    var list = data['data'];
                    that.didGetLabelListRequest(list);
                    //存储
                    var objStr = JSON.stringify(data['data']);
                    storage.setItem('getServiceListRequest_list', objStr, function (event) {});
                } else {
                    storage.getItem('getServiceListRequest_list', function (event) {
                        var list = JSON.parse(event.data);
                        that.didGetLabelListRequest(list);
                    });
                }
            }).catch(function (err) {
                storage.getItem('getServiceListRequest_list', function (event) {
                    var list = JSON.parse(event.data);
                    that.didGetLabelListRequest(list);
                });
            });
        }
    },
    created: function created() {
        if (this.type === 0) {
            //找车
            var zhiItem = {
                id: 0,
                name: '智能排序',
                selected: false
            };
            this.sortList.unshift(zhiItem);

            var item2 = this.options[2];
            item2.name = "智能排序";
        } else {
            //找信息
            var item1 = this.options[1];
            item1.name = '类别';

            var item2 = this.options[2];
            item2.name = "最新发布";

            var item3 = this.sortList[0];
            item3.name = '最新发布';

            var item3 = this.sortList[1];
            item3.name = '离我最近';
        }
        this.sortList[0].selected = true;
        this.sortSelectList.push(this.sortList[0].id);
        //请求车型列表
        this.getCarListRequest();
        if (this.type === 1) {
            //请求类别列表
            this.getLabelListRequest();
        } else {
            //请求服务项列表
            this.getServiceListRequest();
        }

        // this
    }
};

/***/ }),

/***/ 47:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('ModalModule');
var suyunApp = weex.requireModule('AppInfoModule');
var globalEvent = weex.requireModule('globalEvent');

var logModule = weex.requireModule('LogModule');

exports.default = {
    props: {
        tag: {
            type: Number,
            default: 0
        },
        optionsShowArray: {
            type: Array,
            default: []
        }
    },
    data: function data() {
        return {};
    },

    methods: {
        sureClick: function sureClick() {
            this.$emit('selectClick', this.optionsShowArray, this.tag);
            this.dismissView();
            this.$emit('startRequest');
        },
        itemClick: function itemClick(item) {
            item.selected = !item.selected;
            if (item.id === -5) {
                for (var i = 0; i < this.optionsShowArray.length; i++) {
                    var tempItem = this.optionsShowArray[i];
                    if (tempItem.id !== -5) {
                        tempItem.selected = false;
                    }
                }
            } else {
                for (var _i = 0; _i < this.optionsShowArray.length; _i++) {
                    var tempItem = this.optionsShowArray[_i];
                    if (tempItem.id === -5) {
                        tempItem.selected = false;
                    }
                }
            }
        },
        sortClick: function sortClick(item) {
            for (var i = 0; i < this.optionsShowArray.length; i++) {
                var tempItem = this.optionsShowArray[i];
                tempItem.selected = false;
            }
            item.selected = true;

            this.$emit('selectClick', this.optionsShowArray, this.tag);
            this.dismissView();
            this.$emit('startRequest');
        },
        dismissView: function dismissView() {
            this.$emit('dismissOptionsView', this.tag);
        },
        nineBgClick: function nineBgClick() {}
    },
    created: function created() {}
};

/***/ }),

/***/ 48:
/***/ (function(module, exports) {

module.exports = {
  "text": {
    "color": "#999999",
    "fontSize": 26,
    "maxWidth": 184,
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "selectText": {
    "color": "#E6454A",
    "fontSize": 26,
    "maxWidth": 184,
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "findcarbg": {
    "width": 750,
    "position": "absolute",
    "left": 0,
    "top": 0,
    "display": "flex",
    "flexDirection": "column"
  },
  "optionsStyle": {
    "borderTopWidth": 1,
    "borderTopColor": "#ebebeb",
    "borderTopStyle": "solid",
    "height": 80,
    "display": "flex",
    "flexDirection": "row",
    "position": "relative",
    "borderBottomWidth": 1,
    "borderBottomColor": "#ebebeb",
    "borderBottomStyle": "solid"
  },
  "item": {
    "justifyContent": "center",
    "alignItems": "center",
    "flex": 1,
    "height": 80,
    "display": "flex",
    "flexDirection": "row",
    "overflow": "hidden"
  },
  "arrow": {
    "marginLeft": 12,
    "width": 14,
    "height": 7
  }
}

/***/ }),

/***/ 49:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "findcarviewbg": {
    "width": 750,
    "height": 2000,
    "backgroundColor": "rgba(17,17,17,0.6)",
    "flex": 1
  },
  "nineBox": {
    "backgroundColor": "#ffffff",
    "width": 750,
    "height": 550,
    "display": "flex",
    "flexDirection": "column"
  },
  "title": {
    "height": 48,
    "fontSize": 34,
    "color": "#333333",
    "marginTop": 40,
    "marginLeft": 40,
    "fontWeight": "bold"
  },
  "scroller": {
    "paddingLeft": 20,
    "paddingRight": 40,
    "backgroundColor": "#ffffff",
    "marginTop": 2,
    "height": 310
  },
  "scrollerBg": {
    "flexDirection": "row",
    "display": "flex",
    "justifyContent": "flex-start",
    "flexWrap": "wrap"
  },
  "itemBg": {
    "borderRadius": 4,
    "overflow": "hidden",
    "marginLeft": 20
  },
  "unSelectItem": {
    "marginTop": 20,
    "borderRadius": 4,
    "overflow": "hidden",
    "backgroundColor": "#F7F7F7",
    "color": "#666666",
    "fontSize": 26,
    "height": 72,
    "lineHeight": 72,
    "textAlign": "center",
    "paddingLeft": 40,
    "paddingRight": 40,
    "borderColor": "#F7F7F7",
    "borderStyle": "solid",
    "borderWidth": 1
  },
  "selectItem": {
    "marginTop": 20,
    "borderRadius": 4,
    "overflow": "hidden",
    "backgroundColor": "#FEEEEE",
    "color": "#E6454A",
    "fontSize": 26,
    "height": 72,
    "lineHeight": 72,
    "textAlign": "center",
    "paddingLeft": 40,
    "paddingRight": 40,
    "borderColor": "#F7BBBC",
    "borderStyle": "solid",
    "borderWidth": 1
  },
  "btnDiv": {
    "borderRadius": 10,
    "overflow": "hidden",
    "backgroundColor": "#E5454A",
    "marginTop": 30,
    "marginLeft": 30,
    "marginRight": 30,
    "height": 100,
    "justifyContent": "center"
  },
  "btn": {
    "lineHeight": 100,
    "textAlign": "center",
    "backgroundColor": "#E5454A",
    "color": "#ffffff",
    "fontSize": 34,
    "borderRadius": 10,
    "overflow": "hidden"
  },
  "sortBg": {
    "width": 750,
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "column"
  },
  "sortItem": {
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "row",
    "height": 100,
    "width": 750,
    "paddingLeft": 40,
    "paddingRight": 40,
    "alignItems": "center"
  },
  "sortSelectItem": {
    "flex": 1,
    "color": "#E6454A",
    "fontSize": 30,
    "lineHeight": 100,
    "textAlign": "left"
  },
  "sortUnSelectItem": {
    "flex": 1,
    "color": "#333333",
    "fontSize": 30,
    "lineHeight": 100,
    "textAlign": "left"
  },
  "sortBtn": {
    "height": 48,
    "width": 48
  }
}

/***/ }),

/***/ 52:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["findcarbg"]
  }, [_c('div', {
    staticClass: ["optionsStyle"]
  }, _vm._l((_vm.options), function(item, index) {
    return _c('div', {
      staticClass: ["item"],
      on: {
        "click": function($event) {
          _vm.itemClick(item)
        }
      }
    }, [(item.selected) ? _c('text', {
      staticClass: ["selectText"]
    }, [_vm._v(_vm._s(item.value ? item.value : item.name))]) : _c('text', {
      staticClass: ["text"]
    }, [_vm._v(_vm._s(item.value ? item.value : item.name))]), _c('image', {
      staticClass: ["arrow"],
      attrs: {
        "src": _vm.getImageSrc(item)
      }
    })])
  })), (_vm.showView()) ? _c('findCarOptionsView', {
    attrs: {
      "tag": _vm.showTag,
      "optionsShowArray": _vm.getList()
    },
    on: {
      "selectClick": _vm.didSelectItem,
      "dismissOptionsView": _vm.dismissOptionsView,
      "startRequest": _vm.startRequest
    }
  }) : _vm._e()], 1)
},staticRenderFns: []}

/***/ }),

/***/ 53:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["findcarviewbg"],
    on: {
      "click": function($event) {
        _vm.dismissView()
      }
    }
  }, [(_vm.tag === 0 || _vm.tag === 1) ? _c('div', {
    staticClass: ["nineBox"],
    on: {
      "click": function($event) {
        _vm.nineBgClick()
      }
    }
  }, [_c('text', {
    staticClass: ["title"]
  }, [_vm._v(_vm._s(_vm.tag === 0 ? '车型选择' : '类别选择'))]), _c('scroller', {
    staticClass: ["scroller"],
    attrs: {
      "scrollable": "true",
      "alwaysScrollableVertical": "true",
      "showScrollbar": "false"
    }
  }, [_c('div', {
    staticClass: ["scrollerBg"]
  }, _vm._l((_vm.optionsShowArray), function(item) {
    return _c('div', [_c('div', {
      staticClass: ["itemBg"],
      on: {
        "click": function($event) {
          _vm.itemClick(item)
        }
      }
    }, [(item.selected) ? _c('text', {
      staticClass: ["selectItem"]
    }, [_vm._v(_vm._s(item.name))]) : _c('text', {
      staticClass: ["unSelectItem"]
    }, [_vm._v(_vm._s(item.name))])])])
  }))]), _c('div', {
    staticClass: ["btnDiv"],
    on: {
      "click": function($event) {
        _vm.sureClick()
      }
    }
  }, [_c('text', {
    staticClass: ["btn"]
  }, [_vm._v("确定")])])]) : _c('div', {
    staticClass: ["sortBg"]
  }, _vm._l((_vm.optionsShowArray), function(item) {
    return _c('div', {
      staticClass: ["sortItem"],
      on: {
        "click": function($event) {
          _vm.sortClick(item)
        }
      }
    }, [(item.selected) ? _c('text', {
      staticClass: ["sortSelectItem"]
    }, [_vm._v(_vm._s(item.name))]) : _c('text', {
      staticClass: ["sortUnSelectItem"]
    }, [_vm._v(_vm._s(item.name))]), _c('image', {
      staticClass: ["sortBtn"],
      attrs: {
        "src": item.selected ? 'https://static.daojia.com/assets/project/tosimple-pic/saixuan-sel@3x_1562335253656.png' : 'https://static.daojia.com/assets/project/tosimple-pic/saixuan@3x_1562335258356.png'
      }
    })])
  }))])
},staticRenderFns: []}

/***/ }),

/***/ 60:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(157)
)

/* script */
__vue_exports__ = __webpack_require__(117)

/* template */
var __vue_template__ = __webpack_require__(194)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-260732be"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _API = __webpack_require__(0);

var _API2 = _interopRequireDefault(_API);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var storage = weex.requireModule('storage'); /**
                                              * 埋点相关工具类
                                              */

var logModule = weex.requireModule('LogModule');
exports.default = {
    /**
     * 点击事件埋点
     * @param eventId
     * @param dataMap
     */
    clickEvent: function clickEvent(eventId, dataMap) {
        this.logContenUpload(eventId, dataMap, 1);
    },

    /**
     * 页面埋点
     * @param eventId
     * @param dataMap
     */
    nativeLoad: function nativeLoad(eventId, dataMap) {
        this.logContenUpload(eventId, dataMap, 2);
    },

    /**
     * 点击埋点（速运自埋点）
     * @param eventId
     * @param dataMap
     */
    suYunClick: function suYunClick(eventId, dataMap) {
        this.logContenUpload(eventId, dataMap, 3);
    },

    /**
     * 根据经纬度查询乡镇信息
     * @param locationMap
     */
    getVillageInfoByLocation: function getVillageInfoByLocation(locationMap) {
        _API2.default.methods.getLocationInfo(locationMap).then(function (data) {
            if (data.code == 0 && data.data) {
                storage.setItem('weex_village_location_info', JSON.stringify(data.data), function (event) {});
            }
        });
    },

    /**
     * 添加公共参数然后上报
     * @param eventId
     * @param dataMap
     * @param logType
     */
    logContenUpload: function logContenUpload(eventId, dataMap, logType) {
        var tempData = dataMap;
        var that = this;
        try {
            storage.getItem('weex_village_location_info', function (event) {
                if (event && event.result == 'success' && event.data) {
                    var locationData = JSON.parse(event.data);
                    if (locationData) {
                        //没有乡镇id则上报区县id
                        tempData['villageLocalId'] = locationData.townId ? locationData.townId : locationData.areaId;
                    }
                    that.logTypeUpload(eventId, tempData, logType);
                } else {
                    that.logTypeUpload(eventId, tempData, logType);
                }
            });
        } catch (e) {
            that.logTypeUpload(eventId, tempData, logType);
        }
    },

    /**
     * 埋点上报
     * @param logType
     * @param dataMap
     */
    logTypeUpload: function logTypeUpload(eventId, dataMap, logType) {
        var type = logType;
        switch (type) {
            case 1:
                logModule.clickEvent(eventId, dataMap, function (resp) {});
                break;
            case 2:
                logModule.nativeLoad(eventId, dataMap, function (resp) {});
                break;
            case 3:
                logModule.suYunClick(eventId, dataMap, function (resp) {});
                break;
            default:
                break;
        }
    }
};

/***/ }),

/***/ 8:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var has = Object.prototype.hasOwnProperty
  , undef;

/**
 * Decode a URI encoded string.
 *
 * @param {String} input The URI encoded string.
 * @returns {String|Null} The decoded string.
 * @api private
 */
function decode(input) {
  try {
    return decodeURIComponent(input.replace(/\+/g, ' '));
  } catch (e) {
    return null;
  }
}

/**
 * Attempts to encode a given input.
 *
 * @param {String} input The string that needs to be encoded.
 * @returns {String|Null} The encoded string.
 * @api private
 */
function encode(input) {
  try {
    return encodeURIComponent(input);
  } catch (e) {
    return null;
  }
}

/**
 * Simple query string parser.
 *
 * @param {String} query The query string that needs to be parsed.
 * @returns {Object}
 * @api public
 */
function querystring(query) {
  var parser = /([^=?&]+)=?([^&]*)/g
    , result = {}
    , part;

  while (part = parser.exec(query)) {
    var key = decode(part[1])
      , value = decode(part[2]);

    //
    // Prevent overriding of existing properties. This ensures that build-in
    // methods like `toString` or __proto__ are not overriden by malicious
    // querystrings.
    //
    // In the case if failed decoding, we want to omit the key/value pairs
    // from the result.
    //
    if (key === null || value === null || key in result) continue;
    result[key] = value;
  }

  return result;
}

/**
 * Transform a query string to an object.
 *
 * @param {Object} obj Object that should be transformed.
 * @param {String} prefix Optional prefix.
 * @returns {String}
 * @api public
 */
function querystringify(obj, prefix) {
  prefix = prefix || '';

  var pairs = []
    , value
    , key;

  //
  // Optionally prefix with a '?' if needed
  //
  if ('string' !== typeof prefix) prefix = '?';

  for (key in obj) {
    if (has.call(obj, key)) {
      value = obj[key];

      //
      // Edge cases where we actually want to encode the value to an empty
      // string instead of the stringified value.
      //
      if (!value && (value === null || value === undef || isNaN(value))) {
        value = '';
      }

      key = encodeURIComponent(key);
      value = encodeURIComponent(value);

      //
      // If we failed to encode the strings, we should bail out as we don't
      // want to add invalid strings to the query.
      //
      if (key === null || value === null) continue;
      pairs.push(key +'='+ value);
    }
  }

  return pairs.length ? prefix + pairs.join('&') : '';
}

//
// Expose the module.
//
exports.stringify = querystringify;
exports.parse = querystring;


/***/ }),

/***/ 80:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _lookCarList = __webpack_require__(60);

var _lookCarList2 = _interopRequireDefault(_lookCarList);

var _API = __webpack_require__(0);

var _API2 = _interopRequireDefault(_API);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.mixin(_API2.default);
new Vue(Vue.util.extend({ el: '#root' }, _lookCarList2.default));

/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Check if we're required to add a port number.
 *
 * @see https://url.spec.whatwg.org/#default-port
 * @param {Number|String} port Port number we need to check
 * @param {String} protocol Protocol we need to check against.
 * @returns {Boolean} Is it a default port for the given protocol
 * @api private
 */
module.exports = function required(port, protocol) {
  protocol = protocol.split(':')[0];
  port = +port;

  if (!port) return false;

  switch (protocol) {
    case 'http':
    case 'ws':
    return port !== 80;

    case 'https':
    case 'wss':
    return port !== 443;

    case 'ftp':
    return port !== 21;

    case 'gopher':
    return port !== 70;

    case 'file':
    return false;
  }

  return port !== 0;
};


/***/ })

/******/ });