// { "framework": "Vue" }

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 83);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _tool = __webpack_require__(1);

var _tool2 = _interopRequireDefault(_tool);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var API = __webpack_require__(2);
var domain = _tool2.default.getBaseUrl();
var navigator = weex.requireModule('navigator');
var modal = weex.requireModule('ModalModule');
var stream = weex.requireModule('stream');
var suyunApp = weex.requireModule('AppInfoModule');

exports.default = {
    data: function data() {
        return {
            data: {}
        };
    },

    methods: {
        setMutations: function setMutations(key, value) {
            this.$store.commit(key, value);
        },
        parseParams: function parseParams(params) {
            var str = '';
            if (!params) return '';
            var len = Object.keys(params).length;
            for (var i in params) {
                try {
                    str += i + '=' + params[i] + '&';
                } catch (e) {
                    console.warn(e);
                }
            }
            return '?' + str.substr(0, str.length - 1);
        },
        getCookie: function getCookie(data) {
            var cookie = '';
            var djfrtuid = data['djSuyunUID'];
            var djfrttok = data['userToken'];
            var djfrtexp = data['djSuyunExpiryDate'];
            var dj_psuid = data['djPSUID'];
            var dj_pstoken = data['djPSToken'];
            var dj_pstokenexp = data['djPSTokenExp'];
            if (djfrtuid) {
                cookie += 'djfrtuid=' + djfrtuid + ";";
            }
            if (djfrttok) {
                cookie += 'djfrttok=' + djfrttok + ";";
            }
            if (djfrtexp) {
                cookie += 'djfrtexp=' + djfrtexp + ";";
            }
            if (dj_psuid) {
                cookie += 'dj_psuid=' + dj_psuid + ";";
            }
            if (dj_pstoken) {
                cookie += 'dj_pstoken=' + dj_pstoken + ";";
            }
            if (dj_pstokenexp) {
                cookie += 'dj_pstokenexp=' + dj_pstokenexp + ";";
            }
            return cookie;
        },
        getTerminal: function getTerminal() {
            if (weex.config.env['platform'] === 'iOS') {
                return '2';
            } else {
                return '1';
            }
        },
        getHost: function getHost(data) {
            if (data['host']) {
                return data['host'];
            }
        },
        fetchGet: function fetchGet(url, obj) {
            var this1 = this;

            return new Promise(function (resolve, reject) {
                var str = this1.parseParams(obj);

                var this2 = this1;
                suyunApp.getAppInfo(function (event) {
                    try {
                        var objEvent = event;
                        var data = objEvent.data;
                        var reqUrl = this2.getHost(data) + url;
                        reqUrl += str;
                        var cityid;
                        if (data['selectCityId']) {
                            cityid = data['selectCityId'];
                        } else {
                            cityid = data['cityId'];
                        }
                        stream.fetch({
                            method: 'GET',
                            url: reqUrl,
                            type: 'json',
                            timeout: 60000, //60s
                            headers: {
                                "Cookie": this2.getCookie(data),
                                "terminal": this2.getTerminal(),
                                "appVersion": data['version'],
                                "cityId": cityid
                            }
                        }, function (response) {
                            console.log(JSON.stringify(response) + "========response");
                            if (parseInt(response.status) == 200) {
                                resolve(response.data);
                            } else {
                                reject(response);
                            }
                        }, function () {});
                    } catch (error) {}
                });
            });
        },
        fetchPost: function fetchPost(domin, url, obj) {
            var this1 = this;
            var reqUrl = domin + url;

            return new Promise(function (resolve, reject) {
                var this2 = this1;
                suyunApp.getAppInfo(function (event) {
                    try {
                        var objEvent = event;
                        var data = objEvent.data;
                        stream.fetch({
                            method: 'POST',
                            url: reqUrl,
                            type: 'json',
                            timeout: 60000, //20s
                            headers: {
                                "Cookie": this2.getCookie(data)
                            },
                            body: JSON.stringify(obj)
                        }, function (response) {
                            if (response.status == 200) {
                                resolve(response.data);
                            } else {
                                reject(response);
                            }
                        }, function () {});
                    } catch (error) {}
                });
            });
        },
        getAdvertList: function getAdvertList(obj) {
            return this.fetchGet(API.getAdvertList, obj);
        },
        getHomeInfo: function getHomeInfo(obj) {
            return this.fetchGet(API.getHomeInfoNew, obj); //getHomeInfo=>getHomeInfoNew
        },
        getAnnouncementList: function getAnnouncementList(obj) {
            return this.fetchGet(API.getAnnouncementList, obj);
        },
        getRead: function getRead(obj) {
            return this.fetchGet(API.getRead, obj);
        },
        getMoreAnnmentlist: function getMoreAnnmentlist(obj) {
            return this.fetchGet(API.getmoreannmentlist, obj);
        },
        getHistoryOrderList: function getHistoryOrderList(obj) {
            return this.fetchGet(API.getHistoryOrderList, obj);
        },
        getAssignHistoryOrderList: function getAssignHistoryOrderList(obj) {
            return this.fetchGet(API.getAssignHistoryOrderList, obj);
        },
        getMyMenuList: function getMyMenuList(obj) {
            return this.fetchGet(API.getMyMenuList, obj);
        },
        getMyInfo: function getMyInfo(obj) {
            return this.fetchGet(API.getMyInfo, obj);
        },
        getNearbyCarsList: function getNearbyCarsList(obj) {
            return this.fetchGet(API.getNearbyCarsList, obj);
        },
        getMonthList: function getMonthList(obj) {
            return this.fetchGet(API.getMonthList, obj);
        },
        getFavoriteDriversList: function getFavoriteDriversList(obj) {
            return this.fetchGet(API.getFavoriteDriversList, obj);
        },
        getFictitiousphone: function getFictitiousphone(obj) {
            return this.fetchGet(API.getFictitiousphone, obj);
        },
        addFavoritedriver: function addFavoritedriver(obj) {
            return this.fetchGet(API.addFavoritedriver, obj);
        },
        getWxShare: function getWxShare(obj) {
            return this.fetchGet(API.getWxShare, obj);
        },
        getCarTypeList: function getCarTypeList(obj) {
            return this.fetchGet(API.getCarTypeList, obj);
        },
        getEstimatePrice: function getEstimatePrice(obj) {
            return this.fetchGet(API.getEstimatePrice, obj);
        },
        getCreaterOrder: function getCreaterOrder(obj) {
            return this.fetchGet(API.getCreaterOrder, obj);
        },
        getCreatebroadcastorder: function getCreatebroadcastorder(obj) {
            return this.fetchGet(API.getCreatebroadcastorder, obj);
        },
        getOrderStatus: function getOrderStatus(obj) {
            return this.fetchGet(API.getOrderStatus, obj);
        },
        getBroadcastInprogress: function getBroadcastInprogress(obj) {
            return this.fetchGet(API.getBroadcastInprogress, obj);
        },
        getBroadcastChoosedriverlist: function getBroadcastChoosedriverlist(obj) {
            return this.fetchGet(API.getBroadcastChoosedriverlist, obj);
        },
        getChoosedriver: function getChoosedriver(obj) {
            return this.fetchGet(API.getChoosedriver, obj);
        },
        getUsercancel: function getUsercancel(obj) {
            return this.fetchGet(API.getUsercancel, obj);
        },
        addInvitedriver: function addInvitedriver(obj) {
            return this.fetchGet(API.addInvitedriver, obj);
        },
        getDriverinfo: function getDriverinfo(obj) {
            return this.fetchGet(API.getDriverinfo, obj);
        },
        nav: function nav(url) {
            this.$router.push(url);
        },
        navNewWeb: function navNewWeb(url) {
            var tempUrl = '';
            if (_tool2.default.getEnvironment() === 'prod' || _tool2.default.getEnvironment() === 'test') {
                tempUrl = domain + '/' + url;
            }
            if (_tool2.default.getEnvironment() === 'local') {
                tempUrl = domain + '/dist/' + url;
            }

            navigator.push({
                url: tempUrl,
                animated: "true",
                type: 3
            }, function (event) {
                //  modal.toast({ message: 'callback: ' + domain+'/dist/'+url })
            });
        },
        jump: function jump(event, url, params) {
            if (params) {
                var obj = { url: encodeURIComponent(url) };
                Object.assign(obj, params);
                this.$router.push({ path: event, query: obj });
            } else {
                this.$router.push({ path: event, query: { url: encodeURIComponent(url) } });
            }
        },
        jumpNew: function jumpNew(params) {
            this.$router.push(params);
        },
        delFavoriteDriver: function delFavoriteDriver(obj) {
            return this.fetchGet(API.delFavoriteDriver, obj);
        },
        getLocationInfo: function getLocationInfo(obj) {
            return this.fetchGet(API.getLocationInfo, obj);
        },
        getMyPublishlist: function getMyPublishlist(obj) {
            return this.fetchGet(API.getMyPublishlist, obj);
        },
        deleteMyPublish: function deleteMyPublish(obj) {
            return this.fetchGet(API.deleteMyPublish, obj);
        },
        getMessageList: function getMessageList(obj) {
            return this.fetchGet(API.getMessageList, obj);
        },
        getCarList: function getCarList(obj) {
            return this.fetchGet(API.getCarList, obj);
        },
        getPublishLabelList: function getPublishLabelList(obj) {
            return this.fetchGet(API.getPublishLabelList, obj);
        },
        getDriverServiceLabelList: function getDriverServiceLabelList(obj) {
            return this.fetchGet(API.getDriverServiceLabelList, obj);
        },
        publishNeedsCreate: function publishNeedsCreate(obj) {
            return this.fetchGet(API.publishNeedsCreate, obj);
        },
        publishlabellist: function publishlabellist(obj) {
            return this.fetchGet(API.publishlabellist, obj);
        },
        neardriverlist: function neardriverlist(obj) {
            return this.fetchGet(API.neardriverlist, obj);
        },
        lookCarGetDriverInfo: function lookCarGetDriverInfo(obj) {
            return this.fetchGet(API.lookCarGetDriverInfo, obj);
        },
        userPhoneCallBack: function userPhoneCallBack(obj) {
            return this.fetchGet(API.userPhoneCallBack, obj);
        },
        getMyDriverList: function getMyDriverList(obj) {
            return this.fetchGet(API.getMyDriverList, obj);
        },
        addCollectionDriver: function addCollectionDriver(obj) {
            return this.fetchGet(API.addCollectionDriver, obj);
        },
        updatepublish: function updatepublish(obj) {
            return this.fetchGet(API.updatepublish, obj);
        },
        publishdetail: function publishdetail(obj) {
            return this.fetchGet(API.publishdetail, obj);
        },
        delmydriver: function delmydriver(obj) {
            return this.fetchGet(API.delmydriver, obj);
        },
        isallowchangemobile: function isallowchangemobile(obj) {
            return this.fetchGet(API.isallowchangemobile, obj);
        }
    },
    created: function created() {}
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var suyunApp = weex.requireModule('AppInfoModule');
exports.default = {
    getBaseUrl: function getBaseUrl() {
        return weex.config.bundleUrl.replace(/\/index\.html$/, '').replace(/\/weex\.html$/, '').replace(/\/dist\/app\.weex\.js$/, '').replace(/\/dist\/detail\.weex\.js$/, '').replace(/\/dist\/appDetail\.weex\.js$/, '').replace(/\/detail\.weex\.js$/, '').replace(/\/appDetail\.weex\.js$/, '').replace(/\/app\.weex\.js$/, '');
    },
    getPlatform: function getPlatform() {
        return weex.config['platform'];
    },
    getEnvironment: function getEnvironment() {
        var domain = weex.config.bundleUrl.replace(/\/index\.html$/, '').replace(/\/weex\.html$/, '').replace(/\/dist\/app\.weex\.js$/, '').replace(/\/dist\/detail\.weex\.js$/, '').replace(/\/dist\/appDetail\.weex\.js$/, '').replace(/\/detail\.weex\.js$/, '').replace(/\/appDetail\.weex\.js$/, '').replace(/\/app\.weex\.js$/, '');
        if (domain.indexOf('static.djtest.cn') > -1) {
            return 'test';
        } else if (domain.indexOf('static.daojia.com') > -1) {
            return 'prod';
        } else {
            return 'local';
        }
    },
    getServeDomain: function getServeDomain() {
        return 'http://wxapp-user-stable.djtest.cn';
        // return 'http://10.37.31.146:30163'
        // return 'http://10.37.33.143:30163'
    },
    formateData: function formateData(arr, obj) {
        var tempArr = [];
        var formateArr = Object.keys(obj);
        for (var i = 0; i < arr.length; i++) {
            var tempObj = {};
            for (var j = 0; j < formateArr.length; j++) {
                var tempStr = formateArr[j];
                tempObj[tempStr] = arr[i][obj[formateArr[j]]];
            }
            tempArr.push(tempObj);
        }
        return tempArr;
    },
    getCurrentBundleUrl: function getCurrentBundleUrl() {
        return weex.config.bundleUrl;
    },
    getCurrentHost: function getCurrentHost() {
        var bundleUrl = weex.config.bundleUrl;
        var array = bundleUrl.split('/');
        var lastObject = array[array.length - 1];
        var result = bundleUrl.substring(0, bundleUrl.length - lastObject.length);
        return result;
    },
    getCurrentPath: function getCurrentPath() {
        var path = 'https://static.daojia.com/sy/project/up-mobile-weex/';
        var isIOS = weex.config.env['platform'] === 'iOS';
        if (isIOS && weex.config.env['jshost']) {
            path = weex.config.env['jshost'];
        } else if (weex.config['jshost']) {
            path = weex.config['jshost'];
        }
        return path;
    }
};

/***/ }),

/***/ 10:
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {

var required = __webpack_require__(9)
  , qs = __webpack_require__(8)
  , slashes = /^[A-Za-z][A-Za-z0-9+-.]*:\/\//
  , protocolre = /^([a-z][a-z0-9.+-]*:)?(\/\/)?([\S\s]*)/i
  , whitespace = '[\\x09\\x0A\\x0B\\x0C\\x0D\\x20\\xA0\\u1680\\u180E\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200A\\u202F\\u205F\\u3000\\u2028\\u2029\\uFEFF]'
  , left = new RegExp('^'+ whitespace +'+');

/**
 * Trim a given string.
 *
 * @param {String} str String to trim.
 * @public
 */
function trimLeft(str) {
  return (str ? str : '').toString().replace(left, '');
}

/**
 * These are the parse rules for the URL parser, it informs the parser
 * about:
 *
 * 0. The char it Needs to parse, if it's a string it should be done using
 *    indexOf, RegExp using exec and NaN means set as current value.
 * 1. The property we should set when parsing this value.
 * 2. Indication if it's backwards or forward parsing, when set as number it's
 *    the value of extra chars that should be split off.
 * 3. Inherit from location if non existing in the parser.
 * 4. `toLowerCase` the resulting value.
 */
var rules = [
  ['#', 'hash'],                        // Extract from the back.
  ['?', 'query'],                       // Extract from the back.
  function sanitize(address) {          // Sanitize what is left of the address
    return address.replace('\\', '/');
  },
  ['/', 'pathname'],                    // Extract from the back.
  ['@', 'auth', 1],                     // Extract from the front.
  [NaN, 'host', undefined, 1, 1],       // Set left over value.
  [/:(\d+)$/, 'port', undefined, 1],    // RegExp the back.
  [NaN, 'hostname', undefined, 1, 1]    // Set left over.
];

/**
 * These properties should not be copied or inherited from. This is only needed
 * for all non blob URL's as a blob URL does not include a hash, only the
 * origin.
 *
 * @type {Object}
 * @private
 */
var ignore = { hash: 1, query: 1 };

/**
 * The location object differs when your code is loaded through a normal page,
 * Worker or through a worker using a blob. And with the blobble begins the
 * trouble as the location object will contain the URL of the blob, not the
 * location of the page where our code is loaded in. The actual origin is
 * encoded in the `pathname` so we can thankfully generate a good "default"
 * location from it so we can generate proper relative URL's again.
 *
 * @param {Object|String} loc Optional default location object.
 * @returns {Object} lolcation object.
 * @public
 */
function lolcation(loc) {
  var globalVar;

  if (typeof window !== 'undefined') globalVar = window;
  else if (typeof global !== 'undefined') globalVar = global;
  else if (typeof self !== 'undefined') globalVar = self;
  else globalVar = {};

  var location = globalVar.location || {};
  loc = loc || location;

  var finaldestination = {}
    , type = typeof loc
    , key;

  if ('blob:' === loc.protocol) {
    finaldestination = new Url(unescape(loc.pathname), {});
  } else if ('string' === type) {
    finaldestination = new Url(loc, {});
    for (key in ignore) delete finaldestination[key];
  } else if ('object' === type) {
    for (key in loc) {
      if (key in ignore) continue;
      finaldestination[key] = loc[key];
    }

    if (finaldestination.slashes === undefined) {
      finaldestination.slashes = slashes.test(loc.href);
    }
  }

  return finaldestination;
}

/**
 * @typedef ProtocolExtract
 * @type Object
 * @property {String} protocol Protocol matched in the URL, in lowercase.
 * @property {Boolean} slashes `true` if protocol is followed by "//", else `false`.
 * @property {String} rest Rest of the URL that is not part of the protocol.
 */

/**
 * Extract protocol information from a URL with/without double slash ("//").
 *
 * @param {String} address URL we want to extract from.
 * @return {ProtocolExtract} Extracted information.
 * @private
 */
function extractProtocol(address) {
  address = trimLeft(address);
  var match = protocolre.exec(address);

  return {
    protocol: match[1] ? match[1].toLowerCase() : '',
    slashes: !!match[2],
    rest: match[3]
  };
}

/**
 * Resolve a relative URL pathname against a base URL pathname.
 *
 * @param {String} relative Pathname of the relative URL.
 * @param {String} base Pathname of the base URL.
 * @return {String} Resolved pathname.
 * @private
 */
function resolve(relative, base) {
  if (relative === '') return base;

  var path = (base || '/').split('/').slice(0, -1).concat(relative.split('/'))
    , i = path.length
    , last = path[i - 1]
    , unshift = false
    , up = 0;

  while (i--) {
    if (path[i] === '.') {
      path.splice(i, 1);
    } else if (path[i] === '..') {
      path.splice(i, 1);
      up++;
    } else if (up) {
      if (i === 0) unshift = true;
      path.splice(i, 1);
      up--;
    }
  }

  if (unshift) path.unshift('');
  if (last === '.' || last === '..') path.push('');

  return path.join('/');
}

/**
 * The actual URL instance. Instead of returning an object we've opted-in to
 * create an actual constructor as it's much more memory efficient and
 * faster and it pleases my OCD.
 *
 * It is worth noting that we should not use `URL` as class name to prevent
 * clashes with the global URL instance that got introduced in browsers.
 *
 * @constructor
 * @param {String} address URL we want to parse.
 * @param {Object|String} [location] Location defaults for relative paths.
 * @param {Boolean|Function} [parser] Parser for the query string.
 * @private
 */
function Url(address, location, parser) {
  address = trimLeft(address);

  if (!(this instanceof Url)) {
    return new Url(address, location, parser);
  }

  var relative, extracted, parse, instruction, index, key
    , instructions = rules.slice()
    , type = typeof location
    , url = this
    , i = 0;

  //
  // The following if statements allows this module two have compatibility with
  // 2 different API:
  //
  // 1. Node.js's `url.parse` api which accepts a URL, boolean as arguments
  //    where the boolean indicates that the query string should also be parsed.
  //
  // 2. The `URL` interface of the browser which accepts a URL, object as
  //    arguments. The supplied object will be used as default values / fall-back
  //    for relative paths.
  //
  if ('object' !== type && 'string' !== type) {
    parser = location;
    location = null;
  }

  if (parser && 'function' !== typeof parser) parser = qs.parse;

  location = lolcation(location);

  //
  // Extract protocol information before running the instructions.
  //
  extracted = extractProtocol(address || '');
  relative = !extracted.protocol && !extracted.slashes;
  url.slashes = extracted.slashes || relative && location.slashes;
  url.protocol = extracted.protocol || location.protocol || '';
  address = extracted.rest;

  //
  // When the authority component is absent the URL starts with a path
  // component.
  //
  if (!extracted.slashes) instructions[3] = [/(.*)/, 'pathname'];

  for (; i < instructions.length; i++) {
    instruction = instructions[i];

    if (typeof instruction === 'function') {
      address = instruction(address);
      continue;
    }

    parse = instruction[0];
    key = instruction[1];

    if (parse !== parse) {
      url[key] = address;
    } else if ('string' === typeof parse) {
      if (~(index = address.indexOf(parse))) {
        if ('number' === typeof instruction[2]) {
          url[key] = address.slice(0, index);
          address = address.slice(index + instruction[2]);
        } else {
          url[key] = address.slice(index);
          address = address.slice(0, index);
        }
      }
    } else if ((index = parse.exec(address))) {
      url[key] = index[1];
      address = address.slice(0, index.index);
    }

    url[key] = url[key] || (
      relative && instruction[3] ? location[key] || '' : ''
    );

    //
    // Hostname, host and protocol should be lowercased so they can be used to
    // create a proper `origin`.
    //
    if (instruction[4]) url[key] = url[key].toLowerCase();
  }

  //
  // Also parse the supplied query string in to an object. If we're supplied
  // with a custom parser as function use that instead of the default build-in
  // parser.
  //
  if (parser) url.query = parser(url.query);

  //
  // If the URL is relative, resolve the pathname against the base URL.
  //
  if (
      relative
    && location.slashes
    && url.pathname.charAt(0) !== '/'
    && (url.pathname !== '' || location.pathname !== '')
  ) {
    url.pathname = resolve(url.pathname, location.pathname);
  }

  //
  // We should not add port numbers if they are already the default port number
  // for a given protocol. As the host also contains the port number we're going
  // override it with the hostname which contains no port number.
  //
  if (!required(url.port, url.protocol)) {
    url.host = url.hostname;
    url.port = '';
  }

  //
  // Parse down the `auth` for the username and password.
  //
  url.username = url.password = '';
  if (url.auth) {
    instruction = url.auth.split(':');
    url.username = instruction[0] || '';
    url.password = instruction[1] || '';
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  //
  // The href is just the compiled result.
  //
  url.href = url.toString();
}

/**
 * This is convenience method for changing properties in the URL instance to
 * insure that they all propagate correctly.
 *
 * @param {String} part          Property we need to adjust.
 * @param {Mixed} value          The newly assigned value.
 * @param {Boolean|Function} fn  When setting the query, it will be the function
 *                               used to parse the query.
 *                               When setting the protocol, double slash will be
 *                               removed from the final url if it is true.
 * @returns {URL} URL instance for chaining.
 * @public
 */
function set(part, value, fn) {
  var url = this;

  switch (part) {
    case 'query':
      if ('string' === typeof value && value.length) {
        value = (fn || qs.parse)(value);
      }

      url[part] = value;
      break;

    case 'port':
      url[part] = value;

      if (!required(value, url.protocol)) {
        url.host = url.hostname;
        url[part] = '';
      } else if (value) {
        url.host = url.hostname +':'+ value;
      }

      break;

    case 'hostname':
      url[part] = value;

      if (url.port) value += ':'+ url.port;
      url.host = value;
      break;

    case 'host':
      url[part] = value;

      if (/:\d+$/.test(value)) {
        value = value.split(':');
        url.port = value.pop();
        url.hostname = value.join(':');
      } else {
        url.hostname = value;
        url.port = '';
      }

      break;

    case 'protocol':
      url.protocol = value.toLowerCase();
      url.slashes = !fn;
      break;

    case 'pathname':
    case 'hash':
      if (value) {
        var char = part === 'pathname' ? '/' : '#';
        url[part] = value.charAt(0) !== char ? char + value : value;
      } else {
        url[part] = value;
      }
      break;

    default:
      url[part] = value;
  }

  for (var i = 0; i < rules.length; i++) {
    var ins = rules[i];

    if (ins[4]) url[ins[1]] = url[ins[1]].toLowerCase();
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  url.href = url.toString();

  return url;
}

/**
 * Transform the properties back in to a valid and full URL string.
 *
 * @param {Function} stringify Optional query stringify function.
 * @returns {String} Compiled version of the URL.
 * @public
 */
function toString(stringify) {
  if (!stringify || 'function' !== typeof stringify) stringify = qs.stringify;

  var query
    , url = this
    , protocol = url.protocol;

  if (protocol && protocol.charAt(protocol.length - 1) !== ':') protocol += ':';

  var result = protocol + (url.slashes ? '//' : '');

  if (url.username) {
    result += url.username;
    if (url.password) result += ':'+ url.password;
    result += '@';
  }

  result += url.host + url.pathname;

  query = 'object' === typeof url.query ? stringify(url.query) : url.query;
  if (query) result += '?' !== query.charAt(0) ? '?'+ query : query;

  if (url.hash) result += url.hash;

  return result;
}

Url.prototype = { set: set, toString: toString };

//
// Expose the URL parser and some additional properties that might be useful for
// others or testing.
//
Url.extractProtocol = extractProtocol;
Url.location = lolcation;
Url.trimLeft = trimLeft;
Url.qs = qs;

module.exports = Url;

/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(11)))

/***/ }),

/***/ 11:
/***/ (function(module, exports) {

var g;

// This works in non-strict mode
g = (function() {
	return this;
})();

try {
	// This works if eval is allowed (see CSP)
	g = g || Function("return this")() || (1,eval)("this");
} catch(e) {
	// This works if the window reference is available
	if(typeof window === "object")
		g = window;
}

// g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}

module.exports = g;


/***/ }),

/***/ 12:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_url_parse__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_url_parse___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_url_parse__);
/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 17/11/01
 */



const Utils = {
  UrlParser: __WEBPACK_IMPORTED_MODULE_0_url_parse___default.a,
  _typeof (obj) {
    return Object.prototype.toString.call(obj).slice(8, -1).toLowerCase();
  },
  isPlainObject (obj) {
    return Utils._typeof(obj) === 'object';
  },
  isString (obj) {
    return typeof (obj) === 'string';
  },
  isNonEmptyArray (obj = []) {
    return obj && obj.length > 0 && Array.isArray(obj) && typeof obj !== 'undefined';
  },
  isObject (item) {
    return (item && typeof item === 'object' && !Array.isArray(item));
  },
  isEmptyObject (obj) {
    return Object.keys(obj).length === 0 && obj.constructor === Object;
  },
  decodeIconFont (text) {
    // 正则匹配 图标和文字混排 eg: 我去上学校&#xe600;,天天不&#xe600;迟到
    const regExp = /&#x[a-z|0-9]{4,5};?/g;
    if (regExp.test(text)) {
      return text.replace(new RegExp(regExp, 'g'), function (iconText) {
        const replace = iconText.replace(/&#x/, '0x').replace(/;$/, '');
        return String.fromCharCode(replace);
      });
    } else {
      return text;
    }
  },
  mergeDeep (target, ...sources) {
    if (!sources.length) return target;
    const source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (const key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, {
              [key]: {}
            });
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, { [key]: source[key] });
        }
      }
    }
    return Utils.mergeDeep(target, ...sources);
  },
  appendProtocol (url) {
    if (/^\/\//.test(url)) {
      const {
        bundleUrl
      } = weex.config;
      return `http${/^https:/.test(bundleUrl) ? 's' : ''}:${url}`;
    }
    return url;
  },
  encodeURLParams (url) {
    const parsedUrl = new __WEBPACK_IMPORTED_MODULE_0_url_parse___default.a(url, true);
    return parsedUrl.toString();
  },
  goToH5Page (jumpUrl, animated = false, callback = null) {
    const Navigator = weex.requireModule('navigator');
    const jumpUrlObj = new Utils.UrlParser(jumpUrl, true);
    const url = Utils.appendProtocol(jumpUrlObj.toString());
    Navigator.push({
      url: Utils.encodeURLParams(url),
      animated: animated.toString()
    }, callback);
  },
  env: {
    isTaobao () {
      const { appName } = weex.config.env;
      return /(tb|taobao|淘宝)/i.test(appName);
    },
    isTrip () {
      const { appName } = weex.config.env;
      return appName === 'LX';
    },
    isBoat () {
      const { appName } = weex.config.env;
      return appName === 'Boat' || appName === 'BoatPlayground';
    },
    isWeb () {
      const { platform } = weex.config.env;
      return typeof (window) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS () {
      const { platform } = weex.config.env;
      return platform.toLowerCase() === 'ios';
    },
    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX () {
      const { deviceHeight } = weex.config.env;
      if (Utils.env.isWeb()) {
        return typeof window !== undefined && window.screen && window.screen.width && window.screen.height 
        && ((parseInt(window.screen.width, 10) === 375) && (parseInt(window.screen.height, 10) === 812)
        || (parseInt(window.screen.width, 10) === 414) && (parseInt(window.screen.height, 10) === 896));
      }
      return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight === 1792 || deviceHeight === 1624);
    },
    isAndroid () {
      const { platform } = weex.config.env;
      return platform.toLowerCase() === 'android';
    },
    isAlipay () {
      const { appName } = weex.config.env;
      return appName === 'AP';
    },
    isTmall () {
      const { appName } = weex.config.env;
      return /(tm|tmall|天猫)/i.test(appName);
    },
    isAliWeex () {
      return Utils.env.isTmall() || Utils.env.isTrip() || Utils.env.isTaobao();
    },
    /**
     * 获取weex屏幕真实的设置高度，需要减去导航栏高度
     * @returns {Number}
     */
    getPageHeight () {
      const { env } = weex.config;
      const navHeight = Utils.env.isWeb() ? 0 : (Utils.env.isIPhoneX() ? 176 : 132);
      return env.deviceHeight / env.deviceWidth * 750 - navHeight;
    },
    /**
     * 获取weex屏幕真实的设置高度
     * @returns {Number}
     */
    getScreenHeight () {
      const { env } = weex.config;
      return env.deviceHeight / env.deviceWidth * 750;
    }
  },

  /**
   * 版本号比较
   * @memberOf Utils
   * @param currVer {string}
   * @param promoteVer {string}
   * @returns {boolean}
   * @example
   *
   * const { Utils } = require('@ali/wx-bridge');
   * const { compareVersion } = Utils;
   * console.log(compareVersion('0.1.100', '0.1.11')); // 'true'
   */
  compareVersion (currVer = '0.0.0', promoteVer = '0.0.0') {
    if (currVer === promoteVer) return true;
    const currVerArr = currVer.split('.');
    const promoteVerArr = promoteVer.split('.');
    const len = Math.max(currVerArr.length, promoteVerArr.length);
    for (let i = 0; i < len; i++) {
      const proVal = ~~promoteVerArr[i];
      const curVal = ~~currVerArr[i];
      if (proVal < curVal) {
        return true;
      } else if (proVal > curVal) {
        return false;
      }
    }
    return false;
  },
  /**
   * 分割数组
   * @param arr 被分割数组
   * @param size 分割数组的长度
   * @returns {Array}
   */
  arrayChunk (arr = [], size = 4) {
    let groups = [];
    if (arr && arr.length > 0) {
      groups = arr.map((e, i) => {
        return i % size === 0 ? arr.slice(i, i + size) : null;
      }).filter(e => {
        return e;
      });
    }
    return groups;
  },
  /*
   * 截断字符串
   * @param str 传入字符串
   * @param len 截断长度
   * @param hasDot 末尾是否...
   * @returns {String}
   */
  truncateString (str, len, hasDot = true) {
    let newLength = 0;
    let newStr = '';
    let singleChar = '';
    const chineseRegex = /[^\x00-\xff]/g;
    const strLength = str.replace(chineseRegex, '**').length;
    for (let i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  },
  /*
   * 转换 obj 为 url params参数
   * @param obj 传入字符串
   * @returns {String}
   */
  objToParams (obj) {
    let str = "";
    for (let key in obj) {
      if (str !== "") {
        str += "&";
      }
      str += key + "=" + encodeURIComponent(obj[key]);
    }
    return str;
  },
  /*
   * 转换 url params参数为obj
   * @param str 传入url参数字符串
   * @returns {Object}
   */
  paramsToObj (str) {
    let obj = {};
    try {
      obj = JSON.parse('{"' + decodeURI(str).replace(/"/g, '\\"').replace(/&/g, '","').replace(/=/g, '":"') + '"}')
    } catch (e) {
      console.log(e);
    }
    return obj;
  },
  animation: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param ref
     * @param transform 运动类型
     * @param status
     * @param callback 回调函数
     */
    pageTransitionAnimation (ref, transform, status, callback) {
      const animation = weex.requireModule('animation');
      animation.transition(ref, {
        styles: {
          transform: transform
        },
        duration: status ? 250 : 300, // ms
        timingFunction: status ? 'ease-in' : 'ease-out',
        delay: 0 // ms
      }, function () {
        callback && callback();
      });
    }
  },
  uiStyle: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param animationType 页面转场动画的类型 push，model
     * @param size 分割数组的长度
     * @returns {}
     */
    pageTransitionAnimationStyle (animationType) {
      if (animationType === 'push') {
        return {
          left: '750px',
          top: '0px',
          height: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px'
        }
      } else if (animationType === 'model') {
        return {
          top: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px',
          left: '0px',
          height: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px'
        }
      }
      return {}
    }
  }
};

/* harmony default export */ __webpack_exports__["default"] = (Utils);


/***/ }),

/***/ 129:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _wxcResult = __webpack_require__(22);

var _wxcResult2 = _interopRequireDefault(_wxcResult);

var _config = __webpack_require__(14);

var _tool = __webpack_require__(1);

var _tool2 = _interopRequireDefault(_tool);

var _config2 = __webpack_require__(14);

var _locationFailed = __webpack_require__(18);

var _locationFailed2 = _interopRequireDefault(_locationFailed);

var _noLocation = __webpack_require__(19);

var _noLocation2 = _interopRequireDefault(_noLocation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var modal = weex.requireModule('ModalModule'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var suyunApp = weex.requireModule('AppInfoModule');
var globalEvent = weex.requireModule('globalEvent');
var navigator = weex.requireModule('navigator');
var storage = weex.requireModule('storage');
var showAlert = weex.requireModule('InteractiveModule');
var DialPhone = weex.requireModule('DialPhoneModule');
var MapModule = weex.requireModule('MapModule');
var logModule = weex.requireModule('LogModule');

exports.default = {
    components: {
        LocationFailed: _locationFailed2.default,
        NoLocation: _noLocation2.default,
        WxcResult: _wxcResult2.default
    },
    data: function data() {
        return {
            page: 1,
            show: false,
            nearbyData: [],
            currentOrder: '',
            timeOut: '',
            isLoading: false,
            hasDrivers: true,
            isNetWorkOK: 0, //0 有网络   1 无网络  2 未登录。  = 0 的时候控制页面不显示
            refreshing: false,
            refreshState: '下拉刷新...',
            loadmoreoffset: 0,
            currentLocation: {
                lat: '',
                lng: '',
                name: '',
                address: '',
                district: '',
                province: '',
                city: ''
            },
            isLocationLienseOpen: false,
            showDelItemIndex: -1
        };
    },

    methods: {
        onpullingdown: function onpullingdown(e) {

            if (this.refreshing) {
                return;
            }
            var pullingDistance = e.pullingDistance;
            //下拉距离大于刷新控件的高度
            if (pullingDistance > 0) {
                return;
            }
            if (0 - pullingDistance > 100) {
                this.refreshState = '松开更新...';
            } else if (0 - pullingDistance < 90) {
                this.refreshState = '下拉刷新...';
            }
        },
        refresh: function refresh() {
            this.page = 1;
            this.reqLookCarListData();
        },
        reqLookCarListData: function reqLookCarListData() {
            var _this2 = this;

            var that = this;
            suyunApp.getAppInfo(function (event) {
                try {
                    var objEvent = event;
                    var user = objEvent.data;
                    var isLogin = user['isLogin'];

                    if (isLogin) {
                        that.isNetWorkOK = 0;
                        var _this = that;
                        that.refreshState = '努力加载中...';
                        that.refreshing = true;
                        _this2.page = 1;
                        _this2.getFavoriteDriversList({
                            page: 1,
                            pageSize: 30,
                            longitude: _this.currentLocation.lng,
                            latitude: _this.currentLocation.lat
                        }).then(function (data) {
                            setTimeout(function () {
                                _this.refreshState = '下拉刷新...';
                                _this.refreshing = false;
                            }, 300);

                            _this2.handleResult(data);
                            if (parseInt(data.code) === 0) {
                                _this.isNetWorkOK = 0;
                            } else if (parseInt(data.code) === 8) {
                                modal.toast({ message: '登录信息已过期，请重新登录', duration: 3 });
                                _this.isNetWorkOK = 1;
                            } else {
                                _this.isNetWorkOK = 1;
                            }
                        }).catch(function (res) {
                            if (_this.nearbyData.length > 0) {} else {
                                _this.isNetWorkOK = 1;
                            }

                            _this.refreshState = '下拉刷新...';
                            _this.refreshing = false;
                        });
                    } else {
                        that.isNetWorkOK = 2;
                    }
                } catch (error) {
                    this1.refreshing = false;
                    this1.refreshState = '下拉刷新...';
                    modal.toast({
                        message: "出错了",
                        'duration': 3
                    });
                }
            });
        },
        reRequest: function reRequest(item) {
            logModule.clickEvent('invite_again', {
                page_name: 'wodecheku',
                page_type: 'app_my_team'
            }, function (resp) {});
            var that = this;
            var messageTip = '确认再次发送邀请至手机号“' + item.phone + '”吗？';
            if (!item.phone) {
                messageTip = '确认再次发送邀请吗？';
            }

            modal.confirm({
                title: '',
                message: messageTip,
                okTitle: '确认',
                cancelTitle: '取消'
            }, function (resp) {
                try {
                    var objEvent = resp;
                    var value = objEvent.data;

                    if (value === 'ok') {
                        //调接口请求
                        var that1 = that;
                        that.addInvitedriver({
                            favoriteId: item.favoriteId
                        }).then(function (data) {
                            var message = data['codeMsg'];
                            setTimeout(function () {
                                modal.toast({
                                    message: message ? message : '邀请已发送',
                                    'duration': 3
                                });
                            }, 500);
                        });
                    }
                } catch (error) {}
            });
        },
        phoneClick: function phoneClick(item) {
            if (this.isLoading) {
                return;
            }
            logModule.clickEvent('click_call_driver', {
                page_name: 'wodecheku',
                page_type: 'app_my_team'
            }, function (resp) {});
            var that = this;
            var param = {
                driverId: item.type === 0 ? item.uid : item.sid,
                driverIdType: item.type
            };

            this.isLoading = true;
            this.getFictitiousphone(param).then(function (data) {
                var that1 = that;
                setTimeout(function () {
                    that1.isLoading = false;
                }, 500);

                // modal.toast({message: JSON.stringify(data), 'duration': 3})
                if (parseInt(data.code) === 0) {
                    var smallPhone = data.data.fictitiousPhone;
                    if (smallPhone) {
                        modal.confirm({
                            title: smallPhone,
                            message: '为了保护您的隐私将为您用以上小号呼出，号码48小时内有效；接通后请告知司机“我在快狗打车看到您的信息”',
                            okTitle: '联系司机',
                            cancelTitle: '取消'
                        }, function (resp) {
                            try {
                                var objEvent = resp;
                                var value = objEvent.data;
                                if (value === 'ok') {
                                    //拨打电话
                                    DialPhone.dialPhone(smallPhone);
                                }
                            } catch (error) {}
                        });
                    }
                } else {
                    var message = data['codeMsg'];
                    modal.toast({
                        message: message ? message : '获取小号失败',
                        'duration': 3
                    });
                }
            }).catch(function (err) {
                modal.toast({
                    message: _config.NETERRO,
                    'duration': 3
                });
            });
        },
        aginButtonClicked: function aginButtonClicked(isNetWorkstate) {
            if (isNetWorkstate === 2) {
                // 登录
                this.gotoLogin();
            } else {
                // 请求接口
                this.reqLookCarListData();
            }
        },
        okDriverUseCarClick: function okDriverUseCarClick(item) {
            logModule.clickEvent('click_use_imm', {
                page_name: 'wodecheku',
                page_type: 'app_my_team'
            }, function (resp) {});
            var driverInfo = item;
            driverInfo['entranceSource'] = '1';
            var objStr = JSON.stringify(driverInfo);
            storage.setItem('homepageData', objStr, function (event) {});
            navigator.push({
                url: _tool2.default.getCurrentPath() + "makeOrder.weex.js",
                animated: 'true',
                type: 2,
                key: 'makeOrder'
            }, function (event) {});
        },
        wxcResultButtonClicked: function wxcResultButtonClicked(e) {
            this.reqLookCarListData;
        },
        addDriverButtonClicked: function addDriverButtonClicked() {
            logModule.clickEvent('add_driver', {
                page_name: 'wodecheku',
                page_type: 'app_my_team'
            }, function (resp) {});
            var that = this;
            suyunApp.getAppInfo(function (event) {
                try {
                    var objEvent = event;
                    var user = objEvent.data;
                    var isLogin = user['isLogin'];
                    if (isLogin) {
                        showAlert.showInteractiveWithParam({
                            url: _tool2.default.getCurrentPath() + "addDriver.weex.js",
                            key: 'addDriver',
                            animated: true,
                            type: '2'
                        }, function (resp) {
                            try {
                                var _objEvent = resp;
                            } catch (error) {}
                        });
                    } else {
                        that.gotoLogin();
                    }
                } catch (error) {}
            });
        },
        gotoLogin: function gotoLogin() {
            navigator.push({
                url: 'syUser://route/login/loginPage',
                animated: 'true',
                type: 4,
                key: ''
            }, function (event) {});
        },
        getLocation: function getLocation() {
            var this1 = this;
            MapModule.getLocation(function (event) {
                try {
                    var objEvent = event;
                    var location = objEvent.data;
                    var lat = location['lat'];
                    var lng = location['lng'];
                    this1.currentLocation.lat = lat;
                    this1.currentLocation.lng = lng;
                    this1.reqLookCarListData();
                    var this2 = this1;
                    MapModule.getCityInfoWithLocation({
                        lat: lat,
                        lng: lng
                    }, function (resp) {
                        try {
                            var _objEvent2 = resp;
                            var _location = _objEvent2.data;
                            this2.currentLocation.name = _location['name'];
                            this2.currentLocation.address = _location['address'];
                            this2.currentLocation.district = _location['district'];
                            this2.currentLocation.province = _location['province'];
                            this2.currentLocation.city = _location['city'];
                        } catch (error) {}
                    });
                } catch (error) {}
            });
        },
        handleResult: function handleResult(data) {
            if (data.code === 0) {
                var resData = data.data;
                if (resData && resData.length > 0) {
                    this.nearbyData = resData;
                    this.hasDrivers = true;
                } else {
                    this.hasDrivers = false;
                }
                if (resData.length < 30) {
                    //消息小于10条 隐藏加载更多视图
                    this.loadmoreoffset = 0;
                } else {
                    //成功回调数据 page + 1
                    this.page++;
                    this.loadmoreoffset = 30;
                    this.$refs.mylist.resetLoadmore();
                }
            } else {}
        },
        handleLoadMoreResult: function handleLoadMoreResult(data) {
            if (data.code === 0) {
                var resData = data.data;
                if (resData && resData.length > 0) {
                    for (var i = 0; i < resData.length; i++) {
                        this.nearbyData.push(resData[i]);
                    }

                    this.hasDrivers = true;
                } else {
                    // this.hasDrivers = false;
                    // modal.toast({ message: resData, 'duration': 3})
                }

                if (resData.length < 30) {
                    //消息小于10条 隐藏加载更多视图
                    this.loadmoreoffset = 0;
                } else {
                    //成功回调数据 page + 1
                    this.page++;
                    this.loadmoreoffset = 30;
                    this.$refs.mylist.resetLoadmore();
                }
            } else {}
        },
        loading: function loading() {
            var _this4 = this;

            // modal.toast({message: this.loadmoreoffset + "/" + "1111", duration:3})
            if (this.loadmoreoffset <= 0) {
                return;
            }
            var that = this;
            suyunApp.getAppInfo(function (event) {
                try {
                    var objEvent = event;
                    var user = objEvent.data;
                    var isLogin = user['isLogin'];

                    if (isLogin) {
                        var _this3 = that;
                        _this4.getFavoriteDriversList({
                            page: that.page,
                            pageSize: 30,
                            longitude: _this3.currentLocation.lng,
                            latitude: _this3.currentLocation.lat
                        }).then(function (data) {
                            _this3.handleLoadMoreResult(data);
                            if (parseInt(data.code) === 0) {
                                _this3.isNetWorkOK = 0;
                            } else {
                                _this3.isNetWorkOK = 1;
                            }
                        }).catch(function (res) {
                            _this3.isNetWorkOK = 1;
                            15;
                        });
                    } else {
                        //没有uid
                        // modal.toast({
                        //     message: "未登录",
                        //     'duration': 3
                        // })
                    }
                } catch (error) {
                    modal.toast({
                        message: "出错了",
                        'duration': 3
                    });
                }
            });
        },

        // 一键下单/正在呼叫
        broadcasOrderClick: function broadcasOrderClick() {
            // 一键下单
            logModule.clickEvent('one-click_order', {
                page_name: 'wodecheku',
                page_type: 'app_my_team'
            }, function (resp) {});
            if (this.currentOrder) {

                var objStr = JSON.stringify(this.currentOrder);
                storage.setItem('makeBroadcasOrder_orderId', objStr, function (event) {});
                navigator.push({
                    url: _tool2.default.getCurrentPath() + "makeOrderDispatch.weex.js",
                    animated: 'true',
                    key: 'makeOrderDispatch',
                    type: 2
                }, function (event) {});
            } else {
                storage.setItem('homepageData', "", function (event) {});
                navigator.push({
                    url: _tool2.default.getCurrentPath() + "makeOrder.weex.js",
                    animated: 'true',
                    key: 'makeOrder',
                    type: 2
                }, function (event) {});
            }
        },
        getCurrentOrder: function getCurrentOrder() {
            var that = this;
            this.getBroadcastInprogress({}).then(function (data) {
                if (data.code === 0) {
                    var result = data['data'][0];
                    if (result) {
                        var times = new Date().getTime();
                        var serverTimes = result.createTime;
                        var reduceTime = times / 1000 - serverTimes / 1000;
                        // 当前时间戳 - 下单时间戳=间隔时间
                        // 倒计时时间 - 间隔时间 > 0 还有时间。 倒计时x秒，将进行中的订单置为空
                        // 倒计时时间 - 时间间隔 <= 0 已经超时了。
                        if (_config2.DISPATC_TIME - reduceTime > 0) {
                            that.currentOrder = result;
                            that.timeOut = setTimeout(function () {
                                that.currentOrder = '';
                            }, (_config2.DISPATC_TIME - reduceTime) * 1000);
                        }
                    } else {
                        // modal.toast({message:'111111', duration:3})
                        that.currentOrder = '';
                    }
                }
            });
        },
        deleteDriverLongPress: function deleteDriverLongPress(index) {
            this.showDelItemIndex = index;
        },
        driverItemClick: function driverItemClick(data) {
            if (data.status != -1) {
                storage.setItem('openSidDriverInformation', data.sid, function (event) {});

                navigator.push({
                    url: _tool2.default.getCurrentPath() + "driverInformation.weex.js",
                    animated: 'true',
                    type: 2,
                    key: 'driverInformation'
                }, function (event) {});
            }
        },
        deleteClick: function deleteClick(favoriteId, index) {
            var _this5 = this;

            modal.confirm({
                title: "",
                message: '确认要删除该司机吗？',
                okTitle: '确认',
                cancelTitle: '取消'
            }, function (resp) {
                try {
                    var objEvent = resp;
                    var value = objEvent.data;
                    if (value === 'ok') {
                        //删除司机
                        _this5.deleteDriverRequest(favoriteId, index);
                    } else {
                        _this5.showDelItemIndex = -1;
                    }
                } catch (error) {}
            });
        },
        hiddenDeleteButton: function hiddenDeleteButton() {
            this.showDelItemIndex = -1;
        },
        deleteOutsideClick: function deleteOutsideClick() {
            this.showDelItemIndex = -1;
        },

        //删除司机请求
        deleteDriverRequest: function deleteDriverRequest(favoriteId, index) {
            var _this6 = this;

            this.showLoadingLogic('1');
            this.delFavoriteDriver({ favoriteId: favoriteId }).then(function (data) {
                _this6.showLoadingLogic('0');
                if (0 === data.code) {
                    _this6.showDelItemIndex = -1;
                    if (0 > index && index < _this6.nearbyData.size) {
                        _this6.nearbyData.splice(index, 1);
                    }
                    //删除后更新司机列表
                    _this6.refresh();
                    _this6.showToast("删除成功");
                } else {
                    _this6.showDelItemIndex = -1;
                    _this6.showToast("删除失败");
                }
            }).catch(function (res) {
                this.showLoadingLogic('0');
                this.showDelItemIndex = -1;
                this.showToast("删除失败");
            });
        },
        showLoadingLogic: function showLoadingLogic(showIndex) {
            modal.loading({
                show: showIndex
            }, function (resp) {});
        },
        showToast: function showToast(msg) {
            modal.toast({
                message: msg,
                'duration': 3
            });
        }
    },
    created: function created() {
        var _this7 = this;

        logModule.nativeLoad('shouye', {
            page_name: 'wodecheku',
            page_type: 'app_my_team'
        }, function (resp) {});
        suyunApp.getAppInfo(function (event) {
            try {
                var objEvent = event;
                var user = objEvent.data;
                var assign = user['assign'];
                _this7.assign = assign;
                // this.setMutations('setNavBar',{'back':true,'title': this.assign ? "派单记录" : "抢单记录", 'navBarShow':false})
            } catch (error) {}
        });

        MapModule.getLocationLiensce(function (dic) {
            var objDic = dic;
            var isOpen = objDic['result'];
            if (isOpen == 'success') {
                _this7.isLocationLienseOpen = true;
            } else {
                _this7.isLocationLienseOpen = false;
            }
        });

        globalEvent.addEventListener("viewWillAppear", function (e) {
            if (e.page === 'driverList') {
                _this7.refreshing = true;
                _this7.getCurrentOrder();
                _this7.getLocation();
                _this7.showDelItemIndex = -1;
            }
        });
        globalEvent.addEventListener("viewWillDisappear", function (e) {
            if (e.page === 'driverList') {
                clearTimeout(_this7.timeOut);
            }
        });
        this.getCurrentOrder();
        this.getLocation();

        var that = this;
        var a = new BroadcastChannel('refresh');
        a.onmessage = function (event) {
            // the `event.data.list` is a reference of `list` in page A
            that.refresh();
        };
    }
};

/***/ }),

/***/ 14:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var GETERRO = exports.GETERRO = '信息获取错误';
var DATEERRO = exports.DATEERRO = '数据错误';
var NETERRO = exports.NETERRO = '似乎已断开与互联网的连接';
var REFRASH = exports.REFRASH = '释放刷新';
var LOADMORE = exports.LOADMORE = ''; //释放加载
var BKDATANULL = exports.BKDATANULL = '板块数据为空';
var HDDATANULL = exports.HDDATANULL = '活动数据为空';
//export const UID = '30257731145872'
var UID = exports.UID = '';
var FROMACTIVE = exports.FROMACTIVE = '1';
var FROMOFFICIAL = exports.FROMOFFICIAL = '2';

var DISPATC_TIME = exports.DISPATC_TIME = 300;

/***/ }),

/***/ 17:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(33)
)

/* script */
__vue_exports__ = __webpack_require__(26)

/* template */
var __vue_template__ = __webpack_require__(38)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-acdea762"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 173:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "bodyDiv": {
    "display": "flex",
    "flexDirection": "column"
  },
  "refresh-view": {
    "width": 750,
    "height": 100,
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "list": {
    "flex": 1,
    "backgroundColor": "#ffffff",
    "width": 750
  },
  "cell": {
    "backgroundColor": "#ffffff",
    "position": "relative"
  },
  "line": {
    "height": 1,
    "backgroundColor": "#e0e0e0",
    "marginLeft": 30,
    "marginRight": 30
  },
  "fixedImage": {
    "position": "fixed",
    "width": 205,
    "height": 84,
    "backgroundColor": "#ffffff",
    "bottom": 100,
    "right": 0,
    "zIndex": 100
  },
  "nodataDiv": {
    "flexDirection": "column",
    "alignItems": "center",
    "marginTop": 369
  },
  "nodataimage": {
    "width": 420,
    "height": 300
  },
  "nodataDetail": {
    "color": "#999999",
    "fontSize": 28,
    "textAlign": "center",
    "marginTop": 45
  },
  "hasData": {
    "flex": 1,
    "width": 750,
    "display": "flex",
    "flexDirection": "column"
  },
  "wrapper": {
    "height": 200,
    "display": "flex",
    "flexDirection": "column",
    "justifyContent": "center",
    "borderBottomWidth": 1,
    "borderBottomStyle": "solid",
    "borderBottomColor": "#EBEBEB"
  },
  "layout": {
    "marginLeft": 30,
    "marginRight": 30,
    "flexDirection": "row",
    "height": 124,
    "alignItems": "center"
  },
  "deleteDriver": {
    "position": "absolute",
    "left": 0,
    "top": 0,
    "bottom": 0,
    "right": 0,
    "alignItems": "center",
    "justifyContent": "center",
    "backgroundColor": "#FFFFFF",
    "opacity": 0.9
  },
  "delDriverButton": {
    "width": 120,
    "height": 120
  },
  "portrait": {
    "width": 120,
    "height": 120,
    "borderRadius": 120,
    "WebkitBorderRadius": 50,
    "MozBorderRadius": 50
  },
  "car_content": {
    "marginTop": 6,
    "marginBottom": 6,
    "flexDirection": "row"
  },
  "detailed_information_layout": {
    "marginLeft": 25,
    "justifyContent": "center"
  },
  "name": {
    "fontSize": 32,
    "color": "#333333"
  },
  "car_type": {
    "fontSize": 26,
    "color": "#999999"
  },
  "car_license": {
    "fontSize": 26,
    "color": "#999999",
    "marginLeft": 6,
    "justifyContent": "center",
    "alignItems": "center"
  },
  "car_distance": {
    "fontSize": 24,
    "color": "#999999"
  },
  "driver_state_content": {
    "right": 6,
    "top": 0,
    "position": "absolute",
    "flexDirection": "row"
  },
  "driver_state": {
    "fontSize": 22,
    "color": "#999999"
  },
  "driver_state_divider": {
    "fontSize": 22,
    "color": "#999999"
  },
  "operating_layou": {
    "right": 0,
    "top": 54,
    "position": "absolute",
    "flexDirection": "row",
    "justifyContent": "center"
  },
  "place_order": {
    "marginLeft": 20,
    "width": 112,
    "height": 64
  },
  "make_phone_call": {
    "width": 64,
    "height": 64
  },
  "again_invite_layout": {
    "right": 0,
    "top": 28,
    "bottom": 28,
    "position": "absolute"
  },
  "again_invite": {
    "width": 164,
    "height": 64
  },
  "certification": {
    "width": 56,
    "height": 28,
    "left": 62,
    "top": 92,
    "position": "absolute"
  },
  "orders_radio_layout": {
    "flexDirection": "row",
    "height": 100,
    "backgroundColor": "#ffffff",
    "alignItems": "center"
  },
  "orders_radio_icon": {
    "marginRight": 20,
    "marginLeft": 30,
    "width": 32,
    "height": 32,
    "flexDirection": "row"
  },
  "orders_radio_prompt_text": {
    "fontSize": 30,
    "color": "#333333"
  },
  "orders_radio_button": {
    "width": 154,
    "height": 64,
    "right": 26,
    "top": 18,
    "bottom": 18,
    "position": "absolute"
  }
}

/***/ }),

/***/ 18:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(29)
)

/* script */
__vue_exports__ = __webpack_require__(27)

/* template */
var __vue_template__ = __webpack_require__(34)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-069ef56a"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 19:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(32)
)

/* script */
__vue_exports__ = __webpack_require__(28)

/* template */
var __vue_template__ = __webpack_require__(37)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-66ba980f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * 接口配置
 */
module.exports = {
  //getAdvertList: '/api/suyun/driver/advertising/listbycity', // 广告Banner查询接口
  getAdvertList: '/api/driver/annment/advertising/listbycity', // 广告Banner查询接口
  getTypelist: '/api/announcement/typelist', // 获取系统公告类别列表
  getAnnouncementList: '/api/announcement/listbytype', // 获取二级页面列表
  getUnreadcount: '/api/announcement/unreadcount', // 获取司机未读消息数量
  // getRead: '/api/announcement/read', // 读取公告
  getRead: '/api/driver/annment/updatereadstatus', // 读取公告
  getAddsendcount: '/api/announcement/addsendcount', // 修改公告送达数量
  getUnreadrecent: '/api/announcement/unreadrecent', // 根据参数获取未读的最新的一条公告或者未读的24小时之内的最新的一条公告
  getHomeInfo: '/api/announcement/home', // 获得首页所有信息
  getHomeInfoNew: '/api/driver/annment/gethomeannment', // 获得首页所有信息 公告升级
  getmoreannmentlist: '/api/driver/annment/getmoreannmentlist', // 获得更多信息 公告升级
  getHistoryOrderList: '/api/suyun/driver/graborderlist', // 抢单
  getAssignHistoryOrderList: '/api/suyun/driver/assignedorderlist', // 派单
  getMyMenuList: '/driverCenter/kuaigou/my/menuList', //我的页面列表
  getMyInfo: '/api/suyun/driver/getdriverinfo', //我的页面列表
  getNearbyCarsList: '/wxuser/nearbydriver/list', // 附近车辆
  getOrderStatus: '/wxuser/order/detail', //订单状态
  getFavoriteDriversList: '/wxuser/favoritedriver/list', // 我收藏的司机
  getCarTypeList: '/wxuser/favoritedriver/availablecartypelist', //我收藏的车库车型列表
  getEstimatePrice: '/wxuser/order/price/estimate', //预估价格
  getCreatebroadcastorder: '/wxuser/order/createbroadcastorder', //下广播单
  getCreaterOrder: '/wxuser/order/createrOrder', //下私人订单
  getBroadcastInprogress: '/wxuser/order/broadcast/inprogress', //获取正在进行中的广播订单
  getBroadcastChoosedriverlist: '/wxuser/order/broadcast/choosedriverlist', //反选司机列表
  getChoosedriver: '/wxuser/user/choosedriver', //反选司机
  getUsercancel: '/wxuser/order/usercancel', //用户取消订单
  getMonthList: '/wxuser/order/monthlist', //订单列表
  getFictitiousphone: '/wxuser/fictitiousphone/get', //获取虚拟号
  addFavoritedriver: '/wxuser/favoritedriver/add', //邀请司机
  addInvitedriver: '/wxuser/favoritedriver/invitedriver', //再次邀请司机
  getWxShare: '/wxuser/config/wxshare', //获取微信分享内容

  getDriverinfo: '/wxuser/driver/getdriverinfo', //司机主页
  delFavoriteDriver: '/wxuser/favoritedriver/remove', //删除收藏司机
  publishNeedsCreate: '/wxuser/villages/publish/create', //发布消息
  publishlabellist: '/wxuser/villages/publishlabellist', //查询信息标签
  neardriverlist: '/wxuser/villages/neardriverlist', //查询附近司机(找车)
  getLocationInfo: '/wxuser/localInfo/locate', //通过经纬度查询具体地址信息

  //获取我的发布列表
  getMyPublishlist: '/wxuser/villages/publish/mypublishlist',
  //删除我的发布
  deleteMyPublish: '/wxuser/villages/publish/delete',
  //获取找信息列表

  //获取车型列表
  getCarList: '/wxuser/villages/cartypelist',
  //获取分类标签列表
  getPublishLabelList: '/wxuser/villages/publishlabellist',
  //获取司机服务项标签
  getDriverServiceLabelList: '/wxuser/villages/getdriverservicelabel',

  getMessageList: '/wxuser/villages/publish/publishlist',
  lookCarGetDriverInfo: '/wxuser/villages/getdriverinfo',
  updatepublish: '/wxuser/villages/publish/updatepublish',
  publishdetail: '/wxuser/villages/publish/publishdetail',
  delmydriver: '/wxuser/villages/familiar/delmydriver',

  userPhoneCallBack: '/wxuser/villages/publish/addcallcount', //打电话回调
  getMyDriverList: '/wxuser/villages/familiar/mydriverlist', //获取我的熟车列表
  addCollectionDriver: '/wxuser/villages/familiar/adddriver', //添加我的熟车
  isallowchangemobile: '/wxuser/villages/publish/isallowchangemobile' //校验是否有权限修改手机号
};

/***/ }),

/***/ 210:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["bodyDiv"]
  }, [(!_vm.isLocationLienseOpen) ? _c('NoLocation') : (_vm.isNetWorkOK > 0) ? _c('LocationFailed', {
    attrs: {
      "isNetWorkOK": _vm.isNetWorkOK
    },
    on: {
      "aginButtonClicked": _vm.aginButtonClicked
    }
  }) : (_vm.hasDrivers) ? _c('div', {
    staticClass: ["hasData"]
  }, [_c('div', {
    staticClass: ["orders_radio_layout"]
  }, [_c('image', {
    staticClass: ["orders_radio_icon"],
    attrs: {
      "resize": "cover",
      "src": "http://syWeex/weex_mydrivers_broadcast"
    }
  }), _c('text', {
    staticClass: ["orders_radio_prompt_text"]
  }, [_vm._v(_vm._s(_vm.currentOrder ? '用车广播' : '下单通知车队司机'))]), _c('image', {
    staticClass: ["orders_radio_button"],
    attrs: {
      "resize": "cover",
      "src": _vm.currentOrder ? 'http://syWeex/weex_mydrivers_make_broadcas_inprogress' : 'http://syWeex/weex_mydrivers_make_broadcas'
    },
    on: {
      "click": function($event) {
        _vm.broadcasOrderClick()
      }
    }
  })]), _c('div', {
    staticClass: ["line"]
  }), _c('list', {
    ref: "mylist",
    staticClass: ["list"],
    attrs: {
      "loadmoreoffset": 100
    },
    on: {
      "loadmore": function($event) {
        _vm.loading()
      },
      "scroll": function($event) {
        _vm.hiddenDeleteButton()
      }
    }
  }, [_c('refresh', {
    staticClass: ["refresh-view"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": function($event) {
        _vm.refresh()
      },
      "pullingdown": _vm.onpullingdown
    }
  }, [_c('text', {
    staticStyle: {
      color: "#848d99",
      fontSize: "30px"
    }
  }, [_vm._v(_vm._s(_vm.refreshState))])]), _vm._l((_vm.nearbyData), function(item, index) {
    return _c('cell', {
      staticClass: ["cell"],
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('div', {
      staticClass: ["wrapper"]
    }, [_c('div', {
      staticClass: ["layout"],
      on: {
        "click": function($event) {
          _vm.driverItemClick(item)
        },
        "longpress": function($event) {
          _vm.deleteDriverLongPress(index)
        }
      }
    }, [_c('div', [_c('div', {
      staticStyle: {
        borderRadius: "120px",
        overflow: "hidden"
      }
    }, [_c('image', {
      staticClass: ["portrait"],
      attrs: {
        "resize": "cover",
        "placeholder": "http://syWeex/weex_nearbycars_photo",
        "src": item.headImage
      }
    })]), (item.level === 'D' || item.level === 'E') ? _c('image', {
      staticClass: ["certification"],
      attrs: {
        "resize": "cover",
        "src": "http://syWeex/weex_nearbycars_recognize"
      }
    }) : _vm._e()]), _c('div', {
      staticClass: ["detailed_information_layout"]
    }, [_c('text', {
      staticClass: ["name"]
    }, [_vm._v(_vm._s(item.realName.length > 10 ? item.realName.slice(0, 10) : item.realName))]), _c('div', {
      staticClass: ["car_content"]
    }, [(item.status !== -1) ? _c('text', {
      staticClass: ["car_type"]
    }, [_vm._v(_vm._s(item.carTypeName))]) : _vm._e(), _c('text', {
      staticClass: ["car_license"]
    }, [_vm._v(_vm._s(item.carNumber))])]), (item.status == -1) ? _c('text', {
      staticClass: ["car_distance"]
    }, [_vm._v("等待对方确认加入车队")]) : _vm._e(), _c('text', {
      staticClass: ["car_distance"]
    }, [_vm._v(_vm._s((item.carInteriorLength > 0 ? ('车长' + item.carInteriorLength / 1000 + '米') : '') + (item.carInteriorLength > 0 && item.carCarryingCapacity > 0 ? '/' : '') + (item.carCarryingCapacity > 0 ? ('载重' + item.carCarryingCapacity / 1000 + '吨') : '')))])]), _c('div', {
      staticClass: ["driver_state_content"]
    }, [(item.lastRefreshTime) ? _c('text', {
      staticClass: ["driver_state"]
    }, [_vm._v(_vm._s(item.lastRefreshTime))]) : _vm._e(), (item.distance && item.distance > 0) ? _c('text', {
      staticClass: ["driver_state_divider"]
    }, [_vm._v("距您")]) : _vm._e(), (item.distance && item.distance > 0) ? _c('text', {
      staticClass: ["driver_state"]
    }, [_vm._v(_vm._s(parseInt(item.distance) < 1000 ? parseInt(item.distance) + "米" : parseFloat(item.distance / 1000).toFixed(1) + "公里"))]) : _vm._e()]), _c('div', {
      staticClass: ["operating_layou"]
    }, [(item.isAllowCall && item.isAllowCall == true) ? _c('image', {
      staticClass: ["make_phone_call"],
      attrs: {
        "resize": "cover",
        "src": "http://syWeex/weex_nearbycars_phone"
      },
      on: {
        "click": function($event) {
          _vm.phoneClick(item)
        }
      }
    }) : _vm._e(), (item.status === 1 && ((item.level === 'D') || (item.level === 'E'))) ? _c('image', {
      staticClass: ["place_order"],
      attrs: {
        "resize": "cover",
        "src": "http://syWeex/weex_nearbycars_free"
      },
      on: {
        "click": function($event) {
          _vm.okDriverUseCarClick(item)
        }
      }
    }) : _vm._e()]), _c('div', {
      staticClass: ["again_invite_layout"]
    }, [(parseInt(item.isReInviteDriver) === 1 && item.status === -1) ? _c('image', {
      staticClass: ["again_invite"],
      attrs: {
        "resize": "cover",
        "src": "http://syWeex/weex_mydrivers_invitagin"
      },
      on: {
        "click": function($event) {
          _vm.reRequest(item)
        }
      }
    }) : (item.status === -1 && parseInt(item.isReInviteDriver) !== 1) ? _c('image', {
      staticClass: ["again_invite"],
      attrs: {
        "resize": "cover",
        "src": "http://syWeex/weex_mydrivers_waiting"
      }
    }) : _vm._e()])]), (_vm.showDelItemIndex === index) ? _c('div', {
      staticClass: ["deleteDriver"],
      on: {
        "click": _vm.deleteOutsideClick
      }
    }, [_c('image', {
      staticClass: ["delDriverButton"],
      attrs: {
        "src": "https://static.daojia.com/assets/project/tosimple-pic/shanchu@3x_1555742437467.png"
      },
      on: {
        "click": function($event) {
          _vm.deleteClick(item.favoriteId, index)
        }
      }
    })]) : _vm._e()])])
  })], 2)]) : (!_vm.hasDrivers) ? _c('div', {
    staticClass: ["nodataDiv"]
  }, [_c('image', {
    staticClass: ["nodataimage"],
    attrs: {
      "resize": "cover",
      "src": "http://syWeex/weex_mydrivers_nodata"
    }
  }), _c('text', {
    staticClass: ["nodataDetail"]
  }, [_vm._v("车队空空，快来添加司机吧")])]) : _vm._e(), (_vm.isLocationLienseOpen && _vm.isNetWorkOK !== 1) ? _c('image', {
    staticClass: ["fixedImage"],
    attrs: {
      "resize": "cover",
      "src": "http://syWeex/weex_mydrivers_adddriver"
    },
    on: {
      "click": _vm.addDriverButtonClicked
    }
  }) : _vm._e()], 1)
},staticRenderFns: []}

/***/ }),

/***/ 22:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__index_vue__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__index_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__index_vue__);
/* harmony reexport (default from non-hamory) */ __webpack_require__.d(__webpack_exports__, "default", function() { return __WEBPACK_IMPORTED_MODULE_0__index_vue___default.a; });



/***/ }),

/***/ 23:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 2016/11/4.
 */

/* harmony default export */ __webpack_exports__["default"] = ({
  errorPage: {
    pic: 'https://img.alicdn.com/tfs/TB17blphfDH8KJjy1XcXXcpdXXa-320-320.png',
    content: '抱歉出错了，我们正在全力解决中',
    button: '再试一次',
    title: '出错啦'
  },
  noGoods: {
    pic: 'https://img.alicdn.com/tfs/TB1mPWEeOqAXuNjy1XdXXaYcVXa-320-320.png',
    content: '主人，这里什么都没有找到',
    button: '再试一次',
    title: '暂无商品'
  },
  noNetwork: {
    pic: 'https://img.alicdn.com/tfs/TB1jkA5g9_I8KJjy0FoXXaFnVXa-320-320.png',
    content: '哎呀，没有网络了......',
    button: '刷新一下',
    title: '无网络'
  },
  errorLocation: {
    pic: 'https://img.alicdn.com/tfs/TB1zXXahhrI8KJjy0FpXXb5hVXa-320-320.png',
    content: '哎呀，定位失败了......',
    button: '刷新一下',
    title: '定位失败'
  }
});


/***/ }),

/***/ 26:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _type = __webpack_require__(23);

var _type2 = _interopRequireDefault(_type);

var _utils = __webpack_require__(12);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    type: {
      type: String,
      default: 'errorPage'
    },
    show: {
      type: Boolean,
      default: true
    },
    wrapStyle: Object,
    paddingTop: {
      type: [Number, String],
      default: 232
    },
    customSet: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  computed: {
    resultType: function resultType() {
      var type = this.type,
          customSet = this.customSet;

      var allTypes = _utils2.default.isEmptyObject(customSet) ? _type2.default : _utils2.default.mergeDeep(_type2.default, customSet);
      var types = allTypes['errorPage'];
      if (Object.keys(allTypes).indexOf(type) > -1) {
        types = allTypes[type];
      }
      return types;
    },
    setPaddingTop: function setPaddingTop() {
      var paddingTop = this.paddingTop;
      return paddingTop + 'px';
    }
  },
  methods: {
    handleTouchEnd: function handleTouchEnd(e) {
      // web上面有点击穿透问题
      var platform = weex.config.env.platform;

      platform === 'Web' && e.preventDefault && e.preventDefault();
    },
    onClick: function onClick() {
      var type = this.type;
      this.$emit('wxcResultButtonClicked', { type: type });
    }
  }
};

/***/ }),

/***/ 27:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//

exports.default = {
    data: function data() {
        return {};
    },

    props: {
        isNetWorkOK: {}
    },
    methods: {
        aginButtonClick: function aginButtonClick() {
            this.$emit('aginButtonClicked', this.isNetWorkOK);
        }
    },
    computed: {},
    created: function created() {}
};

/***/ }),

/***/ 28:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//

var MapModule = weex.requireModule('MapModule');
exports.default = {
    data: function data() {
        return {};
    },

    methods: {
        openLocationLienseClicked: function openLocationLienseClicked() {
            MapModule.callOutAlert();
        }
    },
    computed: {},
    created: function created() {}
};

/***/ }),

/***/ 29:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "locationFailed": {
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center",
    "marginTop": 369
  },
  "locationFailedImage": {
    "width": 420,
    "height": 300
  },
  "locationFailedDetail": {
    "color": "#999999",
    "fontSize": 28,
    "textAlign": "center",
    "marginTop": 45
  },
  "locationFailedButton": {
    "color": "#FA5856",
    "fontSize": 34,
    "textAlign": "center",
    "lineHeight": 80,
    "marginTop": 40,
    "borderWidth": 1,
    "borderStyle": "solid",
    "borderRadius": 40,
    "paddingLeft": 82,
    "paddingRight": 82,
    "borderColor": "#FA5856"
  }
}

/***/ }),

/***/ 32:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "noLocation": {
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center",
    "marginTop": 369
  },
  "noLocationImage": {
    "width": 420,
    "height": 300
  },
  "noLocationTitle": {
    "color": "#666666",
    "fontSize": 32,
    "textAlign": "center",
    "marginTop": 45
  },
  "noLocationDetail": {
    "color": "#999999",
    "fontSize": 28,
    "textAlign": "center",
    "marginTop": 18
  },
  "noLocationButton": {
    "color": "#FA5856",
    "fontSize": 34,
    "textAlign": "center",
    "lineHeight": 80,
    "marginTop": 45,
    "borderWidth": 1,
    "borderStyle": "solid",
    "borderRadius": 40,
    "paddingLeft": 20,
    "paddingRight": 20,
    "borderColor": "#FA5856"
  }
}

/***/ }),

/***/ 33:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "right": 0,
    "bottom": 0
  },
  "wxc-result": {
    "width": 750,
    "flex": 1,
    "alignItems": "center",
    "backgroundColor": "#f2f3f4"
  },
  "result-image": {
    "width": 320,
    "height": 320
  },
  "result-content": {
    "marginTop": 36,
    "alignItems": "center"
  },
  "content-text": {
    "fontSize": 30,
    "color": "#A5A5A5",
    "height": 42,
    "lineHeight": 42,
    "textAlign": "center"
  },
  "content-desc": {
    "marginTop": 10
  },
  "result-button": {
    "marginTop": 60,
    "borderWidth": 1,
    "borderColor": "#979797",
    "backgroundColor": "#FFFFFF",
    "borderRadius": 6,
    "width": 240,
    "height": 72,
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "button-text": {
    "color": "#666666",
    "fontSize": 30
  }
}

/***/ }),

/***/ 34:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["locationFailed"]
  }, [_c('image', {
    staticClass: ["locationFailedImage"],
    attrs: {
      "resize": "cover",
      "src": _vm.isNetWorkOK === 1 ? 'http://syWeex/weex_nearbycars_networkerror' : 'http://syWeex/weex_mydrivers__login'
    }
  }), _c('text', {
    staticClass: ["locationFailedDetail"]
  }, [_vm._v(_vm._s(_vm.isNetWorkOK === 1 ? '网络错误' : '您还没有登录，无法看到我的车库的司机'))]), _c('text', {
    staticClass: ["locationFailedButton"],
    on: {
      "click": _vm.aginButtonClick
    }
  }, [_vm._v(_vm._s(_vm.isNetWorkOK === 1 ? '重新加载' : '马上登录'))])])
},staticRenderFns: []}

/***/ }),

/***/ 37:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["noLocation"]
  }, [_c('image', {
    staticClass: ["noLocationImage"],
    attrs: {
      "resize": "cover",
      "src": "http://syWeex/weex_nearbycars_locaionfailed"
    }
  }), _c('text', {
    staticClass: ["noLocationTitle"]
  }, [_vm._v("定位失败")]), _c('text', {
    staticClass: ["noLocationDetail"]
  }, [_vm._v("请检查您的网络或定位服务")]), _c('text', {
    staticClass: ["noLocationButton"],
    on: {
      "click": _vm.openLocationLienseClicked
    }
  }, [_vm._v("开启定位服务")])])
},staticRenderFns: []}

/***/ }),

/***/ 38:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["wrap"],
    style: _vm.wrapStyle
  }, [_c('div', {
    staticClass: ["wxc-result"],
    style: {
      paddingTop: _vm.setPaddingTop
    }
  }, [_c('image', {
    staticClass: ["result-image"],
    attrs: {
      "ariaHidden": true,
      "src": _vm.resultType.pic
    }
  }), (_vm.resultType.content) ? _c('div', {
    staticClass: ["result-content"]
  }, [_c('text', {
    staticClass: ["content-text"]
  }, [_vm._v(_vm._s(_vm.resultType.content))]), (_vm.resultType.desc) ? _c('text', {
    staticClass: ["content-text", "content-desc"]
  }, [_vm._v(_vm._s(_vm.resultType.desc))]) : _vm._e()]) : _vm._e(), (_vm.resultType.button) ? _c('div', {
    staticClass: ["result-button"],
    on: {
      "touchend": _vm.handleTouchEnd,
      "click": _vm.onClick
    }
  }, [_c('text', {
    staticClass: ["button-text"]
  }, [_vm._v(_vm._s(_vm.resultType.button))])]) : _vm._e()])]) : _vm._e()
},staticRenderFns: []}

/***/ }),

/***/ 66:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(173)
)

/* script */
__vue_exports__ = __webpack_require__(129)

/* template */
var __vue_template__ = __webpack_require__(210)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-bdb9de12"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 8:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var has = Object.prototype.hasOwnProperty
  , undef;

/**
 * Decode a URI encoded string.
 *
 * @param {String} input The URI encoded string.
 * @returns {String|Null} The decoded string.
 * @api private
 */
function decode(input) {
  try {
    return decodeURIComponent(input.replace(/\+/g, ' '));
  } catch (e) {
    return null;
  }
}

/**
 * Attempts to encode a given input.
 *
 * @param {String} input The string that needs to be encoded.
 * @returns {String|Null} The encoded string.
 * @api private
 */
function encode(input) {
  try {
    return encodeURIComponent(input);
  } catch (e) {
    return null;
  }
}

/**
 * Simple query string parser.
 *
 * @param {String} query The query string that needs to be parsed.
 * @returns {Object}
 * @api public
 */
function querystring(query) {
  var parser = /([^=?&]+)=?([^&]*)/g
    , result = {}
    , part;

  while (part = parser.exec(query)) {
    var key = decode(part[1])
      , value = decode(part[2]);

    //
    // Prevent overriding of existing properties. This ensures that build-in
    // methods like `toString` or __proto__ are not overriden by malicious
    // querystrings.
    //
    // In the case if failed decoding, we want to omit the key/value pairs
    // from the result.
    //
    if (key === null || value === null || key in result) continue;
    result[key] = value;
  }

  return result;
}

/**
 * Transform a query string to an object.
 *
 * @param {Object} obj Object that should be transformed.
 * @param {String} prefix Optional prefix.
 * @returns {String}
 * @api public
 */
function querystringify(obj, prefix) {
  prefix = prefix || '';

  var pairs = []
    , value
    , key;

  //
  // Optionally prefix with a '?' if needed
  //
  if ('string' !== typeof prefix) prefix = '?';

  for (key in obj) {
    if (has.call(obj, key)) {
      value = obj[key];

      //
      // Edge cases where we actually want to encode the value to an empty
      // string instead of the stringified value.
      //
      if (!value && (value === null || value === undef || isNaN(value))) {
        value = '';
      }

      key = encodeURIComponent(key);
      value = encodeURIComponent(value);

      //
      // If we failed to encode the strings, we should bail out as we don't
      // want to add invalid strings to the query.
      //
      if (key === null || value === null) continue;
      pairs.push(key +'='+ value);
    }
  }

  return pairs.length ? prefix + pairs.join('&') : '';
}

//
// Expose the module.
//
exports.stringify = querystringify;
exports.parse = querystring;


/***/ }),

/***/ 83:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _myDrivers = __webpack_require__(66);

var _myDrivers2 = _interopRequireDefault(_myDrivers);

var _API = __webpack_require__(0);

var _API2 = _interopRequireDefault(_API);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.mixin(_API2.default);
new Vue(Vue.util.extend({ el: '#root' }, _myDrivers2.default));

//App.router = router
// export default new Vue(App)
// router.push('/myDrivers')

//

/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Check if we're required to add a port number.
 *
 * @see https://url.spec.whatwg.org/#default-port
 * @param {Number|String} port Port number we need to check
 * @param {String} protocol Protocol we need to check against.
 * @returns {Boolean} Is it a default port for the given protocol
 * @api private
 */
module.exports = function required(port, protocol) {
  protocol = protocol.split(':')[0];
  port = +port;

  if (!port) return false;

  switch (protocol) {
    case 'http':
    case 'ws':
    return port !== 80;

    case 'https':
    case 'wss':
    return port !== 443;

    case 'ftp':
    return port !== 21;

    case 'gopher':
    return port !== 70;

    case 'file':
    return false;
  }

  return port !== 0;
};


/***/ })

/******/ });