
var CD58RouterPlugin = {
nativeFunction: function(method, parameter, success, fail) {
    return cordova.exec(success, fail, "CD58Router", method, parameter);
},
navigateToWebView: function(url, apperance, success, fail) {
    this.nativeFunction("navigateToWebView",[url, apperance],success,fail);
},
backNavigateToWebView: function(url, success, fail) {
    this.nativeFunction("backNavigateToWebView",[url],success,fail);
},
navigateBack: function(data,success, fail) {
    this.nativeFunction("navigateBack",[data],success,fail);
},
navigateToAPP: function(target,method,param, success, fail) {
    this.nativeFunction("navigateToAPP",[target,method,param],success,fail);
}
};

var CD58UtilsPlugin = {
nativeFunction: function(method, parameter, success, fail) {
    return cordova.exec(success, fail, "CD58Utils", method, parameter);
},
//compents function params
util: function(paramkey,paramdata, success, fail) {
    this.nativeFunction("utilCall",[paramkey,paramdata],success,fail);
},
setRightButtons: function(paramdata, success, fail) {
    this.nativeFunction("setRightButtons",[paramdata],success,fail);
},
setSecondLeftButton: function(paramdata, success, fail) {
    this.nativeFunction("setSecondLeftButton",[paramdata],success,fail);
},
setBackButtonIntercept: function(paramdata, success, fail) {
    this.nativeFunction("setBackButtonIntercept",[paramdata],success,fail);
},
setTitle: function(title, success, fail) {
    this.nativeFunction("setTitle",[title],success,fail);
},
utilCallRightBtn: function(success,fail,action) {
    this.nativeFunction("utilCall",["addTopBarRightButton"],success,fail);
    document.addEventListener("OnNavBarRightButtonClicked", action, false);
    
}
};

var CD58LogPlugin = {
nativeFunction: function(method, parameter, success, fail) {
    return cordova.exec(success, fail, "CD58Log", method, parameter);
},
//logkey logdata
logEvent: function(paramkey,paramdata, success, fail) {
    this.nativeFunction("logEvent",[paramkey,paramdata],success,fail);
}
};

var CD58CachePlugin = {
nativeFunction: function(method, parameter, success, fail) {
    return cordova.exec(success, fail, "CD58Cache", method, parameter);
},
saveData: function(paramkey,paramdata, success, fail) {
    this.nativeFunction("saveData",[paramkey,paramdata],success,fail);
},
getData: function(paramkey,success, fail) {
    this.nativeFunction("getData",[paramkey],success,fail);
}
};

var CD58LoaderPlugin = {
nativeFunction: function(method, parameter, success, fail) {
    return cordova.exec(success, fail, "CD58Loader", method, parameter);
},
//method get post
//url request url
//params params jsonobj
fetchData: function(method,url,params, success, fail) {
    this.nativeFunction("fetchData",[method,url,params],success,fail);
}
};